using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.CommentEnum;

namespace WingInterfaceLibrary.DTO.AdminStatistic
{
    /// <summary>
    /// 管理后台首页数据统计实体
    /// </summary>
    public class AdminStatisticRecordDTO : BaseDTO
    {
        /// <summary>
        /// 管理员图表统计结果编码
        /// </summary>
        /// <value></value>
        public string AdminStatisticRecordCode { get; set; }

        /// <summary>
        /// 图表配置编码
        /// </summary>
        /// <value></value>
        public string AdminStatisticCode { get; set; }

        /// <summary>
        /// 图表配置名
        /// </summary>
        /// <value></value>
        public string AdminStatisticName { get; set; }

        /// <summary>
        /// 管理员编码
        /// </summary>
        /// <value></value>
        public string AdminCode { get; set; }

        /// <summary>
        /// 服务器地址
        /// </summary>
        /// <value></value>
        public string ServerHost { get; set; }

        /// <summary>
        /// 最近更新时间
        /// </summary>
        /// <value></value>
        public DateTime LastestUpdateTime { get; set; }

        /// <summary>
        /// 下次更新时间
        /// </summary>
        /// <value></value>
        public DateTime NextHandleTime { get; set; }

        /// <summary>
        /// 统计维度-XAxis
        /// </summary>
        /// <value></value>
        public List<string> XAxisDatas { get; set; } = new List<string>();

        /// <summary>
        /// 统计结果-YAxis
        /// </summary>
        /// <value></value>
        public List<List<double>> YAxisDatas { get; set; } = new List<List<double>>();

        /// <summary>
        /// 子集统计，数量与XAxisDatas保持一致
        /// </summary>
        /// <value></value>
        public List<StatisticInfoDTO> Children { get; set; }

        /// <summary>
        /// 统计数据json格式字符串
        /// </summary>
        public string StatisticJsonData { get; set; }

        /// <summary>
        /// 统计平台
        /// </summary>
        public StatisticsPlatformEnum StatisticsPlatform { get; set; }
    }

    public class StatisticInfoDTO
    {
        /// <summary>
        /// 统计维度-XAxis
        /// </summary>
        /// <value></value>
        public List<string> XAxisDatas { get; set; } = new List<string>();

        /// <summary>
        /// 统计结果-YAxis
        /// </summary>
        /// <value></value>
        public List<List<double>> YAxisDatas { get; set; } = new List<List<double>>();

        /// <summary>
        /// 子集统计，数量与XAxisDatas保持一致
        /// </summary>
        /// <value></value>
        public List<StatisticInfoDTO> Children { get; set; }

    }
}