using System.Collections.Generic;

namespace WingInterfaceLibrary.DTO.BaseFeature
{
    /// <summary>
    /// 权限节点
    /// </summary>
    public class BaseFeatureItemDTO : BaseFeatureItemBaseDTO<BaseFeatureItemDTO>
    {

    }

    /// <summary>
    /// 权限节点基类
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public class BaseFeatureItemBaseDTO<T>
    {
        /// <summary>
        /// 资源id
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 权限名称
        /// </summary>
        public string Label { get; set; } = string.Empty;

        /// <summary>
        /// 父级code
        /// </summary>
        /// <value></value>
        public string FatherCode { get; set; } = string.Empty;

        /// <summary>
        /// 权限唯一码（样例：1001）
        /// </summary>
        /// <value></value>
        public string UniqueCode { get; set; } = string.Empty;

        /// <summary>
        /// 子资源
        /// </summary>
        public List<T> Children { get; set; } = new List<T>();
    }

}