using WingInterfaceLibrary.Enum;
using System.Collections.Generic;

namespace WingInterfaceLibrary.DTO.CMSStatistic
{
    /// <summary>
    /// CMS模板实体
    /// </summary>
    public class CMSTemplateDTO : BaseDTO
    {
        /// <summary>
        /// 模板编码
        /// </summary>
        /// <value>TemplateCode001</value>
        public string CMSTemplateCode { get; set; }

        /// <summary>
        /// 模板名称
        /// </summary>
        /// <value>CMS默认模板</value>
        public string CMSTemplateName { get; set; }

        /// <summary>
        /// 模板发布状态
        /// </summary>
        /// <value>0</value>
        public CMSTemplateStatusTypeEnum CMSTemplateStateType { get; set; }

        /// <summary>
        /// CMS模板内容
        /// </summary>
        /// <value></value>
        public string CMSTemplateJson { get; set; }

        /// <summary>
        /// 是否默认
        /// </summary>
        /// <value>false</value>
        public bool IsDefault { get; set; }

        /// <summary>
        /// 机构编码集合
        /// </summary>
        /// <value>"Org_123","Org_346"</value>
        public IList<string>  OrganizationCodes { get; set; }
    }
}