using System.Collections.Generic;
using WingInterfaceLibrary.DTO.User;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Consultation
{
    /// <summary>
    /// 会诊专家
    /// </summary>
    public class OrganizationExpertDTO : UserBaseDTO
    {
        /// <summary>
        /// 姓名
        /// </summary>
        /// <value></value>
        public string FullName { get; set; }

        /// <summary>
        /// 擅长领域
        /// </summary>
        /// <value>"test1","test2"</value>
        public IList<string> FieldList { get; set; } = new List<string>();

        /// <summary>
        /// 用户状态 空闲、繁忙、离线
        /// </summary>
        /// <value>10</value>
        public UserStatusEnum UserStatus { get; set; }
    }
}