using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum.CourseEnum;

namespace WingInterfaceLibrary.DTO.Courses
{
    /// <summary>
    ///  课程分页信息
    /// </summary>
    public class BaseCoursePageDTO
    {
        /// <summary>
        ///  课程编码
        /// </summary>
        /// <value>12334e</value>
        public string Code { get; set; }

        /// <summary>
        /// 课程名称
        /// </summary>
        /// <value>TestCourse</value>
        public string Name { get; set; }

        /// <summary>
        /// 封面图，课程海报
        /// </summary>
        /// <value>https://flyinsono-bj-1300984704.cos.ap-beijing.myqcloud.com/0B7B494B7A7044F3ADE0FCF8C0422700.png</value>
        public string Poster { get; set; }

        /// <summary>
        /// 课程预计开始时间
        /// </summary>
        /// <value>2022-03-15T12:53:29.889Z</value>
        public DateTime StartTime { get; set; }

        /// <summary>
        /// 课程状态
        /// </summary>
        ///  <value>1</value>
        public CourseStatusEnum Status { get; set; }

        /// <summary>
        /// 老师名称
        /// </summary>
        /// <value>Test Teacher Name</value>
        public string TeacherName { get; set; }

        /// <summary>
        /// 课程分类
        /// </summary>
        /// <value>1</value>
        public CourseTypeEnum CourseType { get; set; }

        /// <summary>
        /// 课程规模类型
        /// </summary>
        /// <value>1</value>
        public CourseAudienceTypeEnum AudienceType { get; set; }

        /// <summary>
        /// 课程时长【单位分钟】
        /// </summary>
        /// <value>120</value>
        public int Duration { get; set; }

        /// <summary>
        /// 课程价格
        /// </summary>
        /// <value>10.0</value>
        public decimal Price { get; set; }
    }

    /// <summary>
    /// 课程列表信息
    /// </summary>
    public class CoursePageDTO : BaseCoursePageDTO
    {

    }
}