using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Dictionary
{
    /// <summary>
    /// 字典响应信息实体
    /// </summary>
    public class DictionaryDTO : BaseDTO
    {
        /// <summary>
        /// 字典编码
        /// </summary>
        /// <value>DictionaryDO_2022030202525405wUxJ</value>
        public string DictionaryCode { get; set; }

        /// <summary>
        /// 字典所属类型
        /// </summary>
        /// <value>0</value>
        public DictionaryTypeEnum DictionaryType { get; set; }

        /// <summary>
        /// 字典项
        /// </summary>
        /// <value>X0001</value>
        public string Value { get; set; }

        /// <summary>
        /// 父级code
        /// </summary>
        public string ParentCode { get; set; }

        /// <summary>
        /// 多语言配置
        /// </summary>
        /// <returns></returns>
        public List<DictionaryLanguageConfigDTO> LanguageConfigs { get; set; } = new List<DictionaryLanguageConfigDTO>();
    }

    /// <summary>
    /// 用户角色配置-语言
    /// </summary>
    public class DictionaryLanguageConfigDTO
    {
        /// <summary>
        /// 语言
        /// </summary>
        /// <value></value>
        public string Language { get; set; }

        /// <summary>
        /// 值
        /// </summary>
        public string Value { get; set; }


    }
}