using WingInterfaceLibrary.Enum;
using System.Collections.Generic;
using WingInterfaceLibrary.Request.Education;

namespace WingInterfaceLibrary.DTO.Education
{
    /// <summary>
    /// 标签信息
    /// </summary>
    public class CourseLabelDTO : BaseLabelInfoDTO
    {
        /// <summary>
        /// 语言
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }

        /// <summary>
        /// 标签类型
        /// </summary>
        /// <value>1</value>
        public LabelTypeEnum Type { get; set; }

        /// <summary>
        /// 服务对象
        /// </summary>
        /// <value>0</value>
        public OrganizationPatientTypeEnum UseObjectType { get; set; } = OrganizationPatientTypeEnum.Person;

        /// <summary>
        /// 是否最后一级
        /// </summary>
        /// <value>false</value>
        public bool IsLastLevel { get; set; }

        /// <summary>
        /// 子项
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public IList<CourseLabelDTO> ChildLabels { get; set; }

        /// <summary>
        /// 标签名称语言配置
        /// </summary>
        /// <value></value>
        public IList<LabelLanguageConfigDTO> LabelLanguageConfigs { get; set; }
    }

    /// <summary>
    /// 基础标签信息
    /// </summary>
    public class BaseLabelInfoDTO : BaseDTO
    {
        /// <summary>
        /// 标签code
        /// </summary>
        /// <value>20220324085918O01i7T</value>
        public string Code { get; set; }

        /// <summary>
        /// 课程标签名称
        /// </summary>
        /// <value>青青学园</value>
        public string Name { get; set; }

        /// <summary>
        /// 上级标签code
        /// </summary>
        /// <value>20220324085918O01i7T</value>
        public string ParentCode { get; set; }
    }
}