using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Education;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Request;
namespace WingInterfaceLibrary.DTO.Education
{
    /// <summary>
    /// 考试答案信息
    /// </summary>
    public class ExaminationAnswerDTO
    {
        /// <summary>
        /// 考试题目编码
        /// </summary>
        /// <value></value>
        public string QuestionCode { get; set; }

        /// <summary>
        /// 题目类型
        /// </summary>
        /// <value></value>
        public QuestionTypeEnum QuestionType { get; set; }

        /// <summary>
        /// 答案
        /// </summary>
        /// <value></value>
        public string Answer { get; set; }

        /// <summary>
        /// 答案文件地址
        /// </summary>
        /// <value></value>
        public IList<string> Files { get; set; }

        /// <summary>
        /// 已选选项code
        /// </summary>
        /// <value></value>
        public IList<string> OptionCodeList { get; set; }

        /// <summary>
        /// 是否答题正确
        /// </summary>
        /// <value></value>
        public bool IsCorrect { get; set; } = false;

        /// <summary>
        /// 答题得分
        /// </summary>
        /// <value></value>
        public double Score { get; set; }

    }

    /// <summary>
    /// 学生作答考试答案信息
    /// </summary>
    public class StudentSetExaminationAnswerDTO
    {
        /// <summary>
        /// 考试题目编码
        /// </summary>
        /// <value></value>
        public string QuestionCode { get; set; }

        /// <summary>
        /// 答案
        /// </summary>
        /// <value></value>
        public string Answer { get; set; }

        /// <summary>
        /// 答案文件地址
        /// </summary>
        /// <value></value>
        public IList<string> Files { get; set; }

        /// <summary>
        /// 已选选项code
        /// </summary>
        /// <value></value>
        public IList<string> OptionCodeList { get; set; }


    }

    /// <summary>
    /// 老师阅卷考试答案信息
    /// </summary>
    public class TeacherSetExaminationAnswerDTO
    {
        /// <summary>
        /// 考试题目编码
        /// </summary>
        /// <value></value>
        public string QuestionCode { get; set; }

        /// <summary>
        /// 是否答题正确
        /// </summary>
        /// <value></value>
        public bool IsCorrect { get; set; } = false;

        /// <summary>
        /// 答题得分
        /// </summary>
        /// <value></value>
        public double Score { get; set; }


    }
}