using System.Collections.Generic;
using WingInterfaceLibrary.Enum.CourseEnum;
namespace WingInterfaceLibrary.DTO.Education
{
    /// <summary>
    /// 用户组信息
    /// </summary>
    public class UserGroupDTO : BaseUserGroupDTO
    {
        /// <summary>
        /// 最大人数
        /// </summary>
        /// <value>50</value>
        public int MaxPeople { get; set; }

        /// <summary>
        /// 创建人Code
        /// </summary>
        /// <value>20220324085918O01i7T</value>
        public string CreatorCode { get; set; }

        /// <summary>
        /// 创建人名称
        /// </summary>
        /// <value>张三</value>
        public string CreatorName { get; set; }

        /// <summary>
        /// 学生列表
        /// </summary>
        /// <value></value>
        public IList<StudentInfoDTO> Students { get; set; }
    }

    /// <summary>
    /// 用户组基础信息
    /// </summary>
    public class BaseUserGroupDTO : BaseDTO
    {
        /// <summary>
        /// 用户组Code
        /// </summary>
        /// <value>20220324085918O01i7T</value>
        public string Code { get; set; }

        /// <summary>
        /// 用户组名称
        /// </summary>
        /// <value>张老师用户组</value>
        public string Name { get; set; }
    }

    /// <summary>
    /// 学生基础信息
    /// </summary>
    public class StudentInfoDTO
    {
        /// <summary>
        /// 用户Code
        /// </summary>
        /// <value>20220324085918O01i7T</value>
        public string Code { get; set; }

        /// <summary>
        /// 用户名称
        /// </summary>
        /// <value>XX学生</value>
        public string Name { get; set; }

        /// <summary>
        /// 手机号
        /// </summary>
        /// <value>13301543825</value>
        public string Phone { get; set; } = string.Empty;

        /// <summary>
        /// 是否支付：是-支付；否-未支付
        /// </summary>
        /// <value>false</value>
        public bool IsPay { get; set; }

        /// <summary>
        /// 学生对于课程的状态
        /// </summary>
        ///  <value>0</value>
        public StudentCourseStatusEnum SignCourseStatus { get; set; }
    }
}