using WingInterfaceLibrary.Enum;
using System.Collections.Generic;

namespace WingInterfaceLibrary.DTO.IdentityApply
{
    /// <summary>
    /// 认证信息响应实体
    /// </summary>
    public class IdentityApplyDTO : BaseDTO
    {
        /// <summary>
        /// 申请编码
        /// </summary>
        /// <value>IdentityApplyInfoDO_20220324085918O01i7T</value>
        public string IdentityApplyCode { get; set; }

        /// <summary>
        /// 关联用户编码
        /// </summary>
        /// <value>UserInfoDO_202203161231555YjY3j</value>
        public string UserCode { get; set; }

        /// <summary>
        /// 申请角色编码
        /// </summary>
        /// <value>UserRoleDO_20220126170716QPz0NJ</value>
        public string ApplyRoleCode { get; set; }

        /// <summary>
        /// 身份证
        /// </summary>
        /// <value>"http://192.168.6.117:9001/Storage/f5ca4b07ffd312gd2f042d88fb6bbda13c61fa6_7_0_0.PNG"</value>
        public List<string> IdentityCard { get; set; }

        /// <summary>
        /// 执照
        /// </summary>
        /// <value>"http://192.168.6.117:9001/Storage/f5ca4b07ffd312gd2f042d88fb6bbda13c61fa6_7_0_0.PNG"</value>
        public List<string> LicenseCard { get; set; }

        /// <summary>
        /// 申请状态
        /// </summary>
        /// <value>2</value>
        public ApplyStateEnum ApplyState { get; set; }

        /// <summary>
        /// 审核结果记录
        /// </summary>
        /// <value>图片太模糊了</value>
        public string ApplyNote { get; set; }

        /// <summary>
        /// 擅长领域
        /// </summary>
        /// <value>"test1","test2"</value>
        public List<string> FieldList { get; set; } = new List<string>();

    }
}