using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Management
{
    public class DBLog
    {
        public LogEventLevel Level { get; set; }

        public string UtcTimestamp { get; set; }

        public string MessageTemplate { get; set; }

        public DateTime Timestamp { get; set; }
    }

    /// <summary>
    /// 待删除日志结果
    /// </summary>
    public class WaitDeleteLogsDTO
    {
        /// <summary>
        /// 待删除日志列表
        /// </summary>
        /// <value></value>
        public IList<WaitDeleteLogBaseDTO> WaitDeleteLogs { get; set; }

        /// <summary>
        /// 删除指定天数之前的
        /// </summary>
        /// <value></value>
        public int DaysAgo { get; set; }  
        
        /// <summary>
        /// 请求的服务器
        /// </summary>
        /// <value></value>
        public string RequestServerHost { get; set; }

        /// <summary>
        /// 上次日志清理时间【可以根据daysAgo计算出来】
        /// </summary>
        public DateTime LastClearTime { get; set; }

        /// <summary>
        /// 上次清理操作时间
        /// </summary>
        public DateTime LastClearOperateTime { get; set; }
    }

    /// <summary>
    /// 待删除日志基础实体
    /// </summary>
    public class WaitDeleteLogBaseDTO
    {
        /// <summary>
        /// 删除指定天数之前的
        /// </summary>
        /// <value></value>
        public int DaysAgoList { get; set; }

        /// <summary>
        /// 待删除日志数量
        /// </summary>
        /// <value></value>
        public long WaitDeleteLogCount { get; set; }
    }
}