using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Device;
using WingInterfaceLibrary.DTO.Dictionary;

namespace WingInterfaceLibrary.DTO.Management
{
    /// <summary>
    /// 管理端设备信息实体
    /// </summary>
    public class ManageDeviceInfoDTO : DeviceInfoDTO
    {
        /// <summary>
        /// 所属医院
        /// </summary>
        /// <value></value>
        public string HospitalName { get; set; }

        /// <summary>
        /// 所属科室
        /// </summary>
        /// <value></value>
        public string DepartmentName { get; set; }

        /// <summary>
        /// 设备负责人
        /// </summary>
        /// <value></value>
        public string DirectorName { get; set; }

        /// <summary>
        /// 所属管理员
        /// </summary>
        /// <value></value>
        public string AdminName { get; set; }

        /// <summary>
        /// 分享用户数
        /// </summary>
        /// <value></value>
        public string ShareUserNum { get; set; }

        /// <summary>
        /// 设备型号名称
        /// </summary>
        public string DeviceModelName { get; set; }

        /// <summary>
        /// 多语言配置
        /// </summary>
        /// <returns></returns>
        public List<DictionaryLanguageConfigDTO> LanguageConfigs { get; set; } = new List<DictionaryLanguageConfigDTO>();

    }


}