using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Management
{
    /// <summary>
    /// 词条
    /// </summary>
    public class ManageThesaurusItemDTO : BaseThesaurusItemBaseDTO<ManageThesaurusItemDTO>
    {

    }

    /// <summary>
    /// 词条基类
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public class BaseThesaurusItemBaseDTO<T>
    {
        /// <summary>
        /// 资源id
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 词条名称
        /// </summary>
        public string Label { get; set; } = string.Empty;

        /// <summary>
        /// 父级code
        /// </summary>
        /// <value></value>
        public string FatherCode { get; set; } = string.Empty;

        /// <summary>
        /// 词条描述
        /// </summary>
        /// <value></value>
        public string ThesaurusItemDescription { get; set; } = string.Empty;

        /// <summary>
        /// 词条结论
        /// </summary>
        /// <value></value>
        public string ThesaurusItemConclusion { get; set; } = string.Empty;
        
        /// <summary>
        /// 词条项类型枚举
        /// </summary>
        /// <value></value>
        public ThesaurusItemTypeEnum Type { get; set; }

        /// <summary>
        /// 子词条分类
        /// </summary>
        public List<T> Children { get; set; } = new List<T>();
        
        /// <summary>
        /// 是否有词条
        /// </summary>
        public bool IsExistThesaurusItem { get; set; } = false;
    }

}