using System.Collections.Generic;
using WingInterfaceLibrary.Enum.MeasureEnum;
namespace WingInterfaceLibrary.DTO.Measure.Features
{
    /// <summary>
    /// GeometryFeature
    /// </summary>
    public abstract class GeometryFeatureDTO : MeasuredFeatureDTO
    {
        /// <summary>
        /// 是否显示
        /// </summary>
        /// <value>true</value>
        public bool IsVisible { get; set; }
        /// <summary>
        /// 注解
        /// </summary>
        /// <value>IVC Insp</value>
        ///  <code>0</code>
        public string Annotation { get; set; }
        /// <summary>
        /// 简短注解
        /// </summary>
        /// <value>D</value>
        ///  <code>0</code>
        public string BriefAnnotation { get; set; }
        /// <summary>
        /// x轴单位
        /// </summary>
        /// <value>10</value>
        ///  <code>0</code>
        public Unit XUnit { get; set; }
        /// <summary>
        /// Y轴单位
        /// </summary>
        /// <value>10</value>
        ///  <code>0</code>
        public Unit YUnit { get; set; }
        /// <summary>
        /// ShowAnnotation
        /// </summary>
        /// <value></value>
        public bool ShowAnnotation { get; set; }
        /// <summary>
        /// ShowCalliper
        /// </summary>
        /// <value></value>
        public bool ShowCalliper { get; set; }
        /// <summary>
        /// 测量坐标集合
        /// </summary>
        /// <value></value>
        public List<PointDTO> Points { get; set; }
    }

}