using System.Collections.Generic;

namespace WingInterfaceLibrary.DTO.Measure
{
    /// <summary>
    /// 测量项
    /// </summary>
    public class ItemMetaDTO
    {
        /// <summary>
        ///测量名称
        /// </summary>
        /// <value>Distance</value>
        public string Name { get; set; }
        /// <summary>
        ///测量描述
        /// </summary>
        /// <value>Distance</value>
        public string Description { get; set; }
        /// <summary>
        ///测量描述缩写
        /// </summary>
        /// <value>Distance</value>
        public string BriefAnnotation { get; set; }
        /// <summary>
        ///测量类型名称
        /// </summary>
        /// <value>StraightLine</value>
        public string MeasureTypeName { get; set; }
        /// <summary>
        ///测量项分类
        /// </summary>
        /// <value>"Common","ABD"</value>
        public List<string> Categories { get; set; }
        /// <summary>
        ///测量计算项信息
        /// </summary>
        /// <value></value>
        public CalculatorMetaDTO Calculator { get; set; }
        /// <summary>
        ///测量方法集合
        /// </summary>
        /// <value></value>
        public List<ChildItemMetaDTO> MultiMethodItems { get; set; }

        /// <summary>
        /// 单个方法时测量计算
        /// </summary>
        /// <value></value>
        public List<ChildItemMetaDTO> MethodChildItems { get; set; }

    }
    /// <summary>
    /// 测量计算项信息
    /// </summary>
    public class CalculatorMetaDTO
    {
        /// <summary>
        ///计算结果配置集合
        /// </summary>
        /// <value></value>
        public List<OutputItemMetaDTO> AvailableOutputs { get; set; }
    }

    /// <summary>
    /// 计算结果配置信息
    /// </summary>
    public class OutputItemMetaDTO
    {
        ///<summary>
        ///计算结果名称
        /// </summary>
        /// <value>"Area"</value>
        public string Name { get; set; }
        /// <summary>
        ///计算结果描述
        /// </summary>
        /// <value>"Length"</value>
        public string Description { get; set; }

        /// <summary>
        ///计算结果单位
        /// </summary>
        /// <value>10</value>
        public int Unit { get; set; }

        /// <summary>
        ///是否使用此方法
        /// </summary>
        /// <value></value>
        public bool? IsWorking { get; set; }
    }

    /// <summary>
    ///计算结果单位信息
    /// </summary>
    public class OutputUnitDTO
    {
        /// <summary>
        ///计算结果单位
        /// </summary>
        /// <value>10</value>
        public int Unit { get; set; }
    }

    public class FormularMetaDTO
    {
        public string Name { get; set; }
    }
    /// <summary>
    ///测里方法信息
    /// </summary>
    public class ChildItemMetaDTO
    {
        /// <summary>
        ///测里方法名称
        /// </summary>
        /// <value>"LW"</value>
        public string Name { get; set; }
        /// <summary>
        ///计算方法描述
        /// </summary>
        /// <value>"L&W"</value>
        public string Description { get; set; }
        /// <summary>
        ///是否使用此方法
        /// </summary>
        /// <value></value>
        public bool IsWorking { get; set; }
        /// <summary>
        ///计算方法子项集合
        /// </summary>
        /// <value></value>
        public List<ChildItemMetaDTO> ChildItems { get; set; }
        // public  string  MeasureTypeName { get; set; }
        /// <summary>
        ///计算结果信息
        /// </summary>
        /// <value>"cm"</value>
        public CalculatorMetaDTO Calculator { get; set; }

        /// <summary>
        ///测量类型名称
        /// </summary>
        /// <value>StraightLine</value>
        public string MeasureTypeName { get; set; }
    }

}