using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;
namespace WingInterfaceLibrary.DTO.Patient
{
    /// <summary>
    /// 病人基础信息
    /// </summary>
    public class ClientPatientInfoBaseDTO : BaseDTO
    {
        /// <summary>
        /// 病人编码
        /// </summary>
        /// <value>PatientInfoDO_20220315125334n5j3A2</value>
        public string PatientCode { get; set; }

        /// <summary>
        /// 是否已登记确认
        /// </summary>
        /// <value>true</value>
        public bool IsValid { get; set; }

        /// <summary>
        /// 病人信息字段集合
        /// </summary>
        /// <value></value>
        public List<DataItemDTO> PatientData { get; set; }

        /// <summary>
        /// 未读病例数量
        /// </summary>
        /// <value>0</value>
        public int UnReadRecordCount { get; set; } = 0;

        /// <summary>
        /// 是否转诊
        /// </summary>
        /// <value>false</value>
        public bool IsReferral { get; set; }

        /// <summary>
        /// 设备病人ID
        /// </summary>
        public List<string> DevicePatientIDs { get; set; } = new List<string>();
    }
}