using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.DTO.User;
using WingInterfaceLibrary.Result.Record;

namespace WingInterfaceLibrary.DTO.Patient
{
    /// <summary>
    /// 病人详细信息
    /// </summary>
    public class ClientPatientInfoDTO : ClientPatientInfoBaseDTO
    {
        /// <summary>
        /// 创建者编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string CreatorCode { get; set; }

        /// <summary>
        /// 创建者名称
        /// </summary>
        /// <value>勇勇</value>
        public string CreatorName { get; set; }

        /// <summary>
        /// 设备code
        /// </summary>
        /// <value></value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 分配用户code集合
        /// </summary>
        /// <value></value>
        public List<UserBaseDTO> AssignmentUserList { get; set; }

        /// <summary>
        /// 近期检查
        /// </summary>
        /// <value></value>
        public GetRecordsPageDTO LastRecord { get; set; } = new GetRecordsPageDTO();

        /// <summary>
        /// 加密病人名称
        /// </summary>
        /// <value></value>
        public string EncryptFullName { get; set; } = "";
    }
}