using System;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Payment
{
    /// <summary>
    /// 订单详情返回体
    /// </summary>
    public class OrderDetailDTO : BaseDTO
    {
        /// <summary>
        /// 订单编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 下单用户名
        /// </summary>
        /// <value></value>
        public string OrderUserName { get; set; }
        
        /// <summary>
        /// 下单用户编码
        /// </summary>
        /// <value></value>
        public string OrderUserCode { get; set; }

        /// <summary>
        /// 产品编码
        /// </summary>
        /// <value></value>
        public string ProductCode { get; set; }

        /// <summary>
        /// 外部订单编码
        /// </summary>
        /// <value></value>
        public string TPORderCode { get; set; }

        /// <summary>
        /// 订单台头
        /// </summary>
        /// <value></value>
        public string OrderTitle { get; set; }

        /// <summary>
        /// 订单类型
        /// </summary>
        /// <value></value>
        public OrderTypeEnum OrderType { get; set; }

        /// <summary>
        /// 订单金额
        /// </summary>
        /// <value></value>
        public double OrderAmount { get; set; }

        /// <summary>
        /// 最后一次支付时间
        /// </summary>
        /// <value></value>
        public DateTime PayTime { get; set; }

        /// <summary>
        /// 最后一次支付状态
        /// </summary>
        /// <value></value>
        public PayStatusEnum PayStatus { get; set; }
    }
}