using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace WingInterfaceLibrary.DTO.Record
{
    /// <summary>
    /// 增加创建测量信息的数据
    /// </summary>
    public class AddRemedicalMeasuredInfoDTO
    {
        /// <summary>
        /// 扫查图像编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string RemedicalCode { get; set; } = string.Empty;

        /// <summary>
        /// 图像是第几帧，单帧图像默认0
        /// </summary>
        /// <value>0</value>
        /// <code>0</code>
        public int FrameIndex { get; set; }

        /// <summary>
        /// 保存测量原始图像地址
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string MeasuredFileToken { get; set; } = string.Empty;

        /// <summary>
        /// 保存测量缩略图地址
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string PreviewFileToken { get; set; } = string.Empty;

        /// <summary>
        /// 保存测量图像数据详情数据， 客户端测量结果等信息
        /// </summary>
        /// <value></value>
        ///  <code>0</code>
        public string MeasuredData { get; set; } = string.Empty;
    }
}