using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Record
{
    /// <summary>
    /// 查询检查记录分页返回实体
    /// </summary>
    public class GetRecordsPageDTO
    {
        /// <summary>
        /// 时间
        /// </summary>
        /// <value>2021-11-16  11:30</value>
        public DateTime CreateTime { get; set; }
        /// <summary>
        /// 部门
        /// </summary>
        /// <value>门诊部</value>
        public string DeptName { get; set; }
        /// <summary>
        /// 检查医生
        /// </summary>
        /// <value>绩笑</value>
        public string CreatorName { get; set; }
        /// <summary>
        /// 下发设备
        /// </summary>
        /// <value>演示超声机2号</value>
        public string DeviceName { get; set; }
        /// <summary>
        /// 报告数量
        /// </summary>
        /// <value>5</value>
        public string ReportNum { get; set; }
        /// <summary>
        /// 检查记录code
        /// </summary>
        /// <value>Record_xxxx</value>
        public string RecordCode { get; set; }
        /// <summary>
        /// 检查状态
        /// </summary>
        public RecordStatusEnum RecordStatus { get; set; }
        /// <summary>
        /// 是否已读 true已读，false未读
        /// </summary>
        public bool IsRead { get; set; }

        /// <summary>
        /// 扫查数据
        /// </summary>
        public List<RemedicalInfoDTO> RemedicalList { get; set; } = new List<RemedicalInfoDTO>();

        /// <summary>
        /// AI诊断状态
        /// </summary>
        /// <value>2</value>
        public DiagnosisStatusEnum DiagnosisStatus { get; set; }

        /// <summary>
        /// AI诊断结果
        /// </summary>
        /// <value></value>
        public List<DiagnosisInfoDTO> DiagnosisInfos { get; set; } = new List<DiagnosisInfoDTO>();

        /// <summary>
        /// 是否转诊
        /// </summary>
        /// <value>false</value>
        public bool IsReferral { get; set; }

        /// <summary>
        /// 转诊状态
        /// </summary>
        /// <value>0</value>
        public ReferralStatusEnum ReferralStatus { get; set; }

        /// <summary>
        /// 是否可以创建报告
        /// </summary>
        /// <value></value>
        public bool CanCreateReport { get; set; }
    }
}