using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Report
{
    public class ReportElementDTO
    {
        public ReportElementDTO() { }

        public ReportElementDTO(string key, string tagId, string name, string language)
        {
            Key = key;
            TagId = tagId;
            Name = name;
            AILanguage = language;
        }

        public string Key { get; set; }
        public string TagId { get; set; }
        public string Name { get; set; }

        public string AILanguage { get; set; }
    }

    public class ReportElementStringDTO : ReportElementDTO
    {
        public ReportElementStringDTO() { }

        public ReportElementStringDTO(string key, string tagId, string name, string value, string language = "") : base(key, tagId, name, language)
        {
            Value = value;
        }

        public object Value { get; set; }
    }

    public class ReportElementArrayDTO : ReportElementDTO
    {
        public ReportElementArrayDTO() { }

        public ReportElementArrayDTO(string key, string tagId, string name, List<string> value, string language = "") : base(key, tagId, name, language)
        {
            Value = value;
        }

        public object Value { get; set; } = new List<string>();
    }
}