using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Report
{
    /// <summary>
    /// 报告标签实体
    /// </summary>
    public class ReportLabelDTO : BaseDTO
    {
        /// <summary>
        /// 报告标签编码
        /// </summary>
        /// <value>ReportLabelCode_20220107104236xiP0nz</value>
        public string ReportLabelCode { get; set; } = string.Empty;

        /// <summary>
        /// 标签名称
        /// </summary>
        /// <value>病灶性质</value>
        public string LabelName { get; set; } = string.Empty;

        /// <summary>
        /// 所属语言（代表是什么语言类型）
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }

        /// <summary>
        /// 服务对象
        /// </summary>
        /// <value>1</value>
        public ReportLabelUsageTypeEnum UsageType { get; set; }

        /// <summary>
        /// 标签值集合
        /// </summary>
        /// <value>"良性","脂肪肝"</value>
        /// <code>0</code>
        public List<string> LabelItems { get; set; } = new List<string>();
    }
}