using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Report
{
    /// <summary>
    /// 报告转发第三方厂商数据记录
    /// </summary>
    public class ReportPushRecordDTO : BaseDTO
    {
        /// <summary>
        /// 报告转发配置编码
        /// </summary>
        public string PushRecordCode { get; set; } = string.Empty;
        /// <summary>
        /// 病人Id
        /// </summary>
        /// <value></value>
        public string PatientId { get; set; }
        /// <summary>
        /// 病人名称
        /// </summary>
        /// <value></value>
        public string PatientName { get; set; }
        /// <summary>
        ///转发推送配置Id
        /// </summary>
        /// <value></value>
        public string PoseterConfigId { get; set; }
        /// <summary>
        /// 推送状态
        /// </summary>
        /// <value></value>
        public PushDataStateEnum State { get; set; }
        /// <summary>
        ///转发推送配置名称
        /// </summary>
        /// <value></value>
        public string PoseterConfigName { get; set; }
        /// <summary>
        ///报告Id
        /// </summary>
        /// <value></value>
        public string ReportId { get; set; }
        /// <summary>
        ///病人检查记录Id
        /// </summary>
        /// <value></value>
        public string PatientRecordId { get; set; }
        /// <summary>
        ///推送数据存储地址 默认 json 格式
        /// </summary>
        /// <value></value>
        public string PushResultToken { get; set; }

        /// <summary>
        /// 转发推送结果对方响应
        /// </summary>
        /// <value></value>
        public string PushResponse { get; set; }
    }
}