using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Report;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.ReportTemplate
{
    /// <summary>
    /// 报告模板库
    /// </summary>
    public class ReportTemplateDTO
    {
        /// <summary>
        /// 报告模板编码
        /// </summary>
        /// <value></value>
        public string ReportTemplateCode { get; set; }

        /// <summary>
        /// 报告模板名称
        /// </summary>
        public string ReportTemplateName { get; set; }

        /// <summary>
        /// 报告模板发布状态
        /// </summary>
        /// <value></value>
        public ReportTemplateStatusTypeEnum ReportTemplateStateType { get; set; }

        /// <summary>
        /// 报告模板类型
        /// </summary>
        /// <value></value>
        public ReportTemplateTypeEnum ReportTemplateType { get; set; }

        /// <summary>
        /// 报告模板使用类型
        /// </summary>
        /// <value></value>
        public ReportTemplateUsageTypeEnum ReportTemplateUsageType { get; set; }

        /// <summary>
        /// 限定所属组织
        /// </summary>
        /// <value></value>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 限定所属人
        /// </summary>
        /// <value></value>
        public string PersonalCode { get; set; }

        /// <summary>
        /// 报告模板内容(列表接口中此项不返回)
        /// </summary>
        /// <value></value>
        public string ReportTemplateJson { get; set; }

        /// <summary>
        /// 拷贝时引用人的报告模版编码
        /// </summary>
        /// <value></value>
        public string ReferenceReportTemplateCode { get; set; }

        /// <summary>
        /// 是否默认
        /// </summary>
        /// <value></value>
        public bool IsDefault { get; set; }
        
        /// <summary>
        /// 是否用户默认报告模板
        /// </summary>
        /// <value></value>
        public bool IsUserDefault { get; set; }

        /// <summary>
        /// 默认属性对象
        /// </summary>
        public string ReportDatasJson { get; set; }

        /// <summary>
        /// 报告模板预览图对象列表
        /// </summary>
        public List<ReportPreviewDTO> TemplatePreviewList { get; set; } = new List<ReportPreviewDTO>();

        /// <summary>
        /// 报告模板预览图列表
        /// </summary>
        /// <value>http://*****.jpg</value>
        public List<string> TemplatePreviewUrlList { get; set; } = new List<string>();
    }
}