using System.Collections.Generic;

namespace WingInterfaceLibrary.DTO.Role
{
    /// <summary>
    /// 基础角色响应实体
    /// </summary>
    public class BaseRoleDTO : BaseDTO 
    {
        /// <summary>
        /// 角色编码
        /// </summary>
        /// <value>RoleDefault0001</value>
        public string RoleCode { get; set; }

        /// <summary>
        /// 角色名称
        /// </summary>
        /// <value>负责人</value>
        public string RoleName { get; set; }

        /// <summary>
        /// 角色描述
        /// </summary>
        /// <value>认证专家</value>
        public string Description { get; set; }

        /// <summary>
        /// 角色多语言配置
        /// </summary>
        /// <returns></returns>
        public List<UserRoleLanguageConfigDTO> LanguageConfigs { get; set; } = new List<UserRoleLanguageConfigDTO>();
         
    }
    
    /// <summary>
    /// 用户角色配置-语言
    /// </summary>
    public class UserRoleLanguageConfigDTO
    {
        /// <summary>
        /// 语言
        /// </summary>
        /// <value></value>
        public string Language { get; set; }

        /// <summary>
        /// 角色名称
        /// </summary>
        public string RoleName { get; set; }

        /// <summary>
        /// 角色描述
        /// </summary>
        /// <value></value>
        public string Description { get; set; }

        /// <summary>
        /// 擅长领域
        /// </summary>
        /// <typeparam name="string"></typeparam>
        /// <returns></returns>
        public List<string> FieldList { get; set; } = new List<string>();
    }
}