using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Role
{
    /// <summary>
    /// 用户角色响应实体
    /// </summary>
    public class RoleDTO : BaseRoleDTO
    {
        /// <summary>
        /// 角色前端展示类型
        /// </summary>
        /// <value>0</value>
        public RoleShowTypeEnum RoleShowType { get; set; }

        /// <summary>
        /// 角色icon
        /// </summary>
        /// <value>http://192.168.6.91:9001/Storage/f5ca4b07ffd312gd2f042d88fb6bbda13c61fa6_7_0.PNG</value>
        public string IConUrl { get; set; }

        /// <summary>
        /// 颜色配置起
        /// </summary>
        /// <value></value>
        public string ColorStart { get; set; }

        /// <summary>
        /// 颜色配置止
        /// </summary>
        /// <value></value>
        public string ColorEnd { get; set; }

        /// <summary>
        /// 资质文件类型
        /// </summary>
        /// <value>0</value>
        public RoleQualificationEnum RoleQualification { get; set; }

        /// <summary>
        /// 前端权限组
        /// </summary>
        /// <value></value>
        public string UserGroupCode { get; set; }

        /// <summary>
        /// 是否需要显示擅长领域
        /// </summary>
        /// <value></value>
        public RoleShowTypeEnum FieldShowType { get; set; }

        /// <summary>
        /// 擅长领域
        /// </summary>
        /// <value>"test1","test2"</value>
        public List<string> FieldList { get; set; } = new List<string>();
    }
}