using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.LiveConsultation;

namespace WingInterfaceLibrary.DTO.RtcRoom
{
    /// <summary>
    /// 房间成员实体
    /// </summary>
    public class RtcMemberDTO
    {
        /// <summary>
        /// 成员编码
        /// </summary>
        /// <value></value>
        public string Id { get; set; }
        /// <summary>
        /// 成员姓名
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 成员头像地址
        /// </summary>
        /// <value></value>
        public string AvatarUrl { get; set; }
        /// <summary>
        /// 成员类型
        /// </summary>
        /// <value>1</value>
        public LiveMemberEnum MemberType { get; set; }
        /// <summary>
        /// 成员状态
        /// </summary>
        /// <value>1</value>
        public LiveMemberStatus Status { get; set; }
        /// <summary>
        /// 是否开启静音
        /// </summary>
        /// <value></value>
        public bool MuteOpened { get; set; }
        /// <summary>
        /// 是否开启视频
        /// </summary>
        /// <value></value>
        public bool VideoOpened { get; set; }
        /// <summary>
        /// 是否发起人
        /// </summary>
        /// <value></value>
        public bool IsInitiator { get; set; }
        /// <summary>
        /// 是否调参中
        /// </summary>
        /// <value></value>
        public bool IsControllingParameter { get; set; }
        /// <summary>
        /// RTC数据信息
        /// </summary>
        /// <value></value>
        public RtcLiveDataDTO RtcLiveData { get; set; }
    }
}