namespace WingInterfaceLibrary.Enum
{
    public enum AccountType
    {
        Admin,
        User,
        US,
        USBox,
        ThirdParty
    }

    /// <summary>
    /// 调用端平台枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 | 调用端平台枚举描述</remarks>
    public enum Platform
    {
        /// <summary>
        /// 0 | Windows
        /// </summary>
        Windows,
        /// <summary>
        /// 1 | Android
        /// </summary>
        Android,
        /// <summary>
        /// 2 | Ios
        /// </summary>
        Ios
    }

    /// <summary>
    /// 调用端来源枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 | 调用端来源枚举描述</remarks>
    public enum LoginSource
    {
        /// <summary>
        /// 0 | PC
        /// </summary>
        PC,
        /// <summary>
        /// 1 | Mobile
        /// </summary>
        Mobile,
        /// <summary>
        /// 2 | Pad
        /// </summary>
        Pad,
        /// <summary>
        /// 3 | Web
        /// </summary>
        Web,
        /// <summary>
        /// 4 | US
        /// </summary>
        US
    }

    /// <summary>
    /// 更新平台
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称 | 代码 | 业务类型描述</remarks>
    public enum UpgradePlatformEnum
    {
        /// <summary>
        /// 0|PC
        /// </summary>
        PC = 0,
        /// <summary>
        /// 1|Android
        /// </summary>
        Android,
        /// <summary>
        /// 2|IOS
        /// </summary>
        IOS,
        /// <summary>
        /// 3|Mac
        /// </summary>
        Mac
    }

    /// <summary>
    /// 更新业务类型
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称 | 代码 | 业务类型描述</remarks>
    public enum UpgradeSourceTypeEnum
    {
        /// <summary>
        /// 0|客户端
        /// </summary>
        Client = 0,
        /// <summary>
        /// 1|超声机
        /// </summary>
        US,
        /// <summary>
        /// 2|魔盒
        /// </summary>
        SONOPOST
    }

    /// <summary>
    /// 更新方式类型
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称 | 代码 | 业务类型描述</remarks>
    public enum UpgradeTypeEnum
    {
        /// <summary>
        /// 0|无需更新
        /// </summary>
        NoUpgrade,
        /// <summary>
        /// 1|常规更新： Ask if user want to update
        /// </summary>
        Normal,
        /// <summary>
        /// 2|强制更新
        /// </summary>
        Force,
        /// <summary>
        /// 3|自动更新：Automatically download the update package, and automatically update after restart
        /// </summary>
        AutoAfterRestart
    }

    /// <summary>
    /// 更新类型
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称 | 代码 | 业务类型描述</remarks>
    public enum UpgradeUpdateTypeEnum
    {
        /// <summary>
        /// 0|部分更新
        /// </summary>
        Part,
        /// <summary>
        /// 1|全量更新
        /// </summary>
        All,
    }
}