namespace WingInterfaceLibrary.Enum.CourseEnum
{
    /// <summary>
    /// 课程状态枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称|代码|描述</remarks>
    public enum CourseStatusEnum
    {
        /// <summary>
        /// Unknown|0|未知
        /// </summary>
        Unknown = 0,

        /// <summary>
        /// NoApproval|1|待审核
        /// </summary>
        NoApproval = 1,

        /// <summary>
        ///  Approved|2|已审核
        /// </summary>
        Approved = 2,

        /// <summary>
        /// RejectApproval|3|已拒绝
        /// </summary>
        RejectApproval = 3,

        /// <summary>
        /// Started|4|已开始
        /// </summary>
        Started = 4,

        /// <summary>
        ///HasEnded|5| 已结束
        /// </summary>
        HasEnded = 5,

        /// <summary>
        /// HasCancelled|6|已取消
        /// </summary>
        HasCancelled = 6,

        /// <summary>
        /// Overdue|7|延时
        /// </summary>
        Overdue = 7,

        /// <summary>
        /// Offline|8|不在线
        /// </summary>
        Offline = 8,
    }

    /// <summary>
    /// 学生查询课程状态枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称|代码|描述</remarks>
    public enum StudentCourseStatusEnum
    {
        /// <summary>
        /// All|0|查询所有
        /// </summary>
        All = 0,

        /// <summary>
        /// SignUp|1|报名课程
        /// </summary>
        SignUp = 1,

        /// <summary>
        /// NoSignUp|2|未报名
        /// </summary>
        NoSignUp = 2,

        /// <summary>
        /// Joined | 3 | 参加直播中
        /// </summary>    
        Joined = 3,

        /// <summary>
        /// Ended | 4 | 学习已结束
        /// </summary>    
        Ended = 4


        
    }

    /// <summary>
    /// 查询课程排序枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称|代码|描述</remarks>
    public enum QueryCourseSortEnum
    {
        /// <summary>
        ///StartTime |0|课程开始时间降序
        /// </summary>
        StartTime,
        /// <summary>
        ///Recommended |1|课程推荐
        /// </summary>
        Recommended
    }
    /// <summary>
    /// 查询课程类型
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称|代码|描述</remarks>
    public enum QueryCourseTypeEnum
    {
        /// <summary>
        /// All|0|查询所有
        /// </summary>
        All = 0,
        /// <summary>
        /// LiveCourse|1| 直播课程
        /// </summary>
        LiveCourse = 1,

        /// <summary>
        /// VideoCourse|2|视频课程
        /// </summary>
        VideoCourse = 2,
    }


}