

namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// 自定义标识码
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称 | 代码 | 描述</remarks>
    public enum CustomerRpcCode
    {
        /// <summary>
        /// Unknow| -1 | 未知错误
        /// </summary>
        Unknow = -1,
        /// <summary>
        /// Ok| 0 |  Ok
        /// </summary>
        Ok,
        /// <summary>
        /// TokenNotExist| 1 | 身份令牌不存在
        /// </summary>
        TokenNotExist,
        /// <summary>
        /// TokenExpired| 2 | 身份令牌已过期
        /// </summary>
        TokenExpired,
        /// <summary>
        /// InvalidTokenVersion| 3 | 身份令牌版本过低，已失效
        /// </summary>
        InvalidTokenVersion,
        /// <summary>
        /// IPInBlacklist| 4 | 用户IP在黑名单，禁止访问
        /// </summary>
        IPInBlacklist,

        /// <summary>
        /// AuthenticationError| 5 | 用户权限过低，禁止操作
        /// </summary>
        AuthenticationError = 5,

        /// <summary>
        /// FileTokenIsEmpty| 6 | 文件地址为空
        /// </summary>
        FileTokenIsEmpty = 6,

        /// <summary>
        /// FileNameIsEmpty| 7 | 文件名称为空
        /// </summary>
        FileNameIsEmpty = 7,

        /// <summary>
        /// ColumnNameIsEmpty| 8 | 查询错误，非法的查询
        /// </summary>
        ColumnNameIsEmpty = 8,

        /// <summary>
        /// ColumnValueIsEmpty| 9 | 查询错误，查询内容为空
        /// </summary>
        ColumnValueIsEmpty = 9,

        /// <summary>
        /// ExceptionError| 10 | 系统异常错误
        /// </summary>
        ExceptionError = 10,

        /// <summary>
        /// SMSVerifyCodeIsEmpty | 11 | 验证code为空
        /// </summary>
        SMSVerifyCodeIsEmpty = 11,

        /// <summary>
        /// SMSVerifyCodeExpired | 12 | 验证code过期
        /// </summary>
        SMSVerifyCodeExpired = 12,

        /// <summary>
        /// SMSVerifyCodeIllegality | 13 | 验证code不合法
        /// </summary>
        SMSVerifyCodeIllegality = 13,

        /// <summary>
        /// RequestMethodError | 14 | 不支持的Http请求方式
        /// </summary>
        RequestMethodError = 14,

        /// <summary>
        /// JsonPResponseError | 15 | 跨域处理异常
        /// </summary>
        JsonPResponseError = 15,

        /// <summary>
        /// FileNotExist | 16 | 文件不存在
        /// </summary>
        FileNotExist = 16,

        /// <summary>
        /// FileContentEmpty | 17 | 文件内容为空
        /// </summary>
        FileContentEmpty = 17,

        /// <summary>
        /// DocHtmlNotExist | 18 | 文档不存在
        /// </summary>
        DocHtmlNotExist = 18,

        /// <summary>
        /// FileUrlError | 19 | 文件处理异常
        /// </summary>
        FileUrlError = 19,

        /// <summary>
        /// FileRequestParamError | 20 | 文件请求参数异常
        /// </summary>
        FileRequestParamError = 20,

        /// <summary>
        /// FileMultiPartParamError | 21 | 文件块请求头参数异常
        /// </summary>
        FileMultiPartParamError = 21,

        /// <summary>
        /// FileAbsolutePathError | 22 | 文件绝对路径错误
        /// </summary>
        FileAbsolutePathError = 22,

        /// <summary>
        /// DownloadFileListError | 23 | 下载文件列表
        /// </summary>
        DownloadFileListError = 23,

        /// <summary>
        /// FileUploadError | 24 | 文件上传错误
        /// </summary>
        FileUploadError = 24,

        /// <summary>
        /// FileSavePathError | 25 | 文件保存路径为空
        /// </summary>
        FileSavePathEmptyError = 25,

        /// <summary>
        /// InitStorageConfigError | 26 | 初始化存储服务配置失败
        /// </summary>
        InitStorageConfigError = 26,

        /// <summary>
        /// InitShareExamConfigError | 27 | 初始化分享图像配置失败
        /// </summary>
        InitShareExamConfigError = 27,

        /// <summary>
        /// NotificationParamError | 28 | 通知参数错误
        /// </summary>
        NotificationParamError = 28,

        /// <summary>
        /// LiveConsultationNotFound | 800 | 会诊不存在或已结束
        /// </summary>
        LiveConsultationNotFound = 800,

        /// <summary>
        /// LiveConsultationClosed | 801 | 会诊已结束
        /// </summary>
        LiveConsultationClosed = 801,

        /// <summary>
        /// ConsultationStatusError | 802 | 会诊状态不正确
        /// </summary>
        ConsultationStatusError = 802,

        /// <summary>
        /// ConsultationNorightError | 803 | 无权操作该会诊单
        /// </summary>
        ConsultationNorightError = 803,

        /// <summary>
        /// ConsultationUploadFileInfoIsEmpty | 804 | 会诊上传文件地址为空
        /// </summary>
        ConsultationUploadFileInfoIsEmpty = 804,

        /// <summary>
        /// ConsultationCodeIsEmpty | 805 | 会诊编码为空
        /// </summary>
        ConsultationCodeIsEmpty = 805,

        /// <summary>
        /// DeviceNotOnline | 806 | 设备不在线
        /// </summary>
        DeviceNotOnline = 806,

        /// <summary>
        /// ExpertNotOnline | 807 | 专家不在线
        /// </summary>
        ExpertNotOnline = 807,

        /// <summary>
        /// DeviceIsBusy | 808 | 设备被占用
        /// </summary>
        DeviceIsBusy = 808,

        /// <summary>
        /// ExpertIsBusy | 809 | 专家正忙
        /// </summary>
        ExpertIsBusy = 809,

        /// <summary>
        /// IniticateIsBusy | 810 | 会诊发起方繁忙
        /// </summary>
        IniticateIsBusy = 810,

        /// <summary>
        /// LiveConsultationCancelled | 811 | 会诊已取消
        /// </summary>
        LiveConsultationCancelled = 811,

        /// <summary>
        /// LiveConsultationTimeout | 812 | 会诊已超时
        /// </summary>
        LiveConsultationTimeout = 812,

        /// <summary>
        /// LivMemberNotFound | 813 | 会诊参与人员不存在
        /// </summary>
        LivMemberNotFound = 813,

        /// <summary>
        /// ConsultationTimeGreaterThanCurrentTime | 811 | 会诊时间必须大于当前时间
        /// </summary>
        ConsultationTimeGreaterThanCurrentTime = 814,

        /// <summary>
        /// ApplyUserCodeIsEmpty | 812 | 申请人不能为空
        /// </summary>
        ApplyUserCodeIsEmpty = 815,

        /// <summary>
        /// ConsultationExpertNotExist | 813 | 会诊专家不存在
        /// </summary>
        ConsultationExpertNotExist = 816,

        /// <summary>
        /// ExpertOrganizationCodeIsEmpty | 817 | 会诊机构不存在 
        /// </summary>
        ExpertOrganizationCodeIsEmpty = 817,

        /// <summary>
        /// ConsultationApplyUserIllegal | 818 | 会诊预约申请人不合法
        /// </summary>
        ConsultationApplyUserIllegal = 818,

        /// <summary>
        /// NoExpertFeature | 819 | 不是认证专家 
        /// </summary>
        NoExpertFeature = 819,

        /// <summary>
        /// AssistantNotExisted | 820 | 专家助理不存在 
        /// </summary>
        AssistantNotExisted = 820,

        /// <summary>
        /// NotExpertAssistant | 821 | 不是专家助理 
        /// </summary>
        NotExpertAssistant = 821,

        /// <summary>
        /// ConsultationStartTimeGreaterThanEndTime | 822 | 查询会诊开始时间不得大于结束时间 
        /// </summary>
        ConsultationStartTimeGreaterThanEndTime = 822,

        /// <summary>
        /// ConsultationQueryTimeRangeToLarge | 823 | 会诊查询时间范围过大，不得超过3年 
        /// </summary>
        ConsultationQueryTimeRangeToLarge = 823,

        /// <summary>
        /// ConsultationNotExisted | 824 | 预约记录不存在 
        /// </summary>
        ConsultationNotExisted = 824,

        /// <summary>
        /// ConsultationExpertOrgError | 825 | 会诊医院不匹配
        /// </summary>
        ConsultationExpertOrgError = 825,

        /// <summary>
        /// ConsultationNotOneElseOnLine | 826 | 没有其他人或设备在线 
        /// </summary>
        ConsultationNotOneElseOnLine = 826,

        /// <summary>
        /// ConsultationDBError | 827 | 保存会诊记录失败 
        /// </summary>
        ConsultationDBError = 827,

        /// <summary>
        /// NoConsultationInitiator | 828 | 不是会诊发起者
        /// </summary>
        NoConsultationInitiator = 828,

        /// <summary>
        /// NotCertifiedPhysician | 828 | 不是认证医师
        /// </summary>
        NotCertifiedPhysician = 829,

        /// <summary>
        /// SaveInitiatorFailed | 830 | 保存会诊发起人失败 
        /// </summary>
        SaveInitiatorFailed = 830,

        /// <summary>
        /// ApplyerNotOnline | 831 | 申请方不在线
        /// </summary>
        ApplyerNotOnline = 831,

        /// <summary>
        /// NotConsultationInitiator | 832 | 不是会诊发起方
        /// </summary>
        NotConsultationInitiator = 832,

        /// <summary>
        /// ConsultationEnded | 833 | 会诊已结束
        /// </summary>
        ConsultationEnded = 833,

        /// <summary>
        /// ReservationNotReviewed | 834 | 预约记录未审批
        /// </summary>
        ReservationNotReviewed = 834,

        /// <summary>
        /// ConsultationNotInProcess | 835 | 会诊不在进行中
        /// </summary>
        ConsultationNotInProcess = 835,

        /// <summary>
        /// ExpertStateError | 836 | 专家状态不是空闲中
        /// </summary>
        ExpertStateError = 836,

        /// <summary>
        /// ExpertdutyDoctorError | 837 | 没有值班医师
        /// </summary>
        ExpertdutyDoctorError = 837,

        /// <summary>
        /// EmergencyCodeError | 838 | 急诊编号生成失败
        /// </summary>
        EmergencyCodeError = 838,

        /// <summary>
        /// EmergencyCodeError | 838 | 急诊code重复
        /// </summary>
        EmergencyCodeRepeat = 839,

        /// <summary>
        ///UniqueCodeIsError | 840 | 唯一码不正确
        /// </summary>
        UniqueCodeIsError = 840,

        /// <summary>
        ///EmergencyOrganizationCodeError | 841 | 未设置急诊机构
        /// </summary>
        EmergencyOrganizationCodeError = 841,

        /// <summary>
        /// ConsultationExpertIsEmpty | 842 | 会诊专家为空
        /// </summary>
        ConsultationExpertIsEmpty = 842,

        /// <summary>
        /// ConsultationInProcess | 843 | 正在会诊中
        /// </summary>
        ConsultationInProcess = 843,

        /// <summary>
        /// InviterNotOnLine | 844 | 对方不在线
        /// </summary>
        InviterNotOnLine = 844,

        /// <summary>
        /// InviterIsBusy | 845 | 对方繁忙中
        /// </summary>
        InviterIsBusy = 845,

        /// <summary>
        /// ReferralOrganizationsIsEmpty | 846 | 未配置转诊医院
        /// </summary>
        ReferralOrganizationsIsEmpty = 846,

        /// <summary>
        /// EmergencyDoctorsIsEmpty | 847 | 急诊专家为空
        /// </summary>
        EmergencyDoctorsIsEmpty = 847,

        /// <summary>
        /// ControllingParameterByOtherUser | 848 | 其他用户正在调参中
        /// </summary>
        ControllingParameterByOtherUser = 848,

        /// <summary>
        /// StorageSettingsEmpty | 849 | 存储配置为空
        /// </summary>
        StorageSettingsEmpty = 849,

        /// <summary>
        /// WaitUpgradeIsEmpty | 850 | 待升级版本号为空
        /// </summary>
        WaitUpgradeIsEmpty = 850,

        /// <summary>
        /// JoinedByOtherDevice | 851 | 已在其它设备加入会诊
        /// </summary>
        JoinedByOtherDevice = 851,

        /// <summary>
        /// ApplyerIsBusy | 852 | 申请方正忙
        /// </summary>
        ApplyerIsBusy = 852,

        /// <summary>
        ///NoExistDevice|2000 |设备不存在
        /// </summary>
        NoExistDevice = 2000,

        /// <summary>
        ///HasAddedDevice|2001 |设备已添加
        /// </summary>
        HasAddedDevice = 2001,

        /// <summary>
        ///UniqueCodeIsEmpty | 2002 | 唯一码为空
        /// </summary>
        UniqueCodeIsEmpty = 2002,

        /// <summary>
        /// DeviceDuplicateBind|2003 | 设备重复绑定
        /// </summary>
        DeviceDuplicateBind = 2003,

        /// <summary>
        /// DeviceNotOrg |2004 | 设备没有组织
        /// </summary>
        DeviceNotOrg = 2004,

        /// <summary>
        /// DeviceCodeIsEmpty | 2005 | 设备code为空
        /// </summary>
        DeviceCodeIsEmpty = 2005,

        /// <summary>
        /// DeviceAIDiagnosisModule | 2006 | 设备AI类型为空
        /// </summary>
        DeviceAIDiagnosisModule = 2006,

        /// <summary>
        /// DeviceTypeEmpty |2007 | 设备类型为空
        /// </summary>
        DeviceTypeEmpty = 2007,

        /// <summary>
        /// SoftwareVersionEmpty |2008 | 软件版本为空
        /// </summary>
        SoftwareVersionEmpty = 2008,

        /// <summary>
        /// SystemVersionEmpty |2009 | 系统版本为空
        /// </summary>
        SystemVersionEmpty = 2009,

        /// <summary>
        /// CPUModelEmpty |2010 | CPU型号为空
        /// </summary>
        CPUModelEmpty = 2010,

        /// <summary>
        /// SystemLanguageEmpty |2011 | 系统语言为空
        /// </summary>
        SystemLanguageEmpty = 2011,

        /// <summary>
        /// DeviceCodeEmpty |2012 | 设备编码为空
        /// </summary>
        DeviceCodeEmpty = 2012,

        /// <summary>
        /// ShortCodeEmpty |2013 | 设备唯一码为空
        /// </summary>
        ShortCodeEmpty = 2013,

        /// <summary>
        /// DeviceCodeOrOrganizationCodeEmpty |2014 | 设备编码或关联机构为空
        /// </summary>
        DeviceCodeOrOrganizationCodeEmpty = 2014,

        /// <summary>
        /// DeviceNotExist |2015 | 设备不存在
        /// </summary>
        DeviceNotExist = 2015,

        /// <summary>
        /// DeviceNameEmpty |2016 | 设备名称为空
        /// </summary>
        DeviceNameEmpty = 2016,

        /// <summary>
        /// DeviceUniqueCodeEmpty |2017 | 物理唯一码为空
        /// </summary>
        DeviceUniqueCodeEmpty = 2017,

        /// <summary>
        /// DeviceModelEmpty |2018 | 设备型号为空
        /// </summary>
        DeviceModelEmpty = 2018,

        /// <summary>
        /// DeviceTypeError |2019 | 设备类型错误
        /// </summary>
        DeviceTypeError = 2019,

        /// <summary>
        /// DeviceModelError |2020 | 设备型号错误
        /// </summary>
        DeviceModelError = 2020,

        /// <summary>
        /// VideoDeviceInfosEmpty |2021 | 视屏设备画面信息为空
        /// </summary>
        VideoDeviceInfosEmpty = 2021,

        /// <summary>
        /// VideoDeviceIdEmpty |2022 | 视屏设备ID为空
        /// </summary>
        VideoDeviceIdEmpty = 2022,

        /// <summary>
        /// VideoDeviceIdRepeatError |2023 | 视屏设备ID重复
        /// </summary>
        VideoDeviceIdRepeatError = 2023,

        /// <summary>
        /// PreviewFileTokenIsEmpty |2024 | 预览图为空
        /// </summary>
        PreviewFileTokenIsEmpty = 2024,

        /// <summary>
        /// CoverImageTokenIsEmpty |2025 | 封面图为空
        /// </summary>
        CoverImageTokenIsEmpty = 2025,

        /// <summary>
        /// OrgCanNotChoseChild|3000 | 管理端机构不能选择自己的子级机构作为父级机构
        /// </summary>
        OrgCanNotChoseChild = 3000,

        /// <summary>
        /// AdminPasswordIsEmpty|3001 |管理员密码为空
        /// </summary>
        AdminPasswordIsEmpty = 3001,

        /// <summary>
        /// AdminNameNotFound|3002 |管理员未找到
        /// </summary>
        AdminNameNotFound = 3002,

        /// <summary>
        /// NameEmpty|3003 |名称必传
        /// </summary>
        NameEmpty = 3003,

        /// <summary>
        /// AdminCodeEmpty|3004 |管理员Code必传
        /// </summary>
        AdminCodeEmpty = 3004,

        /// <summary>
        /// AdminNameExisted|3005 |管理员名称已存在
        /// </summary>
        AdminNameExisted = 3005,

        /// <summary>
        /// AdminQueryTypeError|3006 |管理员查询类型有误
        /// </summary>
        AdminQueryTypeError = 3006,

        /// <summary>
        /// AdminCodeNotFind|3007 |管理员Code未找到
        /// </summary>
        AdminCodeNotFind = 3007,

        /// <summary>
        /// OrgAdminDelFail|3008 |机构管理员删除失败
        /// </summary>
        OrgAdminDelFail = 3008,

        /// <summary>
        /// UsercodeIsEmpty|3009 |用户code必传
        /// </summary>
        UsercodeIsEmpty = 3009,

        /// <summary>
        /// NewPasswordIsEmpty|3010 |密码必传
        /// </summary>
        NewPasswordIsEmpty = 3010,

        /// <summary>
        /// RoleCodesIsEmpty|3011 |角色必传
        /// </summary>
        RoleCodesIsEmpty = 3011,

        /// <summary>
        /// RoleCodesNotExist|3012 |角色不存在
        /// </summary>
        RoleCodesNotExist = 3012,

        /// <summary>
        /// CanNotModifyRoleWithoutOrg|3013 |没有选择机构则无法选择角色
        /// </summary>
        CanNotModifyRoleWithoutOrg = 3013,

        /// <summary>
        /// IdentityApplyCodeRequired|3014 |认证记录Code必传
        /// </summary>
        IdentityApplyCodeRequired = 3014,

        /// <summary>
        /// UniqueCodeEmpty|3015 |唯一码必传
        /// </summary>
        UniqueCodeEmpty = 3015,

        /// <summary>
        /// UniqueCodeRepeated|3016 |唯一码重复
        /// </summary>
        UniqueCodeRepeated = 3016,

        /// <summary>
        /// UserFeatureNotFind|3017 |权限未找到
        /// </summary>
        UserFeatureNotFind = 3017,

        /// <summary>
        /// ChooseSelfAsSuperior|3018 |选择自身作为上级
        /// </summary>
        ChooseSelfAsSuperior = 3018,

        /// <summary>
        /// UserFeatureIsRequired|3019 |权限必传
        /// </summary>
        UserFeatureIsRequired = 3019,

        /// <summary>
        /// RoleNotFind|3020 |角色未找到
        /// </summary>
        RoleNotFind = 3020,

        /// <summary>
        /// SuperAdministratorProcess|3021 |超级管理员角色不可操作
        /// </summary>
        SuperAdministratorProcess = 3021,

        /// <summary>
        /// DeviceNotFind|3022 |设备未找到
        /// </summary>
        DeviceNotFind = 3022,

        /// <summary>
        /// DeviceCodeRequired|3023 |设备Code必传
        /// </summary>
        DeviceCodeRequired = 3023,

        /// <summary>
        /// DeviceTypeRequired|3024 |设备类型必传
        /// </summary>
        DeviceTypeRequired = 3024,

        /// <summary>
        /// DeviceTypeRepeated|3025 |设备类型不能重复
        /// </summary>
        DeviceTypeRepeated = 3025,

        /// <summary>
        /// UsedForDevice|3026 |设备类型已绑定设备
        /// </summary>
        UsedForDevice = 3026,

        /// <summary>
        /// ParentOrgNotExist|3027 |上级机构不存在
        /// </summary>
        ParentOrgNotExist = 3027,

        /// <summary>
        /// OrgNotExist|3028 |机构不存在
        /// </summary>
        OrgNotExist = 3028,

        /// <summary>
        /// VirtualOrgProcess|3029|虚拟机构不能操作
        /// </summary>
        VirtualOrgProcess = 3029,

        /// <summary>
        /// UserNotFind|3030|用户未找到
        /// </summary>
        UserNotFind = 3030,

        /// <summary>
        /// ThesaurusEmpty|3031|词库Code或词条名称为空
        /// </summary>
        ThesaurusEmpty = 3031,

        /// <summary>
        /// EditThesaurusItemError|3032|编辑词条失败
        /// </summary>
        EditThesaurusItemError = 3032,

        /// <summary>
        /// ThesaurusCodeEmpty|3033|词库Code或词条Code为空
        /// </summary>
        ThesaurusCodeEmpty = 3033,

        /// <summary>
        /// DescriptionOrConclusionEmpty|3034|结论或描述为空
        /// </summary>
        DescriptionOrConclusionEmpty = 3034,

        /// <summary>
        /// EditThesaurusItemContentError|3035|编辑词条内容失败
        /// </summary>
        EditThesaurusItemContentError = 3035,

        /// <summary>
        /// ThesaurusCodeOrParentItemCodeEmpty|3036|词条Code或父级Code为空
        /// </summary>
        ThesaurusCodeOrParentItemCodeEmpty = 3036,

        /// <summary>
        /// JsonError|3037|Json格式不正确
        /// </summary>
        JsonError = 3037,

        /// <summary>
        /// NotRealVersion|3038|版本号格式不正确
        /// </summary>
        NotRealVersion = 3038,

        /// <summary>
        /// NameCannotDelete|3039|名称不可删除
        /// </summary>
        NameCannotDelete = 3039,

        /// <summary>
        /// PhoneCannotDelete|3040|手机号不可删除
        /// </summary>
        PhoneCannotDelete = 3040,

        /// <summary>
        /// BaseInfoCannotDelete|3041|基础信息不可删除
        /// </summary>
        BaseInfoCannotDelete = 3041,

        /// <summary>
        /// AdminPasswordError|3042|密码错误
        /// </summary>
        AdminPasswordError = 3042,

        /// <summary>
        /// CodeIsNull|3043|Code为空
        /// </summary>
        CodeIsNull = 3043,

        /// <summary>
        /// LastVersion|3045|已经是最新版本
        /// </summary>
        LastVersion = 3045,

        /// <summary>
        /// NotSetDefaultThesaurus|3046|未设置默认词条
        /// </summary>
        NotSetDefaultThesaurus = 3046,

        /// <summary>
        /// NotSetDefaultReportTemplate|3047|未设置默认模版
        /// </summary>
        NotSetDefaultReportTemplate = 3047,

        /// <summary>
        /// StartIpIsInInterval|3048|StartIP已在区间内
        /// </summary>
        StartIpIsInInterval = 3048,

        /// <summary>
        /// EndIpIsInInterval|3049|EndIP已在区间内
        /// </summary>
        EndIpIsInInterval = 3049,

        /// <summary>
        /// ThesaurusNameDuplication|3050|词条库名称重复
        /// </summary>
        ThesaurusNameDuplication = 3050,

        /// <summary>
        /// ReportTemplateNameDuplication|3051|模版名称重复
        /// </summary>
        ReportTemplateNameDuplication = 3051,

        /// <summary>
        /// ClearSysLogParamEmpty|3052|清理系统日志参数为空
        /// </summary>
        ClearSysLogParamEmpty = 3052,

        /// <summary>
        /// ServerAddressIsEmpty|3053|服务器地址为空
        /// </summary>
        ServerAddressIsEmpty = 3053,

        /// <summary>
        /// AdminPasswordExpiredError|3054|管理员密码已过期
        /// </summary>
        AdminPasswordExpiredError = 3054,

        /// <summary>
        /// AdminPasswordRepeatError|3055|管理员密码重复
        /// </summary>
        AdminPasswordRepeatError = 3055,

        /// <summary>
        /// DefultCanNotDel|3056|基础配置不可删改
        /// </summary>
        DefultCanNotDel = 3056,

        /// <summary>
        /// IsShowAndRequiredError|3057|是否显示和是否必填设置错误
        /// </summary>
        IsShowAndRequiredError = 3057,

        /// <summary>
        /// AccountTypeUnsupported|3058|不支持的登录类型
        /// </summary>
        AccountTypeUnsupported = 3058,

        /// <summary>
        /// AccountNotExisted|3059|账号不存在
        /// </summary>
        AccountNotExisted = 3059,

        /// <summary>
        /// CMSTemplateNotExisted|3060|CMS模板不存在
        /// </summary>
        CMSTemplateNotExisted = 3060,

        /// <summary>
        /// ImitatePasswordError|3061|密码不匹配
        /// </summary>
        ImitatePasswordError = 3061,

        /// <summary>
        /// LanguageConfigsIsEmpty|3062|语言配置为空
        /// </summary>
        LanguageConfigsIsEmpty = 3062,

        /// <summary>
        /// BaseRoleCantDel|3063|默认角色不能删除
        /// </summary>
        BaseRoleCantDel = 3063,

        /// <summary>
        /// QuestionUsed|3064|题目已被试卷使用
        /// </summary>
        QuestionUsed = 3064,

        /// <summary>
        /// SystemError|3999|系统错误
        /// </summary>
        SystemError = 3999,

        /// <summary>
        ///PatientCodesRequired|4000 |病人codes必传
        /// </summary>
        PatientCodesRequired = 4000,

        /// <summary>
        ///IsBatchExportDiagnoseDataFalse|4001 |没有导出权限
        /// </summary>
        IsBatchExportDiagnoseDataFalse = 4001,

        /// <summary>
        ///ExamIsScaned|4002 |检查已结束扫查,无法继续传图
        /// </summary>
        ExamIsScaned = 4002,

        /// <summary>
        ///ReferralIsCircle|4003 |无法转诊到申请人
        /// </summary>
        ReferralIsCircle = 4003,

        /// <summary>
        ///ReferralIsTimedOut|4004 |转诊审核超时
        /// </summary>
        ReferralIsTimedOut = 4004,

        /// <summary>
        ///ExistUnCompleteScan|4005 |病人有未结束的扫查
        /// </summary>
        ExistUnCompleteScan = 4005,

        /// <summary>
        ///NoRightToReferralInThisOrg|4006 |无法转诊至此机构
        /// </summary>
        NoRightToReferralInThisOrg = 4006,

        /// <summary>
        ///PatientNoSameOrg|4007 |病人不在相同的组织内
        /// </summary>
        PatientNoSameOrg = 4007,

        /// <summary>
        ///DeviceNoSameOrg|4008 |设备不在相同的组织内
        /// </summary>
        DeviceNoSameOrg = 4008,

        /// <summary>
        ///RecordNoSameDevice|4009 |记录不在相同的设备内
        /// </summary>
        RecordNoSameDevice = 4009,

        /// <summary>
        ///ReferralNotAccepted|4010 |已同意才可以继续转诊
        /// </summary>
        ReferralNotAccepted = 4010,

        /// <summary>
        ///PatientInfoIsNotValid|4011 |病人未登记
        /// </summary>
        PatientInfoIsNotValid = 4011,

        /// <summary>
        ///SexError|4012 |性别错误
        /// </summary>
        SexError = 4012,

        /// <summary>
        ///DeviceNoOrg|4013 |设备没有组织
        /// </summary>
        DeviceNoOrg = 4013,

        /// <summary>
        /// PatientNotExistError | 4014| 病人不存在
        /// </summary>
        PatientNotExistError = 4014,

        /// <summary>
        /// ExamNotExistError | 4015| 检查不存在
        /// </summary>
        ExamNotExistError = 4015,

        /// <summary>
        /// RecordNotExistError | 4016| 记录不存在
        /// </summary>
        RecordNotExistError = 4016,

        /// <summary>
        /// ExamNotForDeviceError | 4017| 检查不在设备里
        /// </summary>
        ExamNotForDeviceError = 4017,

        /// <summary>
        /// RootOrgNotExistError | 4018| 根组织不存在
        /// </summary>
        RootOrgNotExistError = 4018,
        /// <summary>
        /// ReservationNoExistError | 4019| 预约检查记录不存在
        /// </summary>
        ReservationNoExistError = 4019,

        /// <summary>
        /// ExamNotRemedicalDataError | 4020| 检查无图像数据
        /// </summary>
        ExamNotRemedicalDataError = 4020,
        /// <summary>
        ///ReferralIsNotWait | 4021 | 转诊单不是待处理状态
        /// </summary>
        ReferralIsNotWait = 4021,
        /// <summary>
        ///StartTimeGreaterThanEndTime|4022 |开始时间大于结束时间
        /// </summary>
        StartTimeGreaterThanEndTime = 4022,
        /// <summary>
        ///OrganizationCodeEmpty|4023 |机构编码为空
        /// </summary>
        OrganizationCodeEmpty = 4023,
        /// <summary>
        ///ReferralRecordCodeEmpty|4024 |转诊编码为空
        /// </summary>
        ReferralRecordCodeEmpty = 4024,
        /// <summary>
        ///PatientDataIsEmpty | 4025 | 病人数据为空
        /// </summary>
        PatientDataIsEmpty = 4025,
        /// <summary>
        ///RecordCodeIsEmpty | 4026 | 检查记录code为空
        /// </summary>
        RecordCodeIsEmpty = 4026,
        /// <summary>
        ///GestationalAgeOriginIsEmpty | 4027 | 孕龄为空
        /// </summary>
        GestationalAgeOriginIsEmpty = 4027,
        /// <summary>
        /// RemedicalNotExistError | 4028| 扫查信息不存在
        /// </summary>
        RemedicalNotExistError = 4028,
        /// <summary>
        /// ApplicationNameIsEmpty | 4029| 申请名称为空
        /// </summary>
        ApplicationNameIsEmpty = 4029,
        /// <summary>
        /// CategoryNameIsEmpty | 4030| 类别名称为空
        /// </summary>
        CategoryNameIsEmpty = 4030,
        /// <summary>
        /// MeasureModesIsNull | 4031| 测量模式为null
        /// </summary>
        MeasureModesIsNull = 4031,
        /// <summary>
        /// LanguageCodeIsEmpty | 4032| 语言Code为空
        /// </summary>
        LanguageCodeIsEmpty = 4032,
        /// <summary>
        /// CommentItemsIsNull | 4033| 注释内容为Null
        /// </summary>
        CommentItemsIsNull = 4033,
        /// <summary>
        /// WorkingModeIsNull | 4034| 测量工作模式集合Null
        /// </summary>
        WorkingModeIsNull = 4034,
        /// <summary>
        /// SystemSettingIsNull | 4035| 系统设置Null
        /// </summary>
        SystemSettingIsNull = 4035,
        /// <summary>
        ///PatientTypeIsEmpty | 4036 | 病人类型为空
        /// </summary>
        PatientTypeIsEmpty = 4036,
        /// <summary>
        ///ExamCodeIsEmpty | 4037 | 检查code为空
        /// </summary>
        ExamCodeIsEmpty = 4037,
        /// <summary>
        /// PatientNameSameError | 4038| 同一机构病人重名错误
        /// </summary>
        PatientNameSameError = 4038,
        /// <summary>
        ///ExamTimeIsEmpty | 4039 | 检查时间为空
        /// </summary>
        ExamTimeIsEmpty = 4039,

        /// <summary>
        ///PregnancyValueError | 4040 | 孕期计算传值有误
        /// </summary>
        PregnancyValueError = 4040,
        /// <summary>
        ///PatientTypeError | 4041 | 病人类型错误
        /// </summary>
        PatientTypeError = 4041,
        /// <summary>
        ///FileTypeInvalid | 4042 | 登记状态无效
        /// </summary>
        FileTypeInvalid = 4042,
        /// <summary>
        ///VersionInvalid | 4043 | 版本号格式错误
        /// </summary>
        VersionInvalid = 4043,
        /// <summary>
        ///GreaterThanNewestVersion | 4044 | 版本号无效
        /// </summary>
        GreaterThanNewestVersion = 4044,
        /// <summary>
        ///RemedicalUserNotExisted | 4045 | 用户不存在
        /// </summary>
        RemedicalUserNotExisted = 4045,
        /// <summary>
        ///PatientCodeIsEmpty | 4046 | 病人编码不能为空
        /// </summary>
        PatientCodeIsEmpty = 4046,
        /// <summary>
        ///NotSupportPatientState | 4047 | 不支持的病人状态
        /// </summary>
        NotSupportPatientState = 4047,

        /// <summary>
        /// ReferralCanNotModify|4048 |转诊单状态不能修改
        /// </summary>
        ReferralCanNotModify = 4048,

        /// <summary>
        /// CanNotReferral|4049 |无权操作此转诊单
        /// </summary>
        CanNotReferral = 4049,

        /// <summary>
        /// ExamRecordsIsEmpty|4050 |扫查记录为空
        /// </summary>
        ExamRecordsIsEmpty = 4050,

        /// <summary>
        /// UnregisteredPatientCodeIsEmpty|4051 |未登记病人编码为空
        /// </summary>
        UnregisteredPatientCodeIsEmpty = 4051,

        /// <summary>
        /// PatientNameIsEmpty|4052 |病人姓名为空
        /// </summary>
        PatientNameIsEmpty = 4052,

        /// <summary>
        /// UnregisteredPatientNotExisted|4053 |未登记病人不存在
        /// </summary>
        UnregisteredPatientNotExisted = 4053,

        /// <summary>
        /// PatientWasRegistered|4054 |病人已登记
        /// </summary>
        PatientWasRegistered = 4054,

        /// <summary>
        /// NoValidPatientNoFoundRecord|4055 |未登记的病人没有检查记录
        /// </summary>
        NoValidPatientNoFoundRecord = 4055,

        /// <summary>
        /// NoFoundExportList|4056 |未检测到导出的内容
        /// </summary>
        NoFoundExportList = 4056,
        /// <summary>
        /// PatientPhoneIsEmpty|4057 |病人手机号为空
        /// </summary>
        PatientPhoneIsEmpty = 4057,

        /// <summary>
        /// UpdatePatientInfoFail|4058 |更新病人信息失败
        /// </summary>
        UpdatePatientInfoFail = 4058,

        /// <summary>
        ///IDIsNullOrWhiteSpace|4059 |ID错误
        /// </summary>
        IDIsNullOrWhiteSpace = 4059,

        /// <summary>
        ///ConsultationTimeIsEmpty|4060 |会诊时间为空
        /// </summary>
        ConsultationTimeIsEmpty = 4060,

        /// <summary>
        ///CurrentConsultationNotFound|4061 |新的会诊记录不存在
        /// </summary>
        CurrentConsultationNotFound = 4061,

        /// <summary>
        ///CurrentConsultationInProcess|4062 |新的会诊已开始
        /// </summary>
        CurrentConsultationInProcess = 4062,

        /// <summary>
        ///ChangeConsultationNoFeature|4063 |当前操作人不在会诊人员里面
        /// </summary>
        ChangeConsultationNoFeature = 4063,

        /// <summary>
        ///OperatorNoJoined|4064 |当前操作人不在会诊房间中
        /// </summary>
        OperatorNoJoined = 4064,

        /// <summary>
        /// RecordCodeEmpty|5000 | 检查编码不能为空
        /// </summary>
        RecordCodeEmpty = 5000,

        /// <summary>
        /// RecordNotExisted|5001 | 检查记录不存在
        /// </summary>
        RecordNotExisted = 5001,

        /// <summary>
        /// ReportTemplateJsonEmpty|5002 | 报告模板内容为空
        /// </summary>
        ReportTemplateJsonEmpty = 5002,

        /// <summary>
        /// ReportDatasJsonEmpty|5003 | 报告内容为空
        /// </summary>
        ReportDatasJsonEmpty = 5003,

        /// <summary>
        /// MobileListEmpty|5004 | 发送手机号不能为空
        /// </summary>
        MobileListEmpty = 5004,

        /// <summary>
        /// ReportCodeEmpty|5005 | 报告编码不能为空
        /// </summary>
        ReportCodeEmpty = 5005,

        /// <summary>
        /// CaptchaNeverConfig|5006 | 报告提取地址未配置
        /// </summary>
        CaptchaNeverConfig = 5006,

        /// <summary>
        /// ReportPageNeverConfig|5007 | 报告分享地址未配置
        /// </summary>
        ReportPageNeverConfig = 5007,

        /// <summary>
        /// ReportSMSTempalteNeverConfig|5008 | 报告分享短信模板未配置
        /// </summary>
        ReportSMSTempalteNeverConfig = 5008,

        /// <summary>
        /// CreateShareCodeError|5009 | 生成报告分享码失败
        /// </summary>
        CreateShareCodeError = 5009,

        /// <summary>
        /// EmailListEmpty|5010 | 发送邮件地址不能为空
        /// </summary>
        EmailListEmpty = 5010,

        /// <summary>
        /// ReportTemplateCodeEmpty|5011 | 报告模板编码为空
        /// </summary>
        ReportTemplateCodeEmpty = 5011,

        /// <summary>
        /// MessageUrlEmpty|5012 | 消息地址为空
        /// </summary>
        MessageUrlEmpty = 5012,

        /// <summary>
        /// RemedicalMeasuredInfosIsEmpty |5013 | 上传保存的测量图像数据集合为空
        /// </summary>
        RemedicalMeasuredInfosIsEmpty = 5013,

        /// <summary>
        /// AddReportFailed |5014 | 创建报告失败
        /// </summary>
        AddReportFailed = 5014,

        /// <summary>
        /// ReferralRecordNotExisted |5015 | 转诊病人不存在
        /// </summary>
        ReferralRecordNotExisted = 5015,

        /// <summary>
        /// ReferralRecordNeverAccepted |5016 | 转诊病人未受理
        /// </summary>
        ReferralRecordNeverAccepted = 5016,

        /// <summary>
        /// ExistsCommentItem |5017 | 已有同名注释
        /// </summary>
        ExistsCommentItem = 5017,

        /// <summary>
        /// PhoneIncorrect|6000 |手机号格式验证失败
        /// </summary>
        PhoneIncorrect = 6000,

        /// <summary>
        /// NameEmptyError | 6001 | 名称参数为空
        /// </summary>
        NameEmptyError = 6001,

        /// <summary>
        /// PhoneEmptyError |6002 | 手机号参数为空
        /// </summary>
        PhoneEmptyError = 6002,

        /// <summary>
        /// NameLengthError | 6003 | 字符串长度过长，限制20个字
        /// </summary>
        NameLengthError = 6003,

        /// <summary>
        /// PhoneLengthError | 6004 | 字符串长度过长，限制11个字
        /// </summary>
        PhoneLengthError = 6004,

        /// <summary>
        /// UserNotExistError | 6005| 用户不存在
        /// </summary>
        UserNotExistError = 6005,

        /// <summary>
        /// PhoneAndNameExistError | 6006 | 手机号和姓名都已存在
        /// </summary>
        PhoneAndNameExistError = 6006,

        /// <summary>
        /// NotOrgAdmin |6007 | 不是机构负责人
        /// </summary>
        NotOrgAdmin = 6007,

        /// <summary>
        /// OrganizationNotExist|6008 | 机构不存在
        /// </summary>
        OrganizationNotExist = 6008,

        /// <summary>
        /// UserCodeEmptyError|6009 |  参数UserCode为空
        /// </summary>
        UserCodeEmptyError = 6009,

        /// <summary>
        /// RoleNoApply|6010 |  不能申请角色
        /// </summary>
        RoleNoApply = 6010,

        /// <summary>
        /// IdentityCardIsRequired|6011 |身份证必填
        /// </summary>
        IdentityCardIsRequired = 6011,

        /// <summary>
        /// LicenseCardIsRequired|6012 |医生执照必填
        /// </summary>
        LicenseCardIsRequired = 6012,

        /// <summary>
        /// UserNotDirector|6013 |当前操作人不是管理员
        /// </summary>
        UserNotDirector = 6013,

        /// <summary>
        /// UserOrganizationCodeEmpty|6014 |机构编码为空
        /// </summary>
        UserOrganizationCodeEmpty = 6014,

        /// <summary>
        /// NickNameAndHeadImageUrlEmpty|6015 |用户昵称和头像为空
        /// </summary>
        NickNameAndHeadImageUrlEmpty = 6015,
        /// <summary>
        /// RoleNoExist|6016 | 角色不存在
        /// </summary>
        RoleNoExist = 6016,

        /// <summary>
        /// OrganizationNameIsEmpty|6017 | 组织名称不能为空
        /// </summary>
        OrganizationNameIsEmpty = 6017,

        /// <summary>
        /// OrganizationCodeIsEmpty|6018 | 机构编码不能为空
        /// </summary>
        OrganizationCodeIsEmpty = 6018,

        /// <summary>
        /// PositionCodeIsEmpty|6019 | 职位编码不能为空
        /// </summary>
        PositionCodeIsEmpty = 6019,

        /// <summary>
        /// PositionNameIsEmpty|6020 | 职位名称不能为空
        /// </summary>
        PositionNameIsEmpty = 6020,

        /// <summary>
        /// FitDepartmentCodeIsEmpty|6021 | 适用部门编码不能为空
        /// </summary>
        FitDepartmentCodeIsEmpty = 6021,

        /// <summary>
        /// RankCodeIsEmpty|6022 | 职称编码不能为空
        /// </summary>
        RankCodeIsEmpty = 6022,

        /// <summary>
        /// RankNameIsEmpty|6023 | 职称名称不能为空
        /// </summary>
        RankNameIsEmpty = 6023,

        /// <summary>
        ///EmailIncorrect | 6024 | 邮件格式验证失败
        /// </summary>
        EmailIncorrect = 6024,

        /// <summary>
        ///PasswordEmpty | 6025 | 登录密码不能为空
        /// </summary>
        PasswordEmpty = 6025,

        /// <summary>
        ///IncorrectAccount | 6026 | 登录账号不存在
        /// </summary>
        IncorrectAccount = 6026,

        /// <summary>
        ///UserNotExisted | 6027 | 用户不存在
        /// </summary>
        UserNotExisted = 6027,

        /// <summary>
        ///EmailEmpty | 6028 | 邮件地址不能为空
        /// </summary>
        EmailEmpty = 6028,

        /// <summary>
        ///EmailUserNotExisted | 6029 | 用户不存在
        /// </summary>
        EmailUserNotExisted = 6029,

        /// <summary>
        ///PhoneEmpty | 6030 | 手机号不能为空
        /// </summary>
        PhoneEmpty = 6030,

        /// <summary>
        ///PhoneUserNotExisted | 6031 | 用户不存在
        /// </summary>
        PhoneUserNotExisted = 6031,

        /// <summary>
        ///PhoneIllegality | 6032 | 手机号不匹配
        /// </summary>
        PhoneIllegality = 6032,

        /// <summary>
        ///EmailIllegality | 6033 | 邮箱地址不匹配
        /// </summary>
        EmailIllegality = 6033,

        /// <summary>
        ///VerificationCodeIllegality | 6034 | 验证码不匹配
        /// </summary>
        VerificationCodeIllegality = 6034,

        /// <summary>
        ///UserNameIllegality | 6035 | 登录账号不匹配
        /// </summary>
        UserNameIllegality = 6035,

        /// <summary>
        ///PasswordError | 6036 | 密码不正确
        /// </summary>
        PasswordError = 6036,

        /// <summary>
        ///UserNotRegistered | 6037 | 用户未注册
        /// </summary>
        UserNotRegistered = 6037,

        /// <summary>
        ///NewPasswordEmpty | 6038 | 密码不能为空
        /// </summary>
        NewPasswordEmpty = 6038,

        /// <summary>
        ///UserVersionInValid | 6039 | 版本号格式错误
        /// </summary>
        UserVersionInValid = 6039,

        /// <summary>
        ///ReginDataEmpty | 6040 | 国家地区数据为空
        /// </summary>
        ReginDataEmpty = 6040,

        /// <summary>
        ///UserGreaterThanNewestVersion | 6041 | 国家地区数据为空
        /// </summary>
        UserGreaterThanNewestVersion = 6041,

        /// <summary>
        ///IncorrectPasswordFormat | 6042 | 密码格式不正确
        /// </summary>
        IncorrectPasswordFormat = 6042,

        /// <summary>
        ///DuplicateClaim | 6043 | 重复的申请
        /// </summary>
        DuplicateClaim = 6043,

        /// <summary>
        ///UserNameRegistered | 6044 | 登录账号已注册
        /// </summary>
        UserNameRegistered = 6044,

        /// <summary>
        ///PhoneRegistered | 6045 | 手机号已注册
        /// </summary>
        PhoneRegistered = 6045,

        /// <summary>
        ///EmailRegistered | 6046 | 邮箱已注册
        /// </summary>
        EmailRegistered = 6046,

        /// <summary>
        ///PhoneBinded | 6047 | 手机号已绑定
        /// </summary>
        PhoneBinded = 6047,

        /// <summary>
        ///EmailBinded | 6048 | 邮箱已绑定
        /// </summary>
        EmailBinded = 6048,

        /// <summary>
        /// AccountIsEmpty|  6049 | 账号不能为空
        /// </summary>
        AccountIsEmpty = 6049,

        /// <summary>
        /// AccountLengthError| 6050 | 账号长度大于2 并小于50
        /// </summary>
        AccountLengthError = 6050,

        /// <summary>
        /// VerificationCodeIncorrect| 6051 | 验证码不正确 必须长度大于2 并小于50
        /// </summary>
        VerificationCodeIncorrect = 6051,

        /// <summary>
        ///EmailVerifyCodeExpired | 6052 | 邮箱验证码过期 
        /// </summary>
        EmailVerifyCodeExpired = 6052,

        /// <summary>
        ///OldPasswordError | 6053 | 原密码不正确 
        /// </summary>
        OldPasswordError = 6053,

        /// <summary>
        ///PositionNameDuplicate | 6054 | 岗位名称重复 
        /// </summary>
        PositionNameDuplicate = 6054,

        /// <summary>
        ///RankNameDuplicate | 6055 | 职位名称重复 
        /// </summary>
        RankNameDuplicate = 6055,

        /// <summary>
        ///OrganizationDuplicate | 6056 | 组织名称重复 
        /// </summary>
        OrganizationNameDuplicate = 6056,

        /// <summary>
        ///HeadImageUrlNotValid|6057 |头像图片地址不合法
        /// </summary>
        HeadImageUrlNotValid = 6057,

        /// <summary>
        ///NicknameTooLong|6058 |昵称太长
        /// </summary>
        NicknameTooLong = 6058,

        /// <summary>
        ///ThesaurusNameEmpty|6059|词条库名称为空
        /// </summary>
        ThesaurusNameEmpty = 6059,

        /// <summary>
        ///ConsultationEvaluateNotFound|6060|未查到会诊评价
        /// </summary>
        ConsultationEvaluateNotFound = 6060,

        /// <summary>
        ///FollowUpVisitInfoNotFound|6061|未查到随访信息
        /// </summary>
        FollowUpVisitInfoNotFound = 6061,

        /// <summary>
        ///AccountIsLocked | 6062 | 账号已锁定 
        /// </summary>
        AccountIsLocked = 6062,

        /// <summary>
        /// UserPasswordExpiredError|6063|用户密码已过期
        /// </summary>
        UserPasswordExpiredError = 6063,

        /// <summary>
        /// UserPasswordRepeatError|6064|用户密码重复
        /// </summary>
        UserPasswordRepeatError = 6064,

        /// <summary>
        ///SignatureUrlNotValid|6057 |签名图片地址不合法
        /// </summary>
        SignatureUrlNotValid = 6065,

        /// <summary>
        ///ASRError|6066 |语音识别错误
        /// </summary>
        ASRError = 6066,

        /// <summary>
        ///MessageCodeIsEmpty|6067 |消息code为空
        /// </summary>
        MessageCodeIsEmpty = 6067,

        /// <summary>
        ///UpdateMessagesStatusFail|6068 |更新消息读取状态失败
        /// </summary>
        UpdateMessagesStatusFail = 6068,

        /// <summary>
        ///MessageCodesIsEmpty|6069 |消息code列表为空
        /// </summary>
        MessageCodesIsEmpty = 6069,

        /// <summary>
        ///ExceedMaxUser|6070 |超过最大用户数量限制
        /// </summary>
        ExceedMaxUser = 6070,

        /// <summary>
        ///ExceedMaxDevice|6071 |超过最大设备数量限制
        /// </summary>
        ExceedMaxDevice = 6071,

        /// <summary>
        ///ServerIsDisabled|6072 |服务器已经被禁用
        /// </summary>
        ServerIsDisabled = 6072,

        /// <summary>
        ///UserOrgCanNotChoseChild|6073 | 机构不能选择自己的子级机构作为父级机构
        /// </summary>
        UserOrgCanNotChoseChild = 6073,

        /// <summary>
        ///AnnouncementCodeIsEmpty|6074 | 公告Code为空
        /// </summary>
        AnnouncementCodeIsEmpty = 6074,

        /// <summary>
        ///CourseCodeEmpty|7001 | 课程Code为空
        /// </summary>
        CourseCodeEmpty = 7001,
        /// <summary>
        ///TeacherCodeEmpty|7002 | 老师Code为空
        /// </summary>
        TeacherCodeEmpty = 7002,

        /// <summary>
        ///TeacherNoFound|7003 | 老师信息未找到
        /// </summary>
        TeacherNoFound = 7003,

        /// <summary>
        ///CourseNoFound|7004 | 课程未找到
        /// </summary>
        CourseNoFound = 7004,

        /// <summary>
        ///NotDeleteForCourseStatus|7005 | 已审核状态不能删除课程
        /// </summary>
        NotDeleteForCourseStatus = 7005,

        /// <summary>
        ///NotUpdateForCourseStatus|7006 |  已审核状态不能更新课程
        /// </summary>
        NotUpdateForCourseStatus = 7006,

        /// <summary>
        /// CourseLabelCodeIsEmpty|7007 |  课程标签code为空
        /// </summary>
        CourseLabelCodeIsEmpty = 7007,

        /// <summary>
        /// CourseLabelLangConfigIsEmpty|7008 |  课程内容为空
        /// </summary>
        CourseLabelLangConfigIsEmpty = 7008,

        /// <summary>
        /// UserGroupMaxPeopleNotValid|7009 |  最大人数不能为0
        /// </summary>
        UserGroupMaxPeopleNotValid = 7009,

        /// <summary>
        /// UserGroupNameIsEmpty|7010 |  用户组名称为空
        /// </summary>
        UserGroupNameIsEmpty = 7010,

        /// <summary>
        /// InstitutionsCanNotSame|7011 |  机构不能相同
        /// </summary>
        InstitutionsCanNotSame = 7011,

        /// <summary>
        /// UserGroupCreatorCodeIsEmpty|7012 |  用户组创建人为空
        /// </summary>
        UserGroupCreatorCodeIsEmpty = 7012,

        /// <summary>
        /// UserGroupStudentsIsEmpty|7013 |  班级学员列表为空
        /// </summary>
        UserGroupStudentsIsEmpty = 7013,

        /// <summary>
        /// UserGroupCodeIsEmpty|7014 |  用户组Code为空
        /// </summary>
        UserGroupCodeIsEmpty = 7014,

        /// <summary>
        /// VideoNameIsEmpty|7015 |  视频名称为空
        /// </summary>
        VideoNameIsEmpty = 7015,

        /// <summary>
        /// VideoTokenIsEmpty|7016 |  视频地址为空
        /// </summary>
        VideoTokenIsEmpty = 7016,

        /// <summary>
        /// VideoCodeIsEmpty|7017 |  视频Code为空
        /// </summary>
        VideoCodeIsEmpty = 7017,

        /// <summary>
        /// CourseVideoCodeIsEmpty|7018 |  课程视频Code为空
        /// </summary>
        CourseVideoCodeIsEmpty = 7018,

        /// <summary>
        /// LiveTeacherNotFound|7019 |  直播老师不存在
        /// </summary>
        LiveTeacherNotFound = 7019,

        /// <summary>
        /// RejectReasonIsEmpty|7020 |  拒绝原因为空
        /// </summary>
        RejectReasonIsEmpty = 7020,

        /// <summary>
        /// CourseInProcess |7021 |  课程正在直播中
        /// </summary>
        CourseInProcess = 7021,

        /// <summary>
        /// TeacherNotOnline |7022 |  老师不在线
        /// </summary>
        TeacherNotOnline = 7022,

        /// <summary>
        /// StudentsNotOnline |7023 |  学生不在线
        /// </summary>
        StudentsNotOnline = 7023,

        /// <summary>
        /// CourseNotReviewed|7024 |  课程未审核
        /// </summary>
        CourseNotReviewed = 7024,

        /// <summary>
        /// ExaminationPaperNoFound|7025 |  试卷未找到
        /// </summary>
        ExaminationPaperNoFound = 7025,
        /// <summary>
        /// ExaminationCodeIsEmpty|7026 |  试卷编码未空
        /// </summary>
        ExaminationCodeIsEmpty = 7026,
        /// <summary>
        /// StudentExaminationNoFound|7027 |  学生答题数据未找到
        /// </summary>
        StudentExaminationNoFound = 7027,
        /// <summary>
        /// SubmitCountError|7028 |  学生答题提交次数过多
        /// </summary>
        SubmitCountError = 7028,
        /// <summary>
        /// LiveCourseNotFound|7029 |  直播课程未找到
        /// </summary>
        LiveCourseNotFound = 7029,
        /// <summary>
        /// CourseNotInProcess |7030 |  课程不在直播中
        /// </summary>
        CourseNotInProcess = 7030,
        /// <summary>
        /// CourseEnded |7031 | 课程已结束
        /// </summary>
        CourseEnded = 7031,
        /// <summary>
        /// CourseDBError|7032 |  课程DB处理错误
        /// </summary>
        CourseDBError = 7032,
        /// <summary>
        /// CourseNoPayRequired|7033 |  课程无需支付
        /// </summary>
        CourseNoPayRequired = 7033,
        /// <summary>
        /// CourseQuantityError|7034 |  购买数量不正确
        /// </summary>
        CourseQuantityError = 7034,
        /// <summary>
        /// CreateCourseOrderFailed|7035 |  生成订单失败
        /// </summary>
        CreateCourseOrderFailed = 7035,
        /// <summary>
        /// SignedUp|7036 |  已报名
        /// </summary>
        SignedUp=7036,
        /// <summary>
        /// UserGroupNotExists|7037 |  用户组未找到
        /// </summary>
        UserGroupNotExists=7037,
        /// <summary>
        /// NoSignedUp|7038 |  未报名
        /// </summary>
        NoSignedUp=7038,
        /// <summary>
        /// CourseNotStart|7039 |  课程未开始
        /// </summary>
        CourseNotStart=7039, 
        /// <summary>
        /// StudentNotPay|7040 |  学生未支付
        /// </summary>
        StudentNotPay = 7040,
        /// <summary>
        /// LiveCodeIsEmpty|7041 |  直播编码为空
        /// </summary>
        LiveCodeIsEmpty = 7041,

        /// <summary>
        /// LiveRoomIsEmpty|7042 |  直播间为空
        /// </summary>
        LiveRoomIsEmpty = 7042,
    }
}