﻿namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// AI诊断结论
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 | 结论类型描述</remarks>
    public enum DiagnosisConclusionEnum
    {
        /// <summary>
        /// NotRequired-0 | 暂无AI诊断要求
        /// </summary>
        NotRequired,
        
        /// <summary>
        /// InProcess-1 | 未处理
        /// </summary>
        InProcess,

        /// <summary>
        /// Unrecognized-2 | 未识别
        /// </summary>
        Unrecognized,
        
        /// <summary>
        /// NoObviousLesion-3 | 未见异常
        /// </summary>
        NoObviousLesion,
        
        /// <summary>
        /// Benign-4 | 良性
        /// </summary>
        Benign,
        
        /// <summary>
        /// Malignant-5 | 恶性
        /// </summary>
        Malignant,
        
        /// <summary>
        /// BenignAndMalignant-6 | 良恶性并存
        /// </summary>
        BenignAndMalignant,

        /// <summary>
        /// Other-7 | 针对颈动脉诊断 内膜和斑块 异常
        /// </summary>
        Other,
    }
}
