﻿namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// AI诊断器官类型
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 | 器官类型</remarks>
    public enum DiagnosisOrganEnum
    {
        /// <summary>
        /// Null-0 | 不可识别
        /// </summary>
        Null = 0,
        
        /// <summary>
        /// Breast-2 | 乳腺
        /// </summary>
        Breast = 2,
        /// <summary>
        /// Abdomen-3 | 腹部
        /// </summary>
        Abdomen = 3,
        /// <summary>
        /// Liver-4 | 肝脏
        /// </summary>
        Liver = 4,
        /// <summary>
        /// Cholecyst-5 | 胆囊
        /// </summary>
        Cholecyst = 5,
        /// <summary>
        /// Kidney-6 | 肾脏
        /// </summary>
        Kidney = 6,
        /// <summary>
        /// Spleen-7 | 脾脏
        /// </summary>
        Spleen = 7,
        /// <summary>
        /// CarotidArtery-8 | 颈动脉
        /// </summary>
        CarotidArtery = 8,
        /// <summary>
        /// Thyroid-9 | 甲状腺
        /// </summary>
        Thyroid = 9,
        /// <summary>
        /// Neck-10 | 颈部（ 检测到扫查部位是颈部，但是没有检测到任何一个颈部有效的器官）
        /// </summary>
        Neck = 10,
    }
}
