using System.ComponentModel;
using System.Runtime.Serialization;

namespace WingInterfaceLibrary.Enum.MeasureEnum
{
    /// <summary>
    /// 测量单位枚举描述
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 | 描述内容</remarks>
    public enum Unit
    {
        /// <summary>
        /// None-0 | ""
        /// </summary>
        [EnumMember][Description("")] None = 0,
        /// <summary>
        /// None-1 | %
        /// </summary>
        [EnumMember][Description("%")] percent = 1,
        /// <summary>
        /// fraction-2 | " "
        /// </summary>
        [EnumMember][Description(" ")] fraction = 2,
        /// <summary>
        /// cm-10 | cm
        /// </summary>
        [EnumMember][Description("cm")] cm = 10,
        /// <summary>
        /// cm-11 | cm
        /// </summary>
        [EnumMember][Description("mm")] mm = 11,
        /// <summary>
        /// inch-12 | in
        /// </summary>
        [EnumMember][Description("in")] inch = 12,
        /// <summary>
        /// ft-13 | ft
        /// </summary>
        [EnumMember][Description("ft")] ft = 13,
        /// <summary>
        /// s-20 | s
        /// </summary>
        [EnumMember][Description("s")] s = 20,
        /// <summary>
        /// minute-21 | min
        /// </summary>
        [EnumMember][Description("min")] minute = 21,
        /// <summary>
        /// hour-22 | h
        /// </summary>
        [EnumMember][Description("h")] hour = 22,
        /// <summary>
        /// day-23 | Day
        /// </summary>
        [EnumMember][Description("Day")] day = 23,
        /// <summary>
        /// week-24 | Week
        /// </summary>
        [EnumMember][Description("Week")] week = 24,
        /// <summary>
        /// minute-25 | week_day
        /// </summary>
        [EnumMember][Description("WeekDay")] week_day = 25,
        /// <summary>
        /// Tick-26 | ""
        /// </summary>
        [EnumMember][Description("")] Tick = 26,
        /// <summary>
        /// msec-27 | ms
        /// </summary>
        [EnumMember][Description("ms")] msec = 27,
        /// <summary>
        /// degree-30 | °
        /// </summary>
        [EnumMember][Description("°")] degree = 30,
        /// <summary>
        /// radian-31 | rad
        /// </summary>
        [EnumMember][Description("rad")] radian = 31,
        /// <summary>
        /// g-40 | g
        /// </summary>
        [EnumMember][Description("g")] g = 40,
        /// <summary>
        /// mg-41 | mg
        /// </summary>
        [EnumMember][Description("mg")] mg = 41,
        /// <summary>
        /// ng-42 | ng
        /// </summary>
        [EnumMember][Description("ng")] ng = 42,
        /// <summary>
        /// kg-43 | kg
        /// </summary>
        [EnumMember][Description("kg")] kg = 43,
        /// <summary>
        /// oz-44 | oz
        /// </summary>
        [EnumMember][Description("oz")] oz = 44,
        /// <summary>
        /// lb-45 | lb
        /// </summary>
        [EnumMember][Description("lb")] lb = 45,
        /// <summary>
        /// lb_oz-46 | lboz
        /// </summary>
        [EnumMember][Description("lboz")] lb_oz = 46,
        /// <summary>
        /// cm2-50 | cm²
        /// </summary>
        [EnumMember][Description("cm²")] cm2 = 50,
        /// <summary>
        /// mm2-51 | mm²
        /// </summary>
        [EnumMember][Description("mm²")] mm2 = 51,
        /// <summary>
        /// m2-52 | m²
        /// </summary>
        [EnumMember][Description("m²")] m2 = 52,
        /// <summary>
        /// cm3-60 | cm³
        /// </summary>
        [EnumMember][Description("cm³")] cm3 = 60,
        /// <summary>
        /// mm3-61 | mm³
        /// </summary>
        [EnumMember][Description("mm³")] mm3 = 61,
        /// <summary>
        /// ml-62 | ml
        /// </summary>
        [EnumMember][Description("ml")] ml = 62,
        /// <summary>
        /// L-63 | L
        /// </summary>
        [EnumMember][Description("L")] L = 63,
        /// <summary>
        /// cms-70 | cm/s
        /// </summary>
        [EnumMember][Description("cm/s")] cms = 70,
        /// <summary>
        /// mms-71 | mm/s
        /// </summary>
        [EnumMember][Description("mm/s")] mms = 71,
        /// <summary>
        /// ms-72 | m/s
        /// </summary>
        [EnumMember][Description("m/s")] ms = 72,
        /// <summary>
        /// cms2-80 | cm/s²
        /// </summary>
        [EnumMember][Description("cm/s²")] cms2 = 80,
        /// <summary>
        /// mms2-81 | mm/s²
        /// </summary>
        [EnumMember][Description("mm/s²")] mms2 = 81,
        /// <summary>
        /// cm3s-90 | cm³/s
        /// </summary>
        [EnumMember][Description("cm³/s")] cm3s = 90,
        /// <summary>
        /// mls-91 | ml/s
        /// </summary>
        [EnumMember][Description("ml/s")] mls = 91,
        /// <summary>
        /// mlmin-92 | ml/min
        /// </summary>
        [EnumMember][Description("ml/min")] mlmin = 92,
        /// <summary>
        /// Lmin-93 | L/min
        /// </summary>
        [EnumMember][Description("L/min")] Lmin = 93,
        /// <summary>
        /// gcm3-100 | g/cm³
        /// </summary>
        [EnumMember][Description("g/cm³")] gcm3 = 100,
        /// <summary>
        /// gml-101 | g/ml
        /// </summary>
        [EnumMember][Description("g/ml")] gml = 101,
        /// <summary>
        /// ngml-102 | ng/ml
        /// </summary>
        [EnumMember][Description("ng/ml")] ngml = 102,
        /// <summary>
        /// mmHg-110 | mmHg
        /// </summary>
        [EnumMember][Description("mmHg")] mmHg = 110,
        /// <summary>
        /// mV-120 | mV
        /// </summary>
        [EnumMember][Description("mV")] mV = 120,
        /// <summary>
        /// Hz-130 | Hz
        /// </summary>
        [EnumMember][Description("Hz")] Hz = 130,
        /// <summary>
        /// kHz-131 | kHz
        /// </summary>
        [EnumMember][Description("kHz")] KHz = 131,
        /// <summary>
        /// HR-132 | bpm
        /// </summary>
        [EnumMember][Description("bpm")] HR = 132,
        /// <summary>
        /// cm3m2-140 | cm³/m²
        /// </summary>
        [EnumMember][Description("cm³/m²")] cm3m2 = 140,
        /// <summary>
        /// mlm2-141 | ml/m²
        /// </summary>
        [EnumMember][Description("ml/m²")] mlm2 = 141,
        /// <summary>
        /// cm3sm2-150 | cm³/s/m²
        /// </summary>
        [EnumMember][Description("cm³/s/m²")] cm3sm2 = 150,
        /// <summary>
        /// mlsm2-151 | ml/s/m²
        /// </summary>
        [EnumMember][Description("ml/s/m²")] mlsm2 = 151,
        /// <summary>
        /// cm3minm2-153 | cm³/min/m²
        /// </summary>
        [EnumMember][Description("cm³/min/m²")] cm3minm2 = 153,
        /// <summary>
        /// mlminm2-154 | ml/min/m²
        /// </summary>
        [EnumMember][Description("ml/min/m²")] mlminm2 = 154,
        /// <summary>
        /// Lminm2-155 | L/min.m²
        /// </summary>
        [EnumMember][Description("L/min.m²")] Lminm2 = 155,
        /// <summary>
        /// circs-160 | circ/s
        /// </summary>
        [EnumMember][Description("circ/s")] circs = 160,
        /// <summary>
        /// mlbeat-170 | ml/beat
        /// </summary>
        [EnumMember][Description("ml/beat")] mlbeat = 170,
        /// <summary>
        /// mm2pa-180 | mm²/Pa
        /// </summary>
        [EnumMember][Description("mm²/Pa")] mm2pa = 180,
        /// <summary>
        /// d1mpa-181 | 1/MPa
        /// </summary>
        [EnumMember][Description("1/MPa")] d1mpa = 181,
        /// <summary>
        /// kpa-182 | kPa 
        /// </summary>
        [EnumMember][Description("kPa ")] kpa = 182,
        /// <summary>
        /// mmHgs-190 | mmHg/s
        /// </summary>
        [EnumMember][Description("mmHg/s")] mmHgs = 190,
        /// <summary>
        /// gm2-200 | g/m²
        /// </summary>
        [EnumMember][Description("g/m²")] gm2 = 200,
        /// <summary>
        /// kgm2-201 | "kg/m²
        /// </summary>
        [EnumMember][Description("kg/m²")] kgm2 = 201,
        /// <summary>
        /// cm2m2-210 | min
        /// </summary>
        [EnumMember][Description("cm²/m²")] cm2m2 = 210,
        /// <summary>
        /// cmm2-220 | cm/m²
        /// </summary>
        [EnumMember][Description("cm/m²")] cmm2 = 220,
        /// <summary>
        /// mmm2-221 | mm/m²
        /// </summary>
        [EnumMember][Description("mm/m²")] mmm2 = 221,
        /// <summary>
        /// pers-230 | /s
        /// </summary>
        [EnumMember][Description("/s")] pers = 230,
        /// <summary>
        /// Celsius-250 | ℃
        /// </summary>
        [EnumMember][Description("℃")] Celsius = 250,
        /// <summary>
        /// Fahrenheit-251 | ℉
        /// </summary>
        [EnumMember][Description("℉")] Fahrenheit = 251,
        /// <summary>
        /// Ohm-260 | Ω
        /// </summary>
        [EnumMember][Description("Ω")] Ohm = 260,
        /// <summary>
        /// mmHgml-270 | mmHg/ml
        /// </summary>
        [EnumMember][Description("mmHg/ml")] mmHgml = 270,
    }
}