namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// 检查状态
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 |  检查状态描述枚举</remarks>
    public enum RecordStatusEnum
    {
        /// <summary>
        /// NotScanned-0 | 待扫查
        /// </summary>
        NotScanned,
        /// <summary>
        /// Uploaded-1 | 已传图
        /// </summary>
        Uploaded,
        /// <summary>
        /// NotReport-2 | 已扫查
        /// </summary>
        NotReport,
        /// <summary>
        /// Completed-3 | 已报告
        /// </summary>
        Completed
    }

    /// <summary>
    /// 查询检查状态
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 |  查询检查状态描述枚举</remarks>
    public enum QueryRecordStatusEnum
    {

        /// <summary>
        /// All-0 | 全部
        /// </summary>
        All,

       /// <summary>
        /// NotScanned-1 | 待扫查
        /// </summary>
        NotScanned,
        /// <summary>
        /// Uploaded-2 | 已传图
        /// </summary>
        Uploaded,
        /// <summary>
        /// NotReport-3 | 已扫查
        /// </summary>
        NotReport,
        /// <summary>
        /// Completed-4 | 已报告
        /// </summary>
        Completed,
        /// <summary>
        /// NotCompleted-5 | 未完成（未扫查、未提交报告）
        /// </summary>
        NotCompleted

    }
}