namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// 扫查器官或坐标位置枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 | 器官或者位置枚举</remarks>
    public enum RemedicalApparatusTypeEnum
    {
        /// <summary>
        /// BreastOuterUpper-0 | 乳腺外上象限
        /// </summary>
        BreastOuterUpper = 0,
        /// <summary>
        /// BreastInnerUpper-1 | 乳腺内上象限
        /// </summary>
        BreastInnerUpper,
        /// <summary>
        /// BreastOuterLower-2 | 乳腺外下象限
        /// </summary>
        BreastOuterLower,
        /// <summary>
        /// BreastInnerLower-3 | 乳腺内下象限
        /// </summary>
        BreastInnerLower,
        /// <summary>
        /// Lobe-4 | 肝
        /// </summary>
        Lobe,
        /// <summary>
        /// LobeOfUnder-5 | 肋缘下肝
        /// </summary>
        LobeOfUnder,
        /// <summary>
        /// LobeOfInter-6 | 肋间肝
        /// </summary>
        LobeOfInter,
        /// <summary>
        /// Thyroid-7 | 甲状腺
        /// </summary>
        Thyroid,
        /// <summary>
        /// Abdomen-8 | 下腹
        /// </summary>
        Abdomen
    }

}