﻿using System.Threading.Tasks;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.DTO.AdminAuthorityGroup;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    public interface IAdminAuthorityGroupsDBService
    {
        Task<string> InsertAdminAuthorityGroupAsync(CreateAdminAuthorityGroupsDBRequest request);
        Task<AdminAuthorityGroupDTO> FindAdminAuthorityGroupByNameAsync(string name);
        Task<AdminAuthorityGroupDTO> FindAdminAuthorityGroupByCodeAsync(string code);
        Task<PageCollection<AdminAuthorityGroupDTO>> FindAdminAuthorityGroupPagesAsync(PageFilterRequest request);
        Task<bool> DeleteAdminAuthorityGroupByCodeAsync(string code);
        Task<bool> UpdateAdminAuthorityGroupByCodeAsync(string code, AdminAuthorityGroupDTO data, string extensionData);
    }
}
