﻿using System.Threading.Tasks;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.DTO.AdminFeature;
using WingInterfaceLibrary.Request;
using System.Collections.Generic;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    public interface IAdminFeaturesDBService
    {
        Task<string> InsertAdminFeatureAsync(CreateAdminFeatureDBRequest request);
        Task<AdminFeatureInfoDTO> FindAdminFeatureByNameAsync(string name);
        Task<AdminFeatureInfoDTO> FindAdminFeatureByCodeAsync(string code);
        Task<PageCollection<AdminFeatureInfoDTO>> FindAdminFeaturePagesAsync(PageFilterRequest request);
        Task<bool> DeleteAdminFeatureByCodeAsync(string code);
        Task<bool> UpdateAdminFeatureByCodeAsync(string code, AdminFeatureInfoDTO data, string extensionData);
        Task<List<AdminFeatureInfoDTO>> FindAdminFeaturesByCodesAsync(List<string> codes);
    }
}
