using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Request.DBRequest;
using WingInterfaceLibrary.DTO.CMSStatistic;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.DTO.Message;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    /// <summary>
    /// CMS模板服务
    /// </summary>
    public interface ICMSTemplateDBService
    {         
        /// <summary>
        /// 获取CMS模板列表
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<IList<CMSTemplateDTO>> GetCMSTemplatesDBAsync(GetCMSTemplatesDBRequest request);

        /// <summary>
        /// 模板名称获取模板
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<CMSTemplateDTO> GetCMSTemplateDBByNameDBAsync(string  name);

        /// <summary>
        /// 增加CMS模板
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<bool> AddCMSTemplatesDBAsync(AddCMSTemplatesDBRequest request);

        /// <summary>
        /// 更新CMS模板
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<bool> UpdateCMSTemplatesDBAsync(UpdateCMSTemplatesDBRequest request);

        /// <summary>
        /// 删除CMS模板请求
        /// </summary>
        /// <returns></returns>
        Task<bool> DeleteCMSTemplatesDBAsync(string code);

        /// <summary>
        /// 通过codes 获取CMS模板列表
        /// </summary>
        /// <returns></returns>
        Task<CMSTemplateDTO> GetCMSTemplateDBByCodeAsync(string  code);
    }
}