using System.Threading.Tasks;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.DTO.Management;
using WingInterfaceLibrary.Request.DBRequest;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    public interface IDBLogService
    {
        /// <summary>
        /// 查找日志
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<PageCollection<DBLog>> FindDBLogPagesAsync(GetDBLogPagesRequest request);

        /// <summary>
        /// 删除日志
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<bool> DeleteDBLogsAsync(DeleteDBLogsRequest request);

        /// <summary>
        /// 查询待删除日志数量
        /// </summary>
        /// <param name="request"></param>
        /// <returns>是否删除成功</returns>
        Task<WaitDeleteLogsDTO> QueryWaitDeleteLogsCountDBAsync(QueryWaitDeleteLogsRequest request);

        /// <summary>
        /// 查询删除了多少
        /// </summary>
        /// <param name="request"></param>
        /// <returns>是否删除成功</returns>
        Task<long> QueryDeletedLogsCountDBAsync(DeleteDBLogsRequest request);


        /// <summary>
        /// 删除日志数据，适合大批量
        /// </summary>
        /// <param name="request"></param>
        /// <returns>是否删除成功</returns>
        Task<bool> DeleteManyLogsDBAsync(BatchDeleteDBLogsRequest request);
    }
}
