﻿using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.UserFeature;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    public interface IUserFeaturesDBService
    {
        Task<string> InsertUserFeatureAsync(CreateUserFeatureDBRequest request);
        Task<UserFeatureInfoDTO> FindUserFeatureByNameAsync(string name);
        Task<UserFeatureInfoDTO> FindUserFeatureByCodeAsync(string code);
        Task<PageCollection<UserFeatureInfoDTO>> FindUserFeaturePagesAsync(PageFilterRequest request);
        Task<bool> DeleteUserFeatureByCodeAsync(string code);
        Task<bool> UpdateUserFeatureByCodeAsync(string code, UserFeatureInfoDTO data, string extensionData);
    }
}
