﻿using System.Threading.Tasks;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.IdentityApply;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    public interface IIdentityApplyDBService
    {
        Task<string> InsertIdentityApplyAsync(CreateIdentityApplyDBRequest request);
        Task<IdentityApplyDTO> FindIdentityApplyByNameAsync(string name);
        Task<IdentityApplyDTO> FindIdentityApplyByCodeAsync(string code);
        Task<PageCollection<IdentityApplyDTO>> FindIdentityApplyPagesAsync(PageFilterRequest request);
        Task<bool> DeleteIdentityApplyByCodeAsync(string code);
        Task<bool> UpdateIdentityApplyByCodeAsync(string code, IdentityApplyDTO data, string extensionData);
        Task<List<IdentityApplyDTO>> GetIdentityApplyByUserCodeAsync(string userCode);
        Task<List<IdentityApplyDTO>> FindIdentityApplyListByUserCodeAsync(List<string> userCodes);
    }
}
