using System.Collections.Generic;
using System.Threading.Tasks;
using WingInterfaceLibrary.OpLog;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    public interface IOpLogDBService
    {
        /// <summary>
        /// Sychronize OpLog to master server
        /// </summary>
        /// <param name="request">The request args</param>
        /// <returns>True or false</returns>
        Task<bool> SyncOpLogAsync(SyncOpLogToMasterRequest request);

        /// <summary>
        /// Get OpLog from master server
        /// </summary>
        /// <param name="request">The request args</param>
        /// <returns>Op log list</returns>
        Task<List<OperationLogDTO>> GetOpLogAsync(GetOpLogsFormMasterRequest request);

        /// <summary>
        /// Get OpLogs from master server
        /// </summary>
        /// <param name="request">The request args</param>
        /// <returns>Op log list</returns>
        Task<List<OperationLogDTO>> GetOpLogsByCodesAsync(GetOpLogsByCodesFormMasterRequest request);

        /// <summary>
        /// SyncCompleteOpLogsAsync
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<bool> SyncCompleteOpLogsAsync(SyncCompleteOpLogsRequest request); 
    } 
}
