﻿using System.Collections.Generic;
using System.Threading.Tasks;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.DTO.Position;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    public interface IPositionDBService
    {
        Task<long> AddPositionsAsync(CreatePositionsDBRequest request);
        Task<List<PositionDTO>> GetPositionsAsync(GetPositionsDBRequest request);
        Task<long> RemovePositionsAsync(RemovePositionDBRequest request);
        Task<long> UpdatePositionsAsync(UpdatePositionsDBRequest request);
        Task<bool> UpdatePositionNameAsync(UpdatePositionNameDBRequest request);
        Task<List<PositionDTO>> GetPositionsByOrganizationCodesAsync(List<string> organizationCodes);
    }
}
