﻿using System.Collections.Generic;
using System.Threading.Tasks;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.DTO.Rank;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    public interface IRankDBService
    {
        Task<long> AddRanksAsync(CreateRanksDBRequest request);
        Task<List<RankDTO>> GetAllRanksAsync(GetRanksDBRequest request);
        Task<RankDTO> GetRankByCodeAsync(string rankCode);
        Task<long> RemoveRanksAsync(RemoveRanksDBRequest request);
        Task<long> UpdateRanksAsync(UpdateRanksDBRequest request);
        Task<bool> UpdateRankNameAsync(UpdateRankNameDBRequest request);
        Task<List<RankDTO>> GetAllRanksByOrganizationCodeAsync(List<string> organizationCodes);
    }
}
