using System.Threading.Tasks;
using WingInterfaceLibrary.DB.Request;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Record;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    /// <summary>
    /// 客户端测量图像数据服务
    /// </summary>
    public interface IRemedicalMeasuredInfoDBService
    {
        /// <summary>
        /// 查询客户端测量图像数据详情
        /// </summary>
        /// <returns></returns>
        Task<RemedicalMeasuredInfoDTO> GetRemedicalMeasuredInfoByCodeAsync(GetRemedicalMeasuredInfoByCodeDBRequest request);

        /// <summary>
        /// 查询检查关联的客户端测量图像数据集合
        /// </summary>
        /// <returns></returns>
        Task<List<RemedicalMeasuredInfoDTO>> GetRemedicalMeasuredInfosByRecordCodeAsync(GetRemedicalMeasuredInfosByRecordCodeDBRequest request);

        /// <summary>
        /// 添加客户端测量图像数据
        /// </summary>
        /// <returns></returns>
        Task<string> AddRemedicalMeasuredInfoAsync(AddRemedicalMeasuredInfoDBRequest request);

        /// <summary>
        /// 批量添加客户端测量图像数据
        /// </summary>
        /// <returns></returns>
        Task<bool> AddRemedicalMeasuredInfoByBathAsync(AddRemedicalMeasuredInfoByBathDBRequest request);

        /// <summary>
        /// 修改客户端测量图像数据
        /// </summary>
        /// <returns></returns>
        Task<bool> UpdateRemedicalMeasuredInfoAsync(UpdateRemedicalMeasuredInfoDBRequest request);
    }
}