﻿using System.Threading.Tasks;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Role;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    public interface IRoleDBService
    {
        Task<string> InsertRoleAsync(CreateRoleDBRequest request);
        Task<RoleDTO> FindRoleByNameAsync(string name);
        Task<RoleDTO> FindRoleByCodeAsync(string code);
        Task<PageCollection<RoleDTO>> FindRolePagesAsync(PageFilterRequest request);
        Task<List<RoleDTO>> FindRolesByTypeAsync(RoleShowTypeEnum type, string organizationCode);
        Task<bool> DeleteRoleByCodeAsync(string code);
        Task<bool> UpdateRoleByCodeAsync(string code, RoleDTO data, string extensionData);
        Task<List<RoleDTO>> FindRoleListByRoleCodeAsync(List<string> roleCodes);
    }
}
