﻿using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.Common;
using WingInterfaceLibrary.DTO.Storage;
using WingInterfaceLibrary.Request.Notification;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    public interface IStorageDBService
    {
        /// <summary>
        /// 存储文件信息
        /// </summary>
        /// <param name="url">文件地址</param>
        /// <returns></returns>
        Task<StorageInfoDTO> StorageAsync(string url);

        /// <summary>
        /// 根据Token获取文件信息
        /// </summary>
        /// <param name="token">文件唯一码</param>
        /// <returns></returns>
        Task<StorageInfoDTO> GetStorageRouteAsync(string token);

        /// <summary>
        /// 删除文件
        /// </summary>
        /// <param name="token">文件唯一码</param>
        /// <returns></returns>
        Task<bool> RemoveAsync(string token); 
        
    }
}
