﻿using System.Threading.Tasks;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Rank;
using WingInterfaceLibrary.Request.User;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.Request.AIDiagnosis;
using WingInterfaceLibrary.Result.AIDiagnosis;

namespace WingInterfaceLibrary.Interface
{
    /// <summary>
    /// AI诊断服务接口
    /// </summary>
    /// <docFirstDirectory>AI诊断API</docFirstDirectory>
    /// <docSecondDirectory>AI诊断模块</docSecondDirectory>
    public interface IAIDiagnosisService
    {
        /// <summary>
        /// 查询杏聆荟支持的AI模块
        /// </summary>
        /// <param name="request">查询杏聆荟支持的AI模块请求实体</param>
        /// <returns></returns>
        /// <show>false</show>
        Task<IList<string>> FindDiagnosisModulesAsync(TokenRequest request);

        /// <summary>
        /// 图像诊断
        /// </summary>
        /// <param name="request">图像诊断请求实体</param>
        /// <returns>图像诊断结果</returns>
        /// <show>false</show>
        Task<DiagnosisImageResult> DiagnosisImageAsync(DiagnosisImageRequest request);

        /// <summary>
        /// 生成AI报告
        /// </summary>
        /// <param name="request">生成AI报告请求实体</param>
        /// <returns></returns>
        /// <show>false</show>
        Task<DiagnosisReportResult> DiagnosisReportAsync(DiagnosisReportRequest request);
    }
}
