using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.ASR;
using WingInterfaceLibrary.Request.ASR;

namespace WingInterfaceLibrary.Interface
{
    /// <summary>
    /// 语音服务
    /// </summary>
    /// <docFirstDirectory>语音服务API</docFirstDirectory>
    /// <docSecondDirectory>语音识别</docSecondDirectory>
    public interface IASRService
    {
        /// <summary>
        /// 提交语音识别信息
        /// </summary>
        /// <param name="request">请求对象</param>
        /// <returns>语音识别结果</returns>
        /// <errorCodes>ASRError</errorCodes>
        Task<ASRResultDTO> CommitASRInfoAsync(CommitASRInfoRequest request);
    }
}