using System.Threading.Tasks;
using WingInterfaceLibrary.Request.Upgrade;
using WingInterfaceLibrary.Result.Upgrade;

namespace WingInterfaceLibrary.Interface
{
    /// <summary>
    /// 检查更新
    /// </summary>
    /// <docFirstDirectory>检查更新API</docFirstDirectory>
    /// <docSecondDirectory>检查更新接口</docSecondDirectory>
    public interface IUpgradeService
    {
        /// <summary>
        /// 获取检查更新配置
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<GetUpgradeInfoResult> GetUpgradeInfoAsync(GetUpgradeInfoRequest request);

        /// <summary>
        /// 上报版本接口
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<bool> UpdateClientVersion(SetUpgradeInfoRequest request);
    }
}