using System.Threading.Tasks;
using WingInterfaceLibrary.Request.Lock;
using WingInterfaceLibrary.Result.Lock;

namespace WingInterfaceLibrary.Internal.Interface
{
    /// <summary>
    /// 锁服务
    /// </summary>
    public interface ILockService
    {
        /// <summary>
        /// 申请锁
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<ApplyLockResult> ApplyLockAsync(ApplyLockRequest request);

        /// <summary>
        /// 释放锁
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<ReleaseLockResult> ReleaseLockAsync(ReleaseLockRequest request);
    }




}