using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Internal.Request;
using WingInterfaceLibrary.Notifications;

namespace WingInterfaceLibrary.Internal.Request
{
    /// <summary>
    /// 发送通知请求实体
    /// </summary>
    public class BroadcastRoomNotificationRequest
    {
        /// <summary>
        /// 房间编码
        /// </summary>
        /// <value>fb6414d24e3c347d46032b0496f1c4e4</value>
        public string RoomId { get; set; } = string.Empty;

        /// <summary>
        /// 接收方编码集合
        /// </summary>
        /// <value></value>
        public IList<string> ClientIds { get; set; }

        /// <summary>
        /// 通知详情
        /// </summary>
        /// <value></value>
        public NotificationDTO Message { get; set; }

        /// <summary>
        /// 业务类型【会诊、聊天会话、公告】
        /// </summary>
        /// <value>1</value>
        public TransactionTypeEnum TransactionType { get; set; }

        /// <summary>
        /// 关联业务编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string RelevanceCode { get; set; }

        /// <summary>
        /// 接收方类型【客户端、设备端】
        /// </summary>
        /// <value>1</value>
        public ApplicantTypeEnum ReceiverType { get; set; }

        /// <summary>
        /// ws连接类型
        /// </summary>
        /// <value></value>
        public WSConnectTypeEnum WSConnectType { get; set; } = WSConnectTypeEnum.Default;


    }
}