using System;
using System.Collections.Generic;

namespace WingInterfaceLibrary.Internal.Request
{
    /// <summary>
    /// 创建房间请求实体
    /// </summary>
    public class CreateRoomRequest
    {
        /// <summary>
        /// 发起人code
        /// </summary>
        /// <value>user_1234356</value>
        public string InitiatorCode { get; set; }

        /// <summary>
        /// 成员code列表，不包括发起人
        /// </summary>
        /// <value>'user_1234356','user_1234356'</value>
        public IDictionary<string, IList<string>> UserCodes { get; set; }

        /// <summary>
        /// 设备code
        /// </summary>
        /// <value>device_1234356</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 名称【可以是病人名称、也可以是课程名称等等】
        /// </summary>
        /// <value>XXXX</value>
        public string Name { get; set; }

        /// <summary>
        /// 直播时间
        /// </summary>
        /// <value></value>
        public DateTime LiveTime { get; set; }

        /// <summary>
        /// 通用直播项目状态
        /// </summary>
        /// <value>0</value>
        public int LiveStatus { get; set; }
    }
}