using WingInterfaceLibrary.Internal.Request;

namespace WingInterfaceLibrary.Internal.Request
{
    /// <summary>
    /// 心跳检测离开房间请求实体
    /// </summary>
    public class HeartRateLeaveRequest: HeartRateCheckRequest
    {
        /// <summary>
        /// 是否主要成员已离开房间
        /// </summary>
        /// <value>user_123345</value>
        public bool IsExpertUsersLeft { get; set; }

        /// <summary>
        /// 直播项目状态
        /// </summary>
        /// <value>true</value>
        public int LiveStatus { get; set; }

        /// <summary>
        /// 关闭直播推送用户消息
        /// </summary>
        /// <value></value>
        public BaseNotificationRequest CloseUserMessage { get; set; }

        /// <summary>
        /// 关闭直播设备消息
        /// </summary>
        /// <value></value>
        public BaseNotificationRequest CloseDeviceMessage { get; set; }
    }
}