using System.Collections.Generic;
using WingInterfaceLibrary.DTO.LiveRoom;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Notifications;

namespace WingInterfaceLibrary.Internal.Request
{
    /// <summary>
    /// 直播中邀请请求
    /// </summary>
    public class InviteInRequest
    {
        /// <summary>
        /// 房间编码
        /// </summary>
        /// <value></value>
        public string LiveRoomCode { get; set; }

        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value>ub6414d24e3c347d46032b0496f1c4e4</value>
        public string UserCode { get; set; } = string.Empty;

        /// <summary>
        /// 邀请人员集合
        /// </summary>
        /// <value></value>
        public List<string> InviteCodes { get; set; }
    }
}