using WingInterfaceLibrary.Internal.Request;

namespace WingInterfaceLibrary.Internal.Request
{
    /// <summary>
    /// 直播参数请求实体
    /// </summary>
    public class SetLiveParamsRequest : BaseLiveRoomRequest
    {
        /// <summary>
        /// 成员code
        /// </summary>
        /// <value>user_123345</value>
        public string UserCode { get; set; }

        /// <summary>
        /// is Expert User
        /// </summary>
        /// <value>false</value>
        public bool IsExpertUser { get; set; }

        /// <summary>
        /// is Assistant User
        /// </summary>
        /// <value>false</value>
        public bool IsAssistantUser { get; set; }

        /// <summary>
        /// 是否静音
        /// </summary>
        /// <value>false</value>
        public bool Mute { get; set; }

        /// <summary>
        /// 是否调参中
        /// </summary>
        /// <value>false</value>
        public bool IsControllingParameter { get; set; }

        /// <summary>
        /// 是否开启视频
        /// </summary>
        /// <value>false</value>
        public bool VideoOpend { get; set; }

        /// <summary>
        /// 是否发送通知
        /// </summary>
        /// <value>true</value>
        public bool PushMessage { get; set; }

        /// <summary>
        /// 通知其他成员课程直播
        /// </summary>
        /// <value></value>
        public BaseNotificationRequest Message { get; set; }
    }
}