using System;
using WingInterfaceLibrary.Request;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Consultation;

namespace WingInterfaceLibrary.LiveConsultation.Consultation
{
    /// <summary>
    /// 批准会诊申请请求实体
    /// </summary>
    public class ApprovalConsultationRequest : TokenRequest
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 会诊专家编码
        /// </summary>
        /// <value>UserDO_123456789</value>
        public string ExpertUserCode { get; set; } = string.Empty;

        /// <summary>
        /// 会诊时间
        /// </summary>
        /// <value>2022-11-10T00:00:00.000</value>
        public DateTime ConsultationTime { get; set; }

        /// <summary>
        /// 会诊截止时间
        /// </summary>
        /// <value></value>
        public DateTime ConsultationTimeEnd { get; set; }

        /// <summary>
        /// 地点
        /// </summary>
        /// <value></value> 
        /// <code>0</code>
        public string  Location { get; set; }

        /// <summary>
        /// 会诊参与方编码列表
        /// </summary>
        /// <value></value> 
        /// <code>0</code>
        public IList<string>  ConsultationMemberCodes { get; set; }

        /// <summary>
        /// 会诊描述
        /// </summary>
        /// <value></value> 
        /// <code>0</code>
        public string  Description { get; set; }

        /// <summary>
        /// 会诊提醒集合
        /// </summary>
        /// <value></value> 
        /// <code>0</code>
        public  IList<ConsultationReminderDTO> ConsultationReminders{ get; set; }

    }
}