using WingInterfaceLibrary.Request;
namespace WingInterfaceLibrary.LiveConsultation.Consultation
{
    /// <summary>
    /// 查询会诊记录详情请求实体
    /// </summary>
    public class FindConsultationDetailRequest : TokenRequest
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
    }

    /// <summary>
    /// 根据会诊单号查询会诊中可直接切换的会诊单列表请求实体
    /// </summary>
    public class FindCanSwitchConsultationsRequest : TokenRequest
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 语言地区码
        /// </summary>
        /// <value>zh-CN或en-US</value>
        /// <code>0</code>
        public string Language { get; set; } = "zh-CN";
    }


}