using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.LiveConsultation.Enums;
namespace WingInterfaceLibrary.LiveConsultation.Consultation
{
    /// <summary>
    /// 完善会诊信息请求实体
    /// </summary>
    public class ImproveConsultationInfoRequest : TokenRequest
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value></value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 病人编码
        /// </summary>
        /// <value>PatientDO_123456789</value>
        public string PatientCode { get; set; }

        /// <summary>
        /// 病人信息
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public List<DataItemDTO> PatientDatas { get; set; } = new List<DataItemDTO>();

        /// <summary>
        /// 检查部位
        /// </summary>
        /// <value>肝脏</value>
        /// <code>0</code>
        public string ScanPosition { get; set; } = string.Empty;

        /// <summary>
        /// 疾病名称
        /// </summary>
        /// <value>脂肪肝</value>
        /// <code>0</code>
        public string Diseases { get; set; } = string.Empty;

        /// <summary>
        /// 初步诊断
        /// </summary>
        /// <value>初步诊断结论</value>     
        /// <code>0</code>
        public string PrimaryDiagnosis { get; set; } = string.Empty;
    }
}