using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Notifications;

namespace WingInterfaceLibrary.LiveConsultation
{
    /// <summary>
    /// 急诊呼叫专家通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>会诊</notificationDocThirdDirectory>
    public class EmergencyCallNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举
        /// </summary>
        /// <value>37</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.EmergencyCallNotification;

        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 房间编码
        ///  </summary>
        /// <value>1</value>
        public int RoomNo { get; set; }

        /// <summary>
        /// 超时时间，秒
        ///  </summary>
        /// <value>15</value>
        public int Timeout { get; set; }

        /// <summary>
        /// 发起者信息
        /// </summary>
        /// <value></value>
        public LiveConsultationMember Initiator { get; set; }
    }
}