using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace WingInterfaceLibrary.LiveConsultation.Enums
{
    /// <summary>
    /// 会诊提醒时间枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks> 名称| 代码 | 描述</remarks>
    public enum ConsultationReminderTimeEnum
    {
        /// <summary>
        /// FifteenMinutes | 0 | 开始前15分钟
        /// </summary>
        FifteenMinutes,
        /// <summary>
        /// ThirtyMinutes | 1 | 开始前30分钟
        /// </summary>
        ThirtyMinutes,
        /// <summary>
        /// SixtyMinutes | 2| 开始前60分钟
        /// </summary>
        SixtyMinutes,
        /// <summary>
        /// OneDay | 3| 开始前1天
        /// </summary>
        OneDay


    }

    /// <summary>
    /// 会诊提醒方式
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks> 名称| 代码 | 描述</remarks>
    public enum ConsultationReminderMode
    {
        /// <summary>
        /// Application | 0| 应用内提醒
        /// </summary>
        Application,
        /// <summary>
        /// SMS | 1| 短信提醒
        /// </summary>
        SMS
    }
}