using WingInterfaceLibrary.Request;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Notifications;

namespace WingInterfaceLibrary.LiveConsultation
{
    /// <summary>
    /// 离开房间请求实体
    /// </summary>
    public class LeaveLiveConsultationRequest : TokenRequest
    {
        /// <summary>
        /// The diagnosis metting No.
        /// </summary>
        /// <value></value>
        public string ConsultationCode { get; set; }
    }

    /// <summary>
    /// 离开房间响应实体
    /// </summary>
    public class LeaveLiveConsultationResult
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
    }
    /// <summary>
    /// 离开会诊
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>会诊</notificationDocThirdDirectory>
    public class LeaveLiveConsultationNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举
        /// </summary>
        /// <value>19</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.LeaveConsultationNotification;

        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 离开会诊者信息
        /// </summary>
        /// <value></value>
        public LiveConsultationLeaverInfo LeaverInfo { get; set; }
    }
}
