using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
namespace WingInterfaceLibrary.LiveConsultation
{

    public class LiveConsultationMember
    {
        /// <summary>
        ///用户编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string Id { get; set; }

        /// <summary>
        /// 用户或者设备名称
        /// </summary>
        /// <value>TestName</value>
        public string Name { get; set; }

        /// <summary>
        /// 成员类型
        /// </summary>
        /// <value>1</value>
        public LiveMemberEnum MemberType { get; set; }

        /// <summary>
        /// 头像
        /// </summary>
        /// <value></value>
        public string HeadImageToken { get; set; }

        /// <summary>
        /// 是否在线
        /// </summary>
        /// <value>true</value>
        public bool IsOnline { get; set; }

        /// <summary>
        /// 是否静音
        /// </summary>
        /// <value>false</value>
        public bool Mute { get; set; }

        /// <summary>
        /// 是否开启视频
        /// </summary>
        /// <value>true</value>
        public bool VideoOpend { get; set; } = true;

        /// <summary>
        /// 是否会诊发起人
        /// </summary>
        /// <value>true</value>
        public bool IsInitiator { get; set; }

        /// <summary>
        /// 是否繁忙
        /// </summary>
        /// <value>false</value>
        public bool IsBusy { get; set; }

        /// <summary>
        /// 成员状态
        /// </summary>
        /// <value>1</value>
        public LiveConsultationMemberStatus Status { get; set; }

        /// <summary>
        ///登录服务器地址
        /// </summary>
        /// <value></value>
        public string LoginServerUrl { get; set; }

        /// <summary>
        /// 登录源
        /// </summary>
        /// <value></value>
        public LoginSource LoginSource { get; set; }

        /// <summary>
        /// 是否把多路视屏合流
        /// </summary>
        /// <value>true</value>
        public bool MergedChannel { get; set; }
        /// <summary>
        /// 合流的画面宽度
        /// </summary>
        /// <value>1920</value>
        public int MergedVideoOutputWidth { get; set; }

        /// <summary>
        /// 合流的画面高度
        /// </summary>
        /// <value>1080</value>
        public int MergedVideoOutputHeight { get; set; }

        /// <summary>
        ///视频数据流信息
        /// </summary>
        /// <value></value>
        public LiveData LiveData { get; set; }
        /// <summary>
        /// 多路画面时，设备输出信息
        /// </summary>
        /// <value></value>
        public IList<VideoDeviceOutputInfo> VideoDeviceInfos { get; set; } = new List<VideoDeviceOutputInfo>();

        /// <summary>
        /// 是否调参中
        /// </summary>
        /// <value>false</value>
        public bool IsControllingParameter { get; set; }

        /// <summary>
        /// 参与人员位序
        /// </summary>
        /// <value></value>
        public int SortNumber { get; set; }

        /// <summary>
        /// 排序等级
        /// </summary>
        /// <value></value>
        public int SortLevel { get; set; }

    }
}
