
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.LiveConsultation
{
    /// <summary>
    /// 会诊通知成员信息
    /// </summary>
    public abstract class LiveConsultationMemberInfo
    {
        /// <summary>
        /// 用户或者设备编码
        /// </summary>
        /// <value>test id</value>
        public string Id { get; set; }

        /// <summary>
        /// 用户或者设备名称
        /// </summary>
        /// <value>TestName</value>
        public string Name { get; set; }

        /// <summary>
        /// 用户或者设备头像地址
        /// </summary>
        /// <value>Url</value>
        public string HeadImageUrl { get; set; }
    }

    /// <summary>
    /// 会诊接受方信息
    /// </summary>
    public class LiveConsultatioAccepterInfo : LiveConsultationMemberInfo
    {
        /// <summary>
        ///是否在线
        /// </summary>
        /// <value>true</value>
        public bool IsOnline { get; set; }

        /// <summary>
        ///是否静音
        /// </summary>
        /// <value>false</value>
        public bool Mute { get; set; }

        /// <summary>
        /// 是否开启视频
        /// </summary>
        /// <value>true or false</value>
        public bool VideoOpend { get; set; }
        /// <summary>
        /// 登录类型
        /// </summary>
        /// <value>1</value>
        public LoginSource LoginSource { get; set; }

        /// <summary>
        /// 视频流信息
        /// </summary>
        /// <value></value>
        public LiveData LiveData { get; set; }

    }

    public class LiveConsultationRejecterInfo : LiveConsultationMemberInfo
    {

    }
    /// <summary>
    /// 会诊加入人信息
    /// </summary>
    public class LiveConsultationJoinerInfo : LiveConsultationMemberInfo
    {
        /// <summary>
        /// 是否在线
        /// </summary>
        /// <value>true</value>
        public bool IsOnline { get; set; }

        /// <summary>
        /// 是否静音
        /// </summary>
        /// <value>false</value>
        public bool Mute { get; set; }

        /// <summary>
        /// 是否开启视频
        /// </summary>
        /// <value>true or false</value>
        public bool VideoOpend { get; set; }

        /// <summary>
        /// 是否发起者
        /// </summary>
        /// <value>true</value>
        public bool IsInitiator { get; set; }

        /// <summary>
        ///登录方式
        /// </summary>
        /// <value>1</value>        
        public LoginSource LoginSource { get; set; }

        /// <summary>
        /// 视频流信息
        /// </summary>
        /// <value></value>
        public LiveData LiveData { get; set; }
        
        /// <summary>
        /// 参与人员位序
        /// </summary>
        /// <value></value>
        public int SortNumber { get; set; }
        
        /// <summary>
        /// 排序等级
        /// </summary>
        /// <value></value>
        public int SortLevel { get; set; }
    }

    public class LiveConsultationNetworkErrMemberInfo : LiveConsultationMemberInfo
    {
    }

    public class LiveConsultationLeaverInfo : LiveConsultationMemberInfo
    {
    }

    public class LiveConsultationMuterInfo : LiveConsultationMemberInfo
    {

    }

    public class LiveConsultationSwitcherInfo : LiveConsultationMemberInfo
    {

    }


}
