﻿using System.IO;
using System.Collections.Generic;
using System.Linq;
using System.Threading;
using System;
using WingInterfaceLibrary.Interface;
using WingInterfaceLibrary.Request.Authentication;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.LiveConsultation
{      

    public class LiveConsultationRoomDTO 
    {        
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;        
        public LiveConsultationMember Initiator { get; }
        public IList<LiveConsultationMember> Members { get; }
        public IList<LiveConsultationMember> Devices { get; }

        /// <summary>
        /// The diagnosis room status
        /// </summary>
        /// <value></value>
        public LiveConsultationRoomStatus Status{get;set;}
        
        /// <summary>
        /// The diagnosis room No
        /// </summary>
        /// <value></value>
        public int RoomNo { get; }

        public LiveConsultationRoomDTO(int roomNo, LiveConsultationMember initiator, IList<LiveConsultationMember> members, IList<LiveConsultationMember> devices)
        {
            RoomNo = roomNo;
            Initiator = initiator;
            Members = members;
            Devices = devices;
        }
       

       

        
                   
    }
}
