using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Notifications;
using WingInterfaceLibrary.Request;
namespace WingInterfaceLibrary.LiveConsultation
{
    /// <summary>
    /// 设置开启或关闭静音状态请求实体
    /// </summary>
    public class MuteLiveConsultationRequest : TokenRequest
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 是否静音(默认不静音)
        /// </summary>
        /// <value>true or false</value>
        /// <code>0</code>
        public bool Mute { get; set; }
    }

    /// <summary>
    /// 设置开启或关闭静音状态响应实体
    /// </summary>
    public class MuteLiveConsultationResult
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
    }
    /// <summary>
    /// 开启或者关闭声音通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>会诊</notificationDocThirdDirectory>
    public class MuteLiveConsultationNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举
        /// </summary>
        /// <value>27</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.MuteLiveConsultationNotification;
        
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 是否静音
        /// </summary>
        /// <value>true</value>
        public bool Mute { get; set; }

        /// <summary>
        /// The info of who reject the diagnosis metting invitation
        /// </summary>
        /// <value></value>
        public LiveConsultationMuterInfo MuterInfo { get; set; }
    }
}
