using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Notifications;
using WingInterfaceLibrary.Result.Education;

namespace WingInterfaceLibrary.LiveConsultation
{
    /// <summary>
    /// 网络质量不佳会诊通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>会诊</notificationDocThirdDirectory>
    public class NetworkErrConsultationNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举
        /// </summary>
        /// <value>18</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.NetworkErrConsultationNotification;

        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 成员信息
        /// </summary>
        /// <value></value>
        public LiveConsultationNetworkErrMemberInfo NetworkErrMemberInfo { get; set; }
    }
}