
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Message;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications
{
    /// <summary>
    /// 公告通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>CMS</notificationDocThirdDirectory> 
    public class AnnouncementNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举
        /// </summary>
        /// <value>33</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.AnnouncementPublishNotification;
  
        /// <summary>
        /// 公告类型 【广播】
        /// </summary>
        /// <value>1</value>
        public AnnouncementTypeEnum AnnouncementType { get; set; }

        /// <summary>
        /// 公告配置内容列表
        /// </summary>
        /// <value>1</value>
        public IList<AnnouncementLanguageConfigDTO> AnnouncementLanguageConfigs { get; set; }
    }
}