using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.RemoteParameters;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications
{
    /// <summary>
    /// 客户端收到 设备探头应用和参数信息
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>会诊</notificationDocThirdDirectory> 
    public class DeviceParametersNotification : NotificationDTO
    {

        /// <summary>
        /// 通知类型枚举  调参通知
        /// </summary>
        /// <value>35</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.DeviceParametersNotification;

        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>E06488F3B16646C9843B8BE2D8F5BA24</value>
        public string DeviceCode { get; set; }

    }
}