using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Notifications;
using WingInterfaceLibrary.Result.Education;

namespace WingInterfaceLibrary.Notifications.Education
{
    /// <summary>
    /// 取消直播初始化通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>教培</notificationDocThirdDirectory>
    public class CancelInvitingInLiveCourseNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举 取消直播提醒通知
        /// </summary>
        /// <value>15</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.CancelInvitingInLiveCourseNotification;

        /// <summary>
        /// 课程编码
        /// </summary>
        /// <value>Course_123456789</value>
        public string CourseCode { get; set; } = string.Empty;
    }
}