using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Notifications;
using WingInterfaceLibrary.Result.Education;

namespace WingInterfaceLibrary.Notifications.Education
{    
    /// <summary>
    /// 结束直播通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>教培</notificationDocThirdDirectory>
    public class CloseLiveCourseNotification : NotificationDTO
    {

        /// <summary>
        /// 通知类型枚举 结束直播提醒通知
        /// </summary>
        /// <value>16</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.CloseLiveCourseNotification;

        /// <summary>
        /// 课程编码
        /// </summary>
        /// <value>Course_123456789</value>
        public string CourseCode { get; set; } = string.Empty;

        /// <summary>
        /// 讲师编码[发起方]
        /// </summary>
        /// <value>UserCode_123456789</value>
        public string TeacherCode { get; set; }
    }
}