using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Notifications;
using WingInterfaceLibrary.Result.Education;

namespace WingInterfaceLibrary.Notifications.Education
{
    /// <summary>
    /// 课程支付成功通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>教培</notificationDocThirdDirectory>
    public class CourcePaySuccessNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举 结束直播提醒通知
        /// </summary>
        /// <value>15</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.CourcePaySuccessNotification;

        /// <summary>
        /// 支付订单编码
        /// </summary>
        /// <value>12334e</value>
        public string PaymentOrderCode { get; set; }

        /// <summary>
        /// 订单台头
        /// </summary>
        /// <value></value>
        public string OrderTitle { get; set; }

        /// <summary>
        /// 订单金额
        /// </summary>
        /// <value></value>
        public double OrderAmount { get; set; }
        
        /// <summary>
        /// 支付时间
        /// </summary>
        /// <value></value>
        public DateTime PayTime { get; set; }
    }
}