using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.LiveConsultation;

namespace WingInterfaceLibrary.Notifications.Education
{
    /// <summary>
    /// 进入课程直播
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>教培</notificationDocThirdDirectory>
    public class JoinLiveCourseNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举
        /// </summary>
        /// <value>17</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.JoinLiveCourseNotification;

        /// <summary>
        /// 课程编码
        /// </summary>
        /// <value>Course_123456789</value>
        public string CourseCode { get; set; } = string.Empty;

        /// <summary>
        /// 加入学生的信息
        /// </summary>
        /// <value></value>
        public LiveConsultationMember Joiner { get; set; }
    }
}