using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.LiveConsultation;

namespace WingInterfaceLibrary.Notifications.Education
{
    /// <summary>
    /// 开启或者关闭直播视频通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>教培</notificationDocThirdDirectory>
    public class SwitchLiveCourseVideoNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举
        /// </summary>
        /// <value>28</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.SwitchLiveCourseVideoNotification;

        /// <summary>
        /// 课程编码
        /// </summary>
        /// <value>Course_123456789</value>
        public string CourseCode { get; set; } = string.Empty;

        /// <summary>
        /// 是否开启视频
        /// </summary>
        /// <value>true or false</value>
        public bool Opened { get; set; }

        /// <summary>
        /// 开关视频人的信息
        /// </summary>
        /// <value></value>
        public LiveConsultationMember SwitcherInfo { get; set; }
    }
}