using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications.Live
{
    /// <summary>
    /// 链接状态通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>设备端</notificationDocSecondDirectory>
    /// <notificationDocThirdDirectory>远程维护</notificationDocThirdDirectory> 
    public class ConnectStatusToDeviceNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举  连接通知
        /// </summary>
        /// <value>36</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.ConnectStatusToDeviceNotification;
        /// <summary>
        /// 控制人编码
        /// </summary>
        /// <value>6490C36D44DA449E98FE0323A93EFDF8</value>
        public string ControlUserCode { get; set; }
        /// <summary>
        /// 控制人名称
        /// </summary>
        /// <value>TestName</value>
        public string ControlUserName { get; set; }

        /// <summary>
        /// 控制参数命令类型
        /// </summary>
        /// <value>0</value>
        public ControlDeviceParameterEnum ControlType { get; set; }
    }
}