
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Message;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.LiveConsultation;

namespace WingInterfaceLibrary.Notifications.Live
{
    /// <summary>
    /// 设备已结束推流通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>直播</notificationDocThirdDirectory> 
    public class DeviceLiveFinishedNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举
        /// </summary>
        /// <value>64</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.DeviceLiveFinishedNotification;

        /// <summary>
        /// 直播房间编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string LiveRoomCode { get; set; } = string.Empty;
    }
}