using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications.Remote
{
    /// <summary>
    /// 获取日志通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    /// <notificationDocThirdDirectory>远程维护</notificationDocThirdDirectory> 
    public class GetRemoteLogToClientNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举  获取日志通知
        /// </summary>
        /// <value>36</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.GetRemoteLogToClientNotification;

        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>6490C36D44DA449E98FE0323A93EFDF8</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 日志文件地址
        /// </summary>
        /// <value>http://192.168.6.117:9001/Storage/B1154C6500E4F174249224B41284498E_7_0_0_0.zip</value>
        public string LogFileToken { get; set; }
    }
}