using System;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications.Remote
{
    /// <summary>
    /// 获取日志通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>设备端</notificationDocSecondDirectory>
    /// <notificationDocThirdDirectory>远程维护</notificationDocThirdDirectory> 
    public class GetRemoteLogToDeviceNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举  获取日志通知
        /// </summary>
        /// <value>36</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.GetRemoteLogToDeviceNotification;
        /// <summary>
        /// 控制人编码
        /// </summary>
        /// <value>6490C36D44DA449E98FE0323A93EFDF8</value>
        public string ControlUserCode { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        /// <value>2023-02-28T09:21:38.861Z</value>
        public DateTime StartTime { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        /// <value>2023-02-28T09:21:38.861Z</value>
        public DateTime EndTime { get; set; }
    }
}