using System;

namespace WingInterfaceLibrary.OpLog
{
    /// <summary>
    /// 同步Oplog请求
    /// </summary>
    public class SyncOpLogToMasterRequest
    {
        /// <summary>
        /// 数据集名称
        /// </summary>
        public string CollectionName { get; set; }

        /// <summary>
        /// 操作类型
        /// </summary>
        public MongoDBActionTypeEnum ActionType { get; set; }

        /// <summary>
        /// Bson content
        /// </summary>
        public string BsonContent { get; set; }

        /// <summary>
        /// 过滤条件
        /// </summary>
        public string FilterContent { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateTime { get; set; } = DateTime.UtcNow;

        /// <summary>
        /// Source slave url
        /// </summary>
        public string SourceUrl { get; set; }

        /// <summary>
        /// code
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// ServerID
        /// </summary>
        /// <value></value>
        public string ServerID { get; set; } = string.Empty;
        
        /// <summary>
        /// 是否为特定DB表
        /// </summary>
        /// <value></value>
        public bool IsSimple { get; set; }

    }
}