using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Authentication
{
    /// <summary>
    /// 创建token请求实体
    /// </summary>
    public class ApplyTokenRequest
    {
        /// <summary>
        /// The Account Type of logined client
        /// </summary>
        /// <value></value>       
        public AccountType AccountType { get; }
        /// <summary>
        /// AccountName
        /// </summary>
        /// <value></value>       
        public string AccountName { get; }
        /// <summary>
        /// The plateform the account logined
        /// </summary>
        /// <value></value>
        public Platform Platform { get; }

        /// <summary>
        /// The login source of account
        /// </summary>
        /// <value></value>
        public LoginSource LoginSource { get; }

        /// <summary>
        /// The Client Id(User code , admin code or device code)
        /// </summary>
        /// <value></value>
        public string ClientId { get; }

        /// <summary>
        /// The Login server url
        /// </summary>
        /// <value></value>
        public string LoginServer { get; }

        /// <summary>
        /// The client ip
        /// </summary>
        /// <value></value>
        public long IpValue { get; }

        /// <summary>
        /// 安装版本
        /// </summary>
        /// <value></value>
        public string InstallVersion { get; set; }

        public ApplyTokenRequest(AccountType accountType,string accountName, Platform platform, LoginSource loginSource, string clientId, string loginServer, long ipValue, string installVersion)
        {
            this.AccountType = accountType;
            this.AccountName = accountName;
            this.Platform = platform;
            this.LoginSource = loginSource;
            this.ClientId = clientId;
            this.LoginServer = loginServer;
            this.IpValue = ipValue;
            this.InstallVersion = installVersion;
        }
    }
}