using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.CourseEnum;

namespace WingInterfaceLibrary.Request.Courses
{

    /// <summary>
    /// 查询学生的我的课程列表
    /// </summary>
    public class FindStudentInCoursePagesRequest : PageRequest
    {
        /// <summary>
        /// 查询 关键字包含（课程名称 老师名称）
        /// </summary>
        /// <value>课程</value>
        /// <code>0</code>
        public string Keyword { get; set; }

        /// <summary>
        /// 申请学生对应课程状态
        /// </summary>
        /// <value>1</value>
        /// <code>0</code>
        public StudentCourseStatusEnum QueryStatus { get; set; }

        /// <summary>
        /// 课程预计开始时间之后
        /// </summary>
        /// <value>2022-03-15T12:53:29.889Z</value>
        /// <code>0</code>
        public DateTime StartTime { get; set; }

        /// <summary>
        /// 查询课程结果排序（默认 开课时间降序）
        /// </summary>
        /// <value>0</value>
        /// <code>0</code>
        public QueryCourseSortEnum QueryCourseSort { get; set; }

        /// <summary>
        /// 查询课程类型
        /// </summary>
        /// <value>0</value>
        /// <code>0</code>
        public QueryCourseTypeEnum CourseType { get; set; }

    }
}