namespace WingInterfaceLibrary.Request.Courses
{
    /// <summary>
    /// 教培视频保存实体
    /// </summary>
    public class SaveVideoRequest : TokenRequest
    {
        /// <summary>
        /// 关联视频Code
        /// </summary>
        /// <value>04669519BF9544489E4DB547E1C01322</value>
        public string CourseCode { get; set; }

        /// <summary>
        /// 视频Code
        /// </summary>
        /// <value>04669519BF9544489E4DB547E1C01322</value>
        public string Code { get; set; }

        /// <summary>
        /// 视频名称
        /// </summary>
        /// <value>XXXX_Video</value>
        public string Name { get; set; }

        /// <summary>
        /// 视频地址
        /// </summary>
        /// <value>https://flyinsono-bj-1300984704.cos.ap-beijing.myqcloud.com/video.mp4</value>
        public string VideoToken { get; set; }

        /// <summary>
        /// Vod云点播文件Id
        /// </summary>
        /// <value>12334e</value>
        public string VodFileId { get; set; }

        /// <summary>
        /// 封面图
        /// </summary>
        /// <value>https://flyinsono-bj-1300984704.cos.ap-beijing.myqcloud.com/0B7B494B7A7044F3ADE0FCF8C0422700.png</value>
        public string Poster { get; set; }

        /// <summary>
        /// 视频时长【分钟】
        /// </summary>
        /// <value>120</value>
        public int Duration { get; set; }

        /// <summary>
        /// 视频大小【MB】
        /// </summary>
        /// <value>100</value>
        public double VideoSize { get; set; }
    }
}