using WingInterfaceLibrary.Enum;
using System;
using WingInterfaceLibrary.DTO.Message;

namespace WingInterfaceLibrary.Request.DBRequest
{
    /// <summary>
    /// 创建公告请求
    /// </summary>
    public class AddAnnouncementDBRequest : AnnouncementInfoDTO
    {

    }

    /// <summary>
    /// 更新公告请求
    /// </summary>
    public class UpdateAnnouncementDBRequest : AnnouncementInfoDTO
    {

    }

    /// <summary>
    /// 通过用户编码获取公告列表请求
    /// </summary>
    public class QueryAnnouncementsDBRequest : PageFilterRequest
    {
        /// <summary>
        /// 公告状态
        /// 已发布 未发布 
        /// </summary>
        /// <value>0</value>
        public AnnouncementStatusEnum AnnouncementStatus { get; set; }

        /// <summary>
        /// 公告类型
        ///【广播】 
        /// </summary>
        /// <value></value>
        public AnnouncementTypeEnum AnnouncementType { get; set; }

        /// <summary>
        /// 语言
        /// </summary>
        /// <value>zh-CN</value>
        public string Language { get; set; }

        /// <summary>
        /// 关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }

        /// <summary>
        /// 开始时间【发布时间】
        /// </summary>
        /// <value>2022-02-28T09:21:38.861Z</value>
        public DateTime StartTime { get; set; }

        /// <summary>
        /// 截至时间【发布时间】
        /// </summary>
        /// <value>2022-03-28T09:21:38.861Z</value>
        public DateTime EndTime { get; set; }
    }

    /// <summary>
    /// 获取公告请求
    /// </summary>
    public class GetAnnouncementDBRequest
    {
        /// <summary>
        /// 编码
        /// </summary>
        /// <value></value>
        public string AnnouncementCode { get; set; }
    }
}