using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.Education;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.DBRequest
{

    /// <summary>
    /// 创建答题信息
    /// </summary>
    public class AddStudentExaminationDBRequest
    {
        public StudentExaminationDTO StudentExamination { get; set; }
    }

    /// <summary>
    /// 更新答题信息
    /// </summary>
    public class UpdateStudentExaminationDBRequest
    {
        public StudentExaminationDTO StudentExamination { get; set; }
    }

    /// <summary>
    /// 分页查询
    /// </summary>
    public class FindStudentExaminationPagesDBRequest : PageRequest
    {
        /// <summary>
        /// 查询关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }

        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }

        /// <summary>
        /// 关联业务类型
        /// </summary>
        /// <value></value>
        public RelevanceTypeEnum RelevanceType { get; set; }

        /// <summary>
        ///管理业务编码
        /// </summary>
        /// <value></value>
        public string RelevanceCode { get; set; }

        /// <summary>
        /// 考试编码
        /// </summary>
        /// <value></value>
        public string  ExaminationCode{ get; set; }

    }

    /// <summary>
    /// 通过编码学生答题
    /// </summary>
    public class FindStudentExaminationByCodeDBRequest
    {

        /// <summary>
        /// 编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

    }

}