using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.Enum.CourseEnum;

namespace WingInterfaceLibrary.DB.Request
{

    /// <summary>
    /// 查询课程列表分页
    /// </summary>
    public class FindCoursePagesDBRequest : PageRequest
    {

        /// <summary>
        /// 查询关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }

        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }

        /// <summary>
        /// 课程状态, 默认0 查询所有
        /// </summary>
        /// <value></value>
        public CourseStatusEnum Status { get; set; } = CourseStatusEnum.Unknown;

        /// <summary>
        /// 课程分类
        /// </summary>
        /// <value>1</value>
        public CourseTypeEnum CourseType { get; set; } = CourseTypeEnum.Unknown;

        /// <summary>
        /// 课程规模类型
        /// </summary>
        /// <value>1</value>
        public CourseAudienceTypeEnum AudienceType { get; set; } = CourseAudienceTypeEnum.Unknown;
    }

    /// <summary>
    /// 查询课程列表分页
    /// </summary>
    public class FindStudentCoursePagesDBRequest : PageRequest
    {
        /// <summary>
        /// 查询关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }

        /// <summary>
        /// 学生编码
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }

        /// <summary>
        /// 申请学生对应课程状态
        /// </summary>
        /// <value>1</value>
        public StudentCourseStatusEnum QueryStatus { get; set; }

        /// <summary>
        /// 课程预计开始时间之后(默认当天0点)
        /// </summary>
        /// <value>2022-03-15T12:53:29.889Z</value>
        public DateTime StartTime { get; set; }

        /// <summary>
        /// 查询课程结果排序（默认 开课时间降序）
        /// </summary>
        /// <value>0</value>
        public QueryCourseSortEnum QueryCourseSort { get; set; }

        /// <summary>
        /// 查询课程分类
        /// </summary>
        public QueryCourseTypeEnum  QueryCourseType { get; set; }
    }
}