using System.Collections.Generic;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 查询检查记录分页
    /// </summary>
    public class FindRecordInfoPagesRequest : PageFilterRequest
    {

        /// <summary>
        /// 设备code列表
        /// </summary>
        /// <value></value>
        public List<string> DeviceCodes { get; set; }

        /// <summary>
        /// 病人code列表
        /// </summary>
        /// <value></value>
        public List<string> PatientCodes { get; set; }

        /// <summary>
        /// 检查code列表
        /// </summary>
        /// <value></value>
        public List<string> RecordCodes { get; set; }

    }

    /// <summary>
    /// 查询完整检查记录分页
    /// </summary>
    public class FindFullRecordInfoPagesRequest : FindRecordInfoPagesRequest
    {

        /// <summary>
        /// 当前登录人
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }
    }
}