using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 分页查询报告模板请求实体
    /// </summary>
    public class FindReportTemplatePagesDBRequest : PageFilterRequest
    {
        /// <summary>
        /// 是否默认
        /// </summary>
        /// <value></value>
        public bool? IsDefault { get; set; }

        /// <summary>
        /// 报告模板引用用户
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }

        /// <summary>
        /// 报告模板使用类别
        /// </summary>
        /// <value></value>
        public ReportTemplateUsageTypeEnum? ReportTemplateUsageType { get; set; }

        /// <summary>
        /// 报告模板发布状态
        /// </summary>
        /// <value></value>
        public ReportTemplateStatusTypeEnum? ReportTemplateStateType { get; set; }

        /// <summary>
        /// 报告模板类型
        /// </summary>
        /// <value></value>
        public ReportTemplateTypeEnum? ReportTemplateType { get; set; }

        /// <summary>
        /// 限定所属组织
        /// </summary>
        /// <value></value>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 限定所属人
        /// </summary>
        /// <value></value>
        public string PersonalCode { get; set; }

        /// <summary>
        /// 报告模板库名
        /// </summary>
        /// <value></value>   
        public string ReportTemplateName { get; set; }
    }
}