using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using System;

namespace WingInterfaceLibrary.Request.DBRequest
{
    /// <summary>
    /// 根据机构获取病人列表
    /// </summary>
    public class GetPatientsByOrgPageRequest : PageFilterRequest
    {
        /// <summary>root机构code</summary>
        /// <value></value>
        public string RootOrganizationCode { get; set; }

        /// <summary>
        /// 关键字查询字段集合，集合取Or
        /// </summary>
        /// <typeparam name="string">查询字段</typeparam>
        /// <typeparam name="string">关键字</typeparam>
        /// <returns></returns>
        public Dictionary<string, string> KeywordOrFilter { get; set; } = new Dictionary<string, string>();


        /// <summary>
        /// 查询起始时间
        /// 本地时间
        /// </summary>
        /// <value>2022-03-15T12:53:29.889Z</value>
        /// <code>0</code>
        public DateTime StartTime { get; set; } = DateTime.MinValue;

        /// <summary>
        /// 查询截至时间
        /// 本地时间
        /// </summary>
        /// <value>2022-03-15T12:53:29.889Z</value>
        /// <code>0</code>
        public DateTime EndTime { get; set; } = DateTime.MinValue;

        /// <summary>
        /// 病人登记状态过滤
        /// </summary>
        /// <value>0</value>
        /// <code>0</code>
        public PatientValidStatusEnum IsValid { get; set; }

        /// <summary>当前操作人 用户userCode</summary>
        /// <value></value>
        public string UserCode { get; set; }
    }
}