using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 保存报告预览图请求实体
    /// </summary>
    public class SaveReportPreviewImageDBRequest
    {
        /// <summary>
        /// 报告编码
        /// </summary>
        /// <value>ReportCode_20220107104236xiP0nz</value>
        public string ReportCode { get; set; } = string.Empty;        
        
        /// <summary>
        /// 文件地址
        /// </summary>
        /// <value>http://*****.jpg</value>
        public string FileToken { get; set; }

        /// <summary>
        /// 缩略图
        /// </summary>
        /// <value>http://*****.jpg</value>
        public string ThumbnailToken { get; set; }

        /// <summary>
        /// 语言，可为空-医师报告
        /// </summary>
        /// <value></value>
        public string Language { get; set; }

        /// <summary>
        /// 文件类型
        /// </summary>
        /// <value>10</value>
        public UploadFileTypeEnum FileType { get; set; }
    }
}