using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.Courses;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.Enum.CourseEnum;
using WingInterfaceLibrary.DTO.Education;

namespace WingInterfaceLibrary.Request.DBRequest
{
    /// <summary>
    /// 更新课程
    /// </summary>
    public class UpdateCourseDBRequest : TableDataItem<CourseInfoDBRequest>
    {
        /// <summary>
        /// 课程编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 课程状态
        /// </summary>
        /// <value>1</value>
        public CourseStatusEnum Status { get; set; }
    }

    public class UpdateCourseBindExamsRequest
    {
        /// <summary>
        /// 课程编码
        /// </summary>
        /// <value></value>
        public string CourseCode { get; set; }

        /// <summary>
        /// 绑定试卷集合
        /// </summary>
        /// <value></value>     
        public IList<CourseExaminationDTO> BindExams { get; set; }

    }
}