using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.DTO.User;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 保存图像AI诊断结果
    /// </summary>
    public class UpdateDiagnosisResultRequest
    {
        /// <summary>
        /// 图像编码
        /// </summary>
        public string RemedicalCode { get; set; } = string.Empty;
        
        /// <summary>
        /// AI诊断结果
        /// </summary>
        public string DiagnosisResult { get; set; } = string.Empty;
        
        /// <summary>
        /// 诊断结论
        /// </summary>
        public DiagnosisConclusionEnum DiagnosisConclusion { get; set; }
        
        /// <summary>
        /// AI识别器官
        /// </summary>
        public List<DiagnosisOrganEnum> DiagnosisOrgans { get; set; } = new List<DiagnosisOrganEnum>();

        /// <summary>
        /// 劲动脉结果
        /// </summary>
        /// <value></value>
        public CarotidResultDTO CarotidResult { get; set; }
    }
}