using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.User;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 更新设备最近登录时间
    /// </summary>
    public class UpdateLoginTimeDBRequest
    {
        /// <summary>
        /// 设备编码
        /// </summary>
        public string DeviceCode { get; set; }
        
        /// <summary>
        /// 最近登录时间
        /// </summary>
        public DateTime? LastLoginTime { get; set; }

        /// <summary>
        /// 超声机动态唯一码
        /// </summary>
        public string ShortCode { get; set; }
        /// <summary>
        /// 设备型号
        /// </summary>
        public string DeviceModel { get; set; } = string.Empty;
        /// <summary>
        /// 设备类型
        /// </summary>
        public string DeviceType { get; set; } = string.Empty;
        /// <summary>
        /// 软件版本
        /// </summary>
        public string SoftwareVersion { get; set; } = string.Empty;
        /// <summary>
        /// 系统版本
        /// </summary>
        public string SystemVersion { get; set; } = string.Empty;
        /// <summary>
        /// CPU型号
        /// </summary>
        public string CPUModel { get; set; } = string.Empty;
        /// <summary>
        /// 描述
        /// </summary>
        public string Description { get; set; } = string.Empty;
        /// <summary>
        /// 设备名称
        /// </summary>
        public string Name { get; set; } = string.Empty;
        /// <summary>
        /// 所在医院
        /// </summary>
        public string OrganizationCode { get; set; } = string.Empty;
        /// <summary>
        /// 系统语言
        /// </summary>
        public string SystemLanguage { get; set; } = string.Empty;
    }
}