using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Device
{
    /// <summary>
    /// 设备连接云服务请求实体 ConnectRequest
    /// </summary>
    public class ConnectRequest
    {
        /// <summary>
        /// 物理唯一码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string DeviceUniqueCode { get; set; } = string.Empty;
        /// <summary>
        /// 密码，由于新版无手动登录情况，暂未验证
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string Password { get; set; } = string.Empty;
        /// <summary>
        /// 设备型号
        /// </summary>
        /// <value>E30</value>
        public string DeviceModel { get; set; } = string.Empty;
        /// <summary>
        /// 设备类型
        /// </summary>
        /// <value>US</value>
        public string DeviceType { get; set; } = string.Empty;
        /// <summary>
        /// 软件版本
        /// </summary>
        /// <value>1.11.0</value>
        public string SoftwareVersion { get; set; } = string.Empty;
        /// <summary>
        /// 系统版本
        /// </summary>
        /// <value>2.2.27.5</value>
        public string SystemVersion { get; set; } = string.Empty;
        /// <summary>
        /// CPU型号
        /// </summary>
        /// <value>I5-10400</value>
        public string CPUModel { get; set; } = string.Empty;
        /// <summary>
        /// 系统语言
        /// </summary>
        /// <value>Chinese</value>
        public string SystemLanguage { get; set; } = string.Empty;
        /// <summary>
        /// 描述
        /// </summary>
        /// <value>荆州石首营服</value>
        /// <code>0</code>
        public string Description { get; set; } = string.Empty;
        /// <summary>
        /// 设备名称
        /// </summary>
        /// <value>92A3016DE9</value>
        /// <code>0</code>
        public string Name { get; set; } = string.Empty;
        /// <summary>
        /// 所在医院
        /// </summary>
        /// <value>Organization_20220324061244F7dhIK</value>
        /// <code>0</code>
        public string OrganizationCode { get; set; } = string.Empty;

        /// <summary>
        /// 组织下属科室
        /// </summary>
        /// <value>Organization_2022012520473430DnW32</value>
        /// <code>0</code>
        public string DepartmentCode { get; set; }

        /// <summary>
        /// 平台
        /// </summary>
        /// <value>0</value>
        public Platform Platform { get; set; }
        
        /// <summary>
        /// LoginSource
        /// </summary>
        /// <value>0</value>
        public LoginSource LoginSource { get; set; }        
        
        /// <summary>
        /// 安装版本
        /// </summary>
        /// <value></value>
        public string InstallVersion { get; set; }
    }
}