using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Device;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Device
{
    /// <summary>
    /// 查询个人名下所有设备列表请求实体
    /// </summary>
    public class GetPersonDeviceRequest : PageRequest
    {
        /// <summary>
        /// 关键字
        /// </summary>
        /// <value>演示超声机</value>
        /// <code>0</code>
        public string KeyWord { get; set; }
        
        /// <summary>
        /// 设备类型
        /// </summary>
        /// <value>US</value>
        /// <code>0</code>
        public string DeviceType { get; set; }

        /// <summary>
        /// 设备型号
        /// </summary>
        /// <value>E30</value>
        /// <code>0</code>
        public string DeviceModel { get; set; }

        /// <summary>
        /// 是否在线：true-在线；false-离线；null-全部
        /// </summary>
        /// <value>true</value>
        /// <code>0</code>
        public bool? IsOnline { get; set; }
    }
}