using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.LiveRoom;
using WingInterfaceLibrary.DTO.RemoteParameters;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Request.Device
{
    /// <summary>
    /// 用户进入设备直播房间请求
    /// </summary>
    public class JoinDeviceLiveRoomRequest : TokenRequest
    {
        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>3C135B470E6448F6854974D46022F7FD</value>
        public string DeviceCode { get; set; }
    }
    
    /// <summary>
    /// 用户进入设备直播房间结果
    /// </summary>
    public class JoinDeviceLiveRoomResult : TokenRequest
    {
        /// <summary>
        /// 房间号码
        /// </summary>
        /// <value>1</value>
        public int RoomNo { get; set; }
        
        /// <summary>
        /// 设备画面信息
        /// </summary>
        /// <typeparam name="VideoDeviceInfoDO"></typeparam>
        /// <returns></returns>
        public List<VideoDeviceInfoDTO> VideoDeviceInfos { get; set; } = new List<VideoDeviceInfoDTO>();
        
        /// <summary>
        /// 上报观看状态间隔时间（秒），0=无需上报
        /// </summary>
        /// <value>600</value>
        public int ReportStateIntervalSeconds { get; set; }
    }
}