using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Device;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Device
{
    /// <summary>
    /// 修改设备信息
    /// </summary>
    public class ModifyDeviceRequest : TokenRequest
    {
        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>DeviceInfoDO_20220518115415PaZtqp</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        /// <value>测试设备0122</value>
        public string Name { get; set; }

        /// <summary>
        /// 设备头图
        /// </summary>
        /// <value>B1154C6500E4F174249224B41284498E_7_0_0_0</value>
        /// <code>0</code>
        public string HeadPicUrl { get; set; }

        /// <summary>
        /// 组织下属科室
        /// </summary>
        /// <value>Organization_2022012520473430DnW32</value>
        /// <code>0</code>
        public string DepartmentCode { get; set; }

        /// <summary>
        /// 是否设备自动分享
        /// </summary>
        /// <value>true</value>
        /// <code>0</code>
        public bool IsAutoShared { get; set; }
    }



}