using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.RemoteParameters;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Request.Device
{
    /// <summary>
    /// 上报直播状态请求
    /// </summary>
    public class ReportLiveStateRequest : TokenRequest
    {
        /// <summary>
        /// 房间号码
        /// </summary>
        /// <value>1</value>
        public int RoomNo { get; set; }

        /// <summary>
        /// 设备直播状态
        /// </summary>
        /// <value>0</value>
        /// <code>0</code>
        public DeviceLiveStateEnum LiveState { get; set; }
        
        /// <summary>
        /// 直播状态描述
        /// </summary>
        /// <value>warning</value>
        /// <code>0</code>
        public string Message { get; set; }
    }

    /// <summary>
    /// 上报直播状态请求
    /// </summary>
    public class ReportLiveStateResult
    {
    }
}