using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.CourseEnum;

namespace WingInterfaceLibrary.Request.Education
{
    /// <summary>
    /// 用户组分页查询请求对象
    /// </summary>
    public class QueryUserGroupPageRequest : PageRequest
    {
        /// <summary>
        /// 查询 关键字包含（用户组名称和创建人名称）
        /// </summary>
        /// <value>用户组名称</value>
        /// <code>0</code>
        public string Keyword { get; set; }
    }

    /// <summary>
    /// 用户分页查询请求对象
    /// </summary>
    public class QueryStudentByGroupCodePageRequest : PageRequest
    {
        /// <summary>
        /// 查询 关键字包含（用户名称和用户手机）
        /// </summary>
        /// <value>用户名</value>
        /// <code>0</code>
        public string Keyword { get; set; }

        /// <summary>
        /// 用户组code
        /// </summary>
        /// <value>20220324085918O01i7T</value>
        public string UserGroupCode { get; set; }
    }
}