using System.Collections.Generic;
using WingInterfaceLibrary.DTO.RemoteParameters;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Education
{
    /// <summary>
    /// 直播课程Mute(静音)设置请求实体
    /// </summary>
    public class SetMuteLiveCourseRequest : InitiateLiveCourseRequest
    {
        /// <summary>
        /// 是否开启静音状态
        /// </summary>
        /// <value>false</value>
        public bool IsMute { get; set; }
    }

    /// <summary>
    /// 直播课程视频设置请求实体
    /// </summary>
    public class SetVideoLiveCourseRequest : InitiateLiveCourseRequest
    {
        /// <summary>
        /// 是否开启视频
        /// </summary>
        /// <value>false</value>
        public bool IsOpened { get; set; }
    }

    /// <summary>
    /// 调设备参数请求
    /// </summary>
    public class ControlParameterInCourseRequest : InitiateLiveCourseRequest
    {
        /// <summary>
        /// 参数数据集合
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public IList<AdditionParameterDTO> Parameters { get; set; }

        /// <summary>
        /// 控制参数命令类型 
        /// </summary>
        /// <value>0</value>
        public ControlDeviceParameterEnum ControlType { get; set; }

    }

}