using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.DTO.Education;

namespace WingInterfaceLibrary.Request.Education
{
    /// <summary>
    /// 获取用户组分页请求实体
    /// </summary>
    public class UserGroupRequest : TokenRequest
    {
        /// <summary>
        /// 用户组Code
        /// </summary>
        /// <value>20220324085918O01i7T</value>
        /// <code>0</code>
        public string Code { get; set; }

        /// <summary>
        /// 用户组名称
        /// </summary>
        /// <value>张老师用户组</value>
        public string Name { get; set; }

        /// <summary>
        /// 最大人数
        /// </summary>
        /// <value>50</value>
        public int MaxPeople { get; set; }
                
        /// <summary>
        /// 创建人Code
        /// </summary>
        /// <value>20220324085918O01i7T</value>
        public string CreatorCode { get; set; }

        /// <summary>
        /// 学生列表
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public IList<StudentInfoDTO> Students { get; set; }

        /// <summary>
        /// 移除学员codes列表
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public IList<string> RemoveStudentCodes { get; set; }
    }
}
