using WingInterfaceLibrary.DTO.Comment;
using WingInterfaceLibrary.DTO.Measure;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Examine
{
    /// <summary>
    /// 机器端上传检查数据
    /// </summary>
    public class UploadExamDataRequest : TokenRequest
    {
        /// <summary>
        /// 检查code
        /// </summary>
        /// <value>test</value>
        public string ExamCode { get; set; }

        /// <summary>
        /// 预览图地址token
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string PreviewFileToken { get; set; }

        /// <summary>
        /// 高清图token
        /// </summary>
        /// <value>filetoken</value>
        public string FileToken { get; set; }

        /// <summary>
        /// 高清图文件大小
        /// </summary>
        /// <value>5832772</value>
        public long FileSize { get; set; }

        /// <summary>
        /// 第一帧大图token
        /// </summary>
        public string CoverImageToken { get; set; }

        /// <summary>
        /// ApplicationCategory
        /// </summary>
        /// <value>ABD</value>
        public string ApplicationCategory { get; set; }

        /// <summary>
        /// Application Name
        /// </summary>
        /// <value>Abd General</value>
        /// <code>0</code>
        public string Application { get; set; }

        /// <summary>
        /// 文件数据类型
        /// </summary>
        /// <value>0</value>
        public RemedicalFileDataTypeEnum FileDataType { get; set; }

        /// <summary>
        /// 测量结果数据
        /// </summary>
        /// <value></value>
        ///  <code>0</code>
        public MeasuredResultsDTO MeasuredResult { get; set; }
        /// <summary>
        /// 注释结果数据
        /// </summary>
        /// <value></value>
        ///  <code>0</code>
        public ScanImageDTO CommentResult { get; set; }

    }
}