using System.Collections.Generic;

namespace WingInterfaceLibrary.Request.Languge
{
    /// <summary>
    /// 获取语言配置列表请求实体
    /// </summary>
    public class LangugeDataRequest : TokenRequest
    {
        /// <summary>
        /// 语言key
        /// </summary>
        /// <value></value>
        public string LangugeKey { get; set; }

        /// <summary>
        /// 各模块客户端缓存版本
        /// </summary>
        /// <value></value>
        public List<LangugeDataItemRequest> LangugeDataItemList { get; set; } = new List<LangugeDataItemRequest>();
    }

    /// <summary>
    /// 各模块客户端缓存版本
    /// </summary>
    public class LangugeDataItemRequest
    {
        /// <summary>
        /// 版本
        /// </summary>
        /// <value></value>
        public string Version { get; set; } = "0.9";

        /// <summary>
        /// 语言配置模块
        /// </summary>
        /// <value></value>
        public string LangugeModule { get; set; } = "";
    }

}