using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Request.Courses;
using WingInterfaceLibrary.Result;
using WingInterfaceLibrary.DTO.Courses;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.CourseEnum;

namespace WingInterfaceLibrary.Request.Management
{

    /// <summary>
    /// 分页查询课程
    /// </summary>
    public class AdminFindCoursePagesRequest : PageRequest
    {
        /// <summary>
        /// 关键字
        /// </summary>
        public string Keyword { get; set; } = string.Empty;

        /// <summary>
        /// 审核状态, 默认0 查询所有
        /// </summary>
        /// <value></value>
        public CourseStatusEnum Status { get; set; }

        /// <summary>
        /// 请求语言code
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }

        /// <summary>
        /// 课程分类
        /// </summary>
        /// <value>1</value>
        public CourseTypeEnum CourseType { get; set; }

        /// <summary>
        /// 课程规模类型
        /// </summary>
        /// <value>1</value>
        public CourseAudienceTypeEnum AudienceType { get; set; }
    }
}