using System;
using System.Collections.Generic;

namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 删除DB日志请求实体
    /// </summary>
    public class DeleteLogsRequest : TokenRequest
    {
        /// <summary>
        /// 删除指定天数之前的
        /// </summary>
        /// <value></value>
        public int DaysAgo { get; set; }

        /// <summary>
        /// 请求的服务器
        /// </summary>
        /// <value></value>
        public string RequestServerHost { get; set; } = "127.0.0.1";
    }

    /// <summary>
    /// 删除DB日志请求实体
    /// </summary>
    public class QueryClearLogsRequest : DeleteLogsRequest
    {
        /// <summary>
        /// 删除指定天数之前的
        /// </summary>
        /// <value></value>
        public IList<int> DayAgoList { get; set; }
    }
}