using System;

namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 查询DB日志列表请求实体
    /// </summary>
    public class GetLogPagesRequest : PageRequest
    {
        /// <summary>
        /// 日志级别
        /// </summary>
        /// <value></value>
        public string Level { get; set; }
        /// <summary>
        /// 关键字
        /// </summary>
        /// <value></value>
        public string KeyWord { get; set; }
        /// <summary>
        /// 排除项
        /// </summary>
        /// <value></value>
        public string Exclude { get; set; }
        /// <summary>
        /// 查询起始时间
        /// </summary>
        /// <value>2022-03-15T12:53:29.889Z</value>
        /// <code>0</code>
        public DateTime StartTime { get; set; } = DateTime.MinValue;

        /// <summary>
        /// 查询截至时间
        /// </summary>
        /// <value>2022-03-15T12:53:29.889Z</value>
        /// <code>0</code>
        public DateTime EndTime { get; set; } = DateTime.MinValue;

        /// <summary>
        /// 请求的服务器
        /// </summary>
        /// <value></value>
        public string RequestServerHost { get; set; } = "127.0.0.1";
    }
}