using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Dictionary;

namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 设备类型修改实体
    /// </summary>
    public class ModifyDeviceTypeRequest : TokenRequest
    {

        /// <summary>
        /// 设备类型code
        /// </summary>
        public string DeviceTypeCode { get; set; }

        /// <summary>
        /// 多语言配置
        /// </summary>
        /// <returns></returns>
        public List<DictionaryLanguageConfigDTO> LanguageConfigs { get; set; } = new List<DictionaryLanguageConfigDTO>();

        /// <summary>
        /// 设备型号列表
        /// </summary>
        /// <value></value>
        public List<DeviceModelClass> DeviceModelList { get; set; } = new List<DeviceModelClass>();
    }

    /// <summary>
    /// 设备型号
    /// </summary>
    public class DeviceModelClass
    {
        /// <summary>
        /// 设备型号code
        /// </summary>
        /// <value></value>
        public string DeviceModelCode { get; set; }

        /// <summary>
        /// 设备型号名称
        /// </summary>
        /// <value></value>
        public string DeviceModelName { get; set; }

    }
}