using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Education
{
    /// <summary>
    /// 获取标签列表分页请求实体
    /// </summary>
    public class QueryCourseLabelPageRequest : PageRequest
    {
        /// <summary>
        /// 课程标签名称[模糊匹配]
        /// </summary>
        /// <value>青青学园</value>       
        /// <code>0</code>
        public string Name { get; set; }

        /// <summary>
        /// 语言
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }

        /// <summary>
        /// 标签类型
        /// </summary>
        /// <value>1</value>       
        /// <code>0</code>
        public LabelTypeEnum Type { get; set; }

        /// <summary>
        /// 上级标签code
        /// </summary>
        /// <value>20220324085918O01i7T</value>       
        /// <code>0</code>
        public string ParentCode { get; set; }
    }
}
