
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 设备分享请求实体
    /// </summary>
    public class ThesaurusItemRequest : TokenRequest
    {
         /// <summary>
        /// 词条项唯一键（Guid）
        /// </summary>
        /// <value></value>
        public string ThesaurusItemCode { get; set; }

        /// <summary>
        /// 词条项类型
        /// </summary>
        /// <value></value>
        public ThesaurusItemTypeEnum ThesaurusItemType { get; set; }

        /// <summary>
        /// 词条项名称（自定义词条使用）
        /// </summary>
        /// <value></value>
        public string ThesaurusItemName { get; set; }

        /// <summary>
        /// 父级词条项（为空则为顶级项）
        /// </summary>
        /// <value></value>
        public string ParentItemCode { get; set; }      
        
        /// <summary>
        /// 词库编码
        /// </summary>
        /// <value></value>
        public string ThesaurusCode { get; set; }

        /// <summary>
        /// 词条描述
        /// </summary>
        /// <value></value>
        public string ThesaurusItemDescription { get; set; } = string.Empty;

        /// <summary>
        /// 词条结论
        /// </summary>
        /// <value></value>
        public string ThesaurusItemConclusion { get; set; } = string.Empty;
    }
}