using System.Collections.Generic;
namespace WingInterfaceLibrary.Request.Measure
{
    /// <summary>
    /// 获取测量配置项请求
    /// </summary>
    public class GetMeasureApplicationRequest : TokenRequest
    {
        /// <summary>
        /// 应用名称，读取 Vid 获取应用
        /// 第三方图像： 填入"Sonopost"
        /// </summary>
        /// <value>Abdo Diff</value>
        public string ApplicationName { get; set; }

        /// <summary>
        /// 分类名称：读取 Vid 获取应用分类名称
        /// 第三方图像： 填入"TPP"
        /// </summary>
        /// <value>ABD</value>
        public string CategoryName { get; set; }
        /// <summary>
        /// 测量模式集合，读取 Vid 获取应用的模式集合，返回对应测量数据
        /// 测量应用模式：Undefined,Tissue,Flow,Doppler,TissueTM,Tissue3D,TPPTissue(第三方平台模式)
        ///读取第三方图像时 填入："TPPTissue"
        /// </summary>
        /// <value>"Tissue"</value>
        public List<string> MeasureModes { get; set; }
    }
}