using WingInterfaceLibrary.DTO.Measure;

namespace WingInterfaceLibrary.Request.Measure
{
    /// <summary>
    /// 获取测量配置项请求
    /// </summary>
    public class SaveUserDefinedMeasureApplicationRequest : TokenRequest
    {
        /// <summary>
        /// 版本号
        /// </summary>
        /// <value>1.0.0.1</value>
        public string Version { get; set; }
        /// <summary>
        /// 应用名称，读取 Vid 获取应用
        /// 第三方图像： 填入"Sonopost"
        /// </summary>
        /// <value>Abdo Diff</value>
        public string ApplicationName { get; set; }

        /// <summary>
        /// 分类名称：读取 Vid 获取应用分类名称
        /// 第三方图像： 填入"TPP"
        /// </summary>
        /// <value>ABD</value>
        public string CategoryName { get; set; }
        /// <summary>
        ///测量工作模式集合
        /// </summary>
        /// <value></value>
        public UserDefinedMeasureModeDTO WorkingMode { get; set; }
    }
}