﻿using System.Collections.Generic;

namespace WingInterfaceLibrary.Request
{
    public class PageFilterRequest : BaseRequest
    {
        /// <summary>
        /// 当前页
        /// </summary>
        public int CurrentPage { get; set; }

        /// <summary>
        /// 每页数量
        /// </summary>
        public int PageSize { get; set; }


        /// <summary>
        /// 过滤条件
        /// </summary>
        public Dictionary<string, string> Filter { get; set; } = new Dictionary<string, string>();

        /// <summary>
        /// 是否为模糊查询
        /// </summary>
        /// <value></value>
        public bool IsFuzzy { get; set; } = true;
    }
}
