using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;
namespace WingInterfaceLibrary.Request.Patient
{
    /// <summary>
    /// 修改病人信息请求实体
    /// </summary>
    public class UpdatePatientRequest : TokenRequest
    {
        /// <summary>
        /// 病人编码
        /// </summary>
        /// <value>PatientInfoDO_20220315125334n5j3A2</value>
        public string Code { get; set; }
        /// <summary>
        /// 病人信息字段集合
        /// </summary>
        /// <value></value>
        public List<DataItemDTO> PatientData { get; set; }

        /// <summary>
        /// 分配用户code集合
        /// </summary>
        /// <value>"uc_code01","uc_code02"</value>
        /// <code>0</code>
        public List<string> AssignmentUserCodes { get; set; }
    }
}