using System.Collections.Generic;
using WingInterfaceLibrary.DTO.RemoteParameters;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Remote
{
    /// <summary>
    /// 设备设置基础信息接口
    /// </summary>
    public class BaseControlDeviceRequest : TokenRequest
    {
        /// <summary>
        /// 控制参数命令类型
        /// </summary>
        /// <value>0</value>
        public ControlDeviceParameterEnum ControlType { get; set; }
    }

    /// <summary>
    /// 远程控制参数基础请求接口
    /// </summary>
    public class BaseControlDeviceParameterRequest : BaseControlDeviceRequest
    {
        /// <summary>
        /// 参数数据集合
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public IList<AdditionParameterDTO> Parameters { get; set; }
    }
}