using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Report
{
    /// <summary>
    /// 查询报告标签配置请求实体
    /// </summary>
    public class FindReportLabelsRequest : TokenRequest
    {
        /// <summary>
        /// 业务类型
        /// </summary>
        /// <value>0</value>
        public ReportTypeEnum ReportType { get; set; } = ReportTypeEnum.RemoteDiagnosis;

        /// <summary>
        /// 检查编码
        /// </summary>
        /// <value>RecordInfoDO_202205111056024lshF5</value>
        public string RecordCode { get; set; } = string.Empty;

        /// <summary>
        /// 所属语言（代表是什么语言类型）
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }
    }
}