using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Record;

namespace WingInterfaceLibrary.Request.Report
{
    /// <summary>
    /// 分享报告-邮件请求实体
    /// </summary>
    public class ShareReportByEmailRequest : TokenRequest
    {        
        /// <summary>
        /// 报告编码
        /// </summary>
        /// <value>ReportCode_20220107104236xiP0nz</value>
        public string ReportCode { get; set; } = string.Empty;

        /// <summary>
        /// 邮箱地址集合
        /// </summary>
        /// <value>"764921659@qq.com","15506156666@163.com"</value>
        public List<string> EmailList { get; set; } = new List<string>();
        
        /// <summary>
        /// 所属语言（代表是什么语言类型）
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }
    }
}