using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Request.Authentication;

namespace WingInterfaceLibrary.Request.Storage
{
    /// <summary>
    /// 文件上传配置请求实体
    /// </summary>
    public class FileServiceRequest : TokenRequest
    {
        /// <summary>
        /// 自定义文件名【同文件名会覆盖源文件】,兼容系统自定义filename
        /// </summary>
        /// <value>Flyinsono_Windows_1.7.43.24131.apk</value>
        public string FileName { get; set; }   

        /// <summary>
        /// 默认是否重命名
        /// </summary>
        /// <value>true</value>
        public bool IsRechristen { get; set; } = true;

        /// <summary>
        /// 是否升级包【如果上传文件是升级包，则本地云存储为指定升级包目录】
        /// </summary>
        /// <value>true</value>
        public bool IsUpgradePackage { get; set; } = true;
    }
}