using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Upgrade
{
    /// <summary>
    /// 获取更新配置接口请求实体
    /// </summary>
    public class GetUpgradeInfoRequest
    {
        /// <summary>
        /// plat form,PC\Android\Ios\Mac
        /// </summary>
        public UpgradePlatformEnum Platform { get; set; }

        /// <summary>
        /// Upgrade type,Client\US\SONOPOST
        /// </summary>
        public UpgradeSourceTypeEnum SourceType { get; set; }

        /// <summary>
        /// client version
        /// </summary>
        public string CurrentVersion { get; set; }

        /// <summary>
        /// 语言
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string Language { get; set; } = "zh-CN";
    }

    /// <summary>
    /// 获取更新配置接口请求实体
    /// </summary>
    public class SetUpgradeInfoRequest
    {
        /// <summary>
        /// plat form,PC\Android\Ios\Mac
        /// </summary>
        public UpgradePlatformEnum Platform { get; set; }

        /// <summary>
        /// Upgrade type,Client\US\SONOPOST
        /// </summary>
        public UpgradeSourceTypeEnum SourceType { get; set; }

        /// <summary>
        /// client version
        /// </summary>
        public string CurrentVersion { get; set; }

        /// <summary>
        /// 请求token
        /// </summary>
        /// <value>0126f5d7ef044088b075246c65a410ba</value>
        /// <code>0</code>
        public string Token { get; set; }
    }
}