using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.User
{
    /// <summary>
    /// 用户列表请求实体
    /// </summary>
    public class GetUserListRequest : TokenRequest
    {
        /// <summary>
        /// 关键字
        /// </summary>
        /// <value>nickName</value>
        /// <code>0</code>
        public string Keyword { get; set; }

        /// <summary>
        /// 机构查询类型 0-待分配，1-单个部门或科室，2-全部部门，3-全部
        /// </summary>
        /// <value>0</value>
        public OrganizationQueryTypeEnum OrganizationQueryType { get; set; }

        /// <summary>
        /// 机构code
        /// </summary>
        /// <value>Test00003</value>
        /// <code>0</code>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 职称code
        /// </summary>
        /// <value>DefaultRank0001</value>
        /// <code>0</code>
        public string RankCode { get; set; }

        /// <summary>
        /// 岗位身份code
        /// </summary>
        /// <value>role0001</value>
        /// <code>0</code>
        public string PositionCode { get; set; }

        /// <summary>
        /// 除去自己
        /// </summary>
        /// <value></value>
        public bool ExceptSelf { get; set; } = false;

        /// <summary>
        /// 语言地区码
        /// </summary>
        /// <value>zh-CN;en-US</value>
        public string Language { get; set; } = "zh-CN";

        /// <summary>
        /// 角色code列表
        /// </summary>
        /// <value>"Role_CertifiedPhysician","Role_CertifiedExpert"</value>
        public IList<string> RoleCodes { get; set; } = new List<string>();
    }
}