using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Organization;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.User
{
    /// <summary>
    /// 保存机构信息请求实体
    /// </summary>
    public class SavePersonOrganizationRequest
    {
        /// <summary>
        /// 用户token
        /// </summary>
        /// <value>be2a7b7ba88740bc94d0276c9891bf2b</value>
        public string Token { get; set; }

        /// <summary>
        /// 最精确地区编码
        /// </summary>
        /// <value>320500</value>
        public string RegionCode { get; set; }

        /// <summary>
        /// 父级编码
        /// </summary>
        /// <value>Test0000501_1</value>
        public string ParentCode { get; set; }

        /// <summary>
        /// logo图片地址
        /// </summary>
        /// <value>B1154C6500E4F174249224B41284498E_7_0_0_0</value>
        public string LogoUrl { get; set; }

        /// <summary>
        /// 组织编码
        /// </summary>
        /// <value>Test00001</value>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 组织名称
        /// </summary>
        /// <value>门诊部</value>
        public string OrganizationName { get; set; }

        /// <summary>
        /// 检查服务病人对象类型
        /// </summary>
        /// <value>0</value>
        public OrganizationPatientTypeEnum PatientType { get; set; }

        /// <summary>
        /// 敏感信息加密显示
        /// </summary>
        /// <value>true</value>
        public bool IsEncryptedShow { get; set; } = true;

        /// <summary>
        /// 转诊超时时限
        /// </summary>
        public double ReferralLimitHours { get; set; } = 1;

        /// <summary>
        /// 可转诊机构
        /// </summary>
        public List<string> ReferralOrganizationCodes { get; set; } = new List<string>();
    }
}