using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Comment;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Result.AIDiagnosis
{

    /// <summary>
    /// AI图像诊断响应实体
    /// </summary>
    public class DiagnosisImageResult
    {
        /// <summary>
        /// AI诊断结论
        /// </summary>
        /// <value></value>
        public DiagnosisConclusionEnum DiagnosisConclusion { get; set; }

        /// <summary>
        /// AI诊断详情
        /// </summary>
        /// <value></value>
        public List<AIDiagnosisPerImageDTO> DiagnosisResult { get; set; } = new List<AIDiagnosisPerImageDTO>();

        /// <summary>
        /// AI识别的器官
        /// </summary>
        /// <value></value>
        public List<DiagnosisOrganEnum> DiagnosisOrgans { get; set; } = new List<DiagnosisOrganEnum>();

        /// <summary>
        /// 颈动脉结果
        /// </summary>
        /// <value></value>
        public CarotidResultDTO CarotidResult { get; set; }
    }
}