using System.Collections.Generic;

namespace WingInterfaceLibrary.Result.Education
{
    /// <summary>
    /// 加入直播课程响应实体
    /// </summary>
    public class JoinLiveCourseResult: LiveCourseBaseResult
    {

        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value>UserDO_123456789</value>
        public string UserCode { get; set; } = string.Empty;

        /// <summary>
        /// Room No. 
        /// </summary>
        /// <value></value>
        public int RoomNo { get; set; }

        /// <summary>
        /// Sdk app id
        /// </summary>
        /// <value></value>
        public int AppId { get; set; }

        /// <summary>
        /// User sign for rtc
        /// </summary>
        /// <value>123456</value>
        public string UserSign { get; set; } = string.Empty;

        /// <summary>
        /// 直播课成员列表
        /// </summary>
        /// <value>123456</value>
        public IList<LiveCourseMember> MemberLiveDatas { get; set; } = new List<LiveCourseMember>();
    }
}