using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.DTO.Common;

namespace WingInterfaceLibrary.Result.Examine
{
    /// <summary>
    /// 检查详情响应实体
    /// </summary>
    public class QueryExamInfoResult
    {
        /// <summary>
        /// 时间
        /// </summary>
        /// <value>2021-11-16  11:30</value>
        public DateTime CreateTime { get; set; }
        /// <summary>
        /// 部门
        /// </summary>
        /// <value>门诊部</value>
        public string DeptName { get; set; }
        /// <summary>
        /// 病人姓名
        /// </summary>
        /// <value>张三</value>
        public string PatientName { get; set; }
        /// <summary>
        /// 病人年龄 -废弃
        /// </summary>
        /// <value>27</value>
        /// <code>0</code>
        public string PatientAge { get; set; }
        /// <summary>
        /// 病人年龄信息
        /// </summary>
        /// <value></value>
        public List<DataItemDTO> PatientAgeInfo { get; set; }
        /// <summary>
        /// 病人性别
        /// </summary>
        /// <value>男</value>
        public string PatientSex { get; set; }

        /// <summary>
        /// 检查额外信息列表
        /// </summary>
        /// <value></value>
        public List<PatientInfoExt> PatientInfoExtList { get; set; }

        /// <summary>
        /// 关联的超声机本地上传的检查code
        /// </summary>
        /// <value></value>
        public List<string> AssociatedExamCodes { get; set; } = new List<string>();

        /// <summary>
        /// 检查记录状态
        /// </summary>
        /// <value></value>
        public RecordStatusEnum ExamStatus { get; set; }
    }
}