using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;
using WingInterfaceLibrary.DTO.Patient;
using WingInterfaceLibrary.DTO.Record;

namespace WingInterfaceLibrary.Result.Examine
{
    /// <summary>
    /// 预约查询接口响应实体
    /// </summary>
    public class QueryReservationResult
    {
        /// <summary>
        /// 预约列表
        /// </summary>
        /// <value></value>
        public List<RservationResult> ReservationList { get; set; }
    }

    /// <summary>
    /// 预约记录
    /// </summary>
    public class RservationResult
    {
        /// <summary>
        /// 预约code
        /// </summary>
        /// <value>预约记录code</value>
        /// <code>0</code>
        public string ReservationCode { get; set; }

        /// <summary>
        /// 病人基础信息
        /// </summary>
        /// <value></value>
        public List<DataItemDTO> PatientInfo { get; set; }

        /// <summary>
        /// 病人额外信息列表
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public List<PatientInfoExt> PatientInfoExtList { get; set; }

        /// <summary>
        /// 数据来源
        /// </summary>
        /// <value></value>
        public string DataSource { get; set; }
    }
}