using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Result.Languge
{
    /// <summary>
    /// 设备端获取Server配置数据
    /// </summary>
    public class DeviceServerSettingResult
    {

        /// <summary>
        /// server配置信息
        /// </summary>
        /// <returns></returns>
        public Dictionary<string, string> ServerConfigList { get; set; } = new Dictionary<string, string>();

        /// <summary>
        /// 是否需要生成再上传缩略图
        /// </summary>
        /// <value></value>
        public bool IsUploadThumbnail { get; set; }

        /// <summary>
        /// 医院服务对象
        /// </summary>
        /// <value></value>
        public OrganizationPatientTypeEnum PatientType { get; set; }
        /// <summary>
        /// 登录心跳间隔秒数
        /// </summary>
        /// <value>300</value>
        public int HeartRateSeconds { get; set; }
        /// <summary>
        /// 通知URL地址
        /// </summary>
        /// <value>ws://127.0.0.1:9301?token=</value>
        public string NotificationUrl { get; set; }

        /// <summary>
        /// 是否把多路视频合流
        /// </summary>
        /// <value></value>
        public bool MergedChannel { get; set; }

        /// <summary>
        /// 会诊心跳间隔秒数
        /// </summary>
        /// <value>10</value>
        public int LiveConsultationRateSeconds { get; set; }

        /// <summary>
        /// 合流的画面宽度
        /// </summary>
        /// <value></value>
        public int MergedVideoOutputWidth { get; set; }

        /// <summary>
        /// 合流的画面高度
        /// </summary>
        /// <value></value>
        public int MergedVideoOutputHeight { get; set; }

        /// <summary>
        /// 是否自研rtc 是：自研 否：腾讯
        /// </summary>
        /// <value></value>
        public bool IsSelfRtcService { get; set; }

        /// <summary>
        /// 远程控制询问超时时间（秒）
        /// </summary>
        /// <value></value>
        public int RemoteControlAskTimeoutSec { get; set; }
    }
}