using System.Collections.Generic;

namespace WingInterfaceLibrary.Result.Management
{

    /// <summary>
    /// 日志清理结果
    /// </summary>
    public class ClearSystemLogRecordResult
    {
        /// <summary>
        /// 删除指定天数之前的
        /// </summary>
        /// <value></value>
        public int DaysAgo { get; set; }

        /// <summary>
        /// 请求的服务器
        /// </summary>
        /// <value></value>
        public string RequestServerHost { get; set; } = "127.0.0.1";

        /// <summary>
        /// 清理时间
        /// </summary>
        /// <value></value>
        public string ClearTime { get; set; }

        /// <summary>
        /// 待清理日志结果列表
        /// </summary>
        /// <value></value>
        public IList<WaitClearLogResult> WaitClearLogs { get; set; }
    }

    /// <summary>
    /// 待清理日志结果
    /// </summary>
    public class WaitClearLogResult
    {
        /// <summary>
        /// 删除指定天数之前的
        /// </summary>
        /// <value></value>
        public int DaysAgo { get; set; }

        /// <summary>
        /// 待删除日志数量
        /// </summary>
        /// <value></value>
        public int WaitDelCount { get; set; }
    }
}