using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.DTO.Common;

namespace WingInterfaceLibrary.Result.Record
{
    /// <summary>
    /// 查询检查响应实体
    /// </summary>
    public class QueryRecordResult
    {
        /// <summary>
        /// 时间
        /// </summary>
        /// <value>2021-11-16  11:30</value>
        public DateTime CreateTime { get; set; }
        /// <summary>
        /// 部门
        /// </summary>
        /// <value>门诊部</value>
        public string DeptName { get; set; }
        /// <summary>
        /// 病人姓名
        /// </summary>
        /// <value>张三</value>
        public string PatientName { get; set; }
        /// <summary>
        /// 病人年龄
        /// </summary>
        /// <value>27</value>
        /// <code>0</code>
        public string PatientAge { get; set; }

         /// <summary>
        /// 病人年龄信息
        /// </summary>
        /// <value></value>
        public List<DataItemDTO> PatientAgeInfo { get; set; }

        /// <summary>
        /// 病人性别
        /// </summary>
        /// <value>0</value>
        public int PatientSex { get; set; }
        /// <summary>
        /// 检查医生
        /// </summary>
        /// <value>绩笑</value>
        public string CreatorName { get; set; }
        /// <summary>
        /// 下发设备
        /// </summary>
        /// <value>演示超声机2号</value>
        public string DeviceName { get; set; }
        /// <summary>
        /// 检查状态
        /// </summary>
        public RecordStatusEnum RecordStatus { get; set; }
        /// <summary>
        /// 病人额外信息列表
        /// </summary>
        /// <value></value>
        public List<PatientInfoExt> PatientInfoExtList { get; set; }

        /// <summary>
        /// AI诊断状态
        /// </summary>
        /// <value>2</value>
        public DiagnosisStatusEnum DiagnosisStatus { get; set; }

        /// <summary>
        /// AI诊断结果
        /// </summary>
        /// <value></value>
        public List<DiagnosisInfoDTO> DiagnosisInfos { get; set; } = new List<DiagnosisInfoDTO>();
    }
}